!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, J.N. Lang                   |            !
!        | `---' | UFO date: No date                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-16 19:50             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl5()
    coupl(nGC_7904) = cima*coupl(nGC_17)**2d0*sq2**2d0*(-coupl(nGC_48)**2d0 -  &
                      coupl(nGC_49)**2d0 - coupl(nGC_52)**2d0 - coupl(nGC_53)**&
                      2d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_7838) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_49)*coupl(nGC_53&
                      ))/(8d0*pi**2d0)
    coupl(nGC_7839) = cMT*cima*coupl(nGC_17)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_9984) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_7905) = cima*coupl(nGC_17)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(    &
                      nGC_48) + coupl(nGC_1)*coupl(nGC_52) + coupl(nGC_2)*coupl&
                      (nGC_49) + coupl(nGC_2)*coupl(nGC_53))/(32d0*pi**2d0)
    coupl(nGC_9981) = coupl(nGC_MI)*dZcL_QCD2
    coupl(nGC_9982) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_7916) = (5d0*Nc*cima*coupl(nGC_16)**4d0*sq2**4d0 - 3d0*Nc*cima*  &
                      coupl(nGC_18)*coupl(nGC_2299) + 3d0*Nc*cima*coupl(       &
                      nGC_2297)*coupl(nGC_2299) - 6d0*Nc*coupl(nGC_16)**2d0*   &
                      coupl(nGC_18)*sq2**2d0 + 3d0*Nc*coupl(nGC_16)**2d0*coupl(&
                      nGC_2297)*sq2**2d0 - 3d0*Nc*coupl(nGC_16)**2d0*coupl(    &
                      nGC_2299)*sq2**2d0 - 3d0*cima*coupl(nGC_17)**4d0*sq2**4d0&
                      )/(192d0*pi**2d0*Nc)
    coupl(nGC_7902) = cima*coupl(nGC_17)**2d0*sq2**2d0*(coupl(nGC_128)**2d0 +  &
                      coupl(nGC_131)**2d0 + coupl(nGC_135)**2d0 + coupl(nGC_146&
                      )**2d0 + coupl(nGC_149)**2d0 + coupl(nGC_157)**2d0)/(32d0&
                      *pi**2d0*Nc)
    coupl(nGC_9827) = coupl(nGC_16)*dZg_QCD2/2d0 + coupl(nGC_8028)
    coupl(nGC_7903) = cima*coupl(nGC_17)**2d0*sq2**2d0*(coupl(nGC_48)**2d0 +   &
                      coupl(nGC_49)**2d0 + coupl(nGC_52)**2d0 + coupl(nGC_53)**&
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_7900) = cima*coupl(nGC_17)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 -   &
                      coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_9815) = coupl(nGC_17)*dZtL_QCD2
    coupl(nGC_10516) = 3d0*coupl(nGC_16)*dZg_QCD2/2d0 + coupl(nGC_8028)
    coupl(nGC_8044) = coupl(nGC_8043)*dyb_QED1_QCD2
    coupl(nGC_7867) = coupl(nGC_17)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(       &
                      nGC_1297)*coupl(nGC_136) - coupl(nGC_135)**2d0 - coupl(  &
                      nGC_137)**2d0 - 4d0*coupl(nGC_48)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_7843) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_48)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_7842) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_48)*coupl(nGC_52&
                      ))/(8d0*pi**2d0)
    coupl(nGC_7847) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_48)*coupl(nGC_52&
                      ))/(8d0*pi**2d0)
    coupl(nGC_7845) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_48)*coupl(nGC_52&
                      ))/(8d0*pi**2d0)
    coupl(nGC_9838) = coupl(nGC_131)*dZcR_QCD2/2d0 + coupl(nGC_131)*dZsL_QCD2/ &
                      2d0 + coupl(nGC_8036)
    coupl(nGC_7863) = coupl(nGC_17)*sq2*(-coupl(nGC_149)**2d0 - coupl(nGC_150)*&
                      coupl(nGC_152) - coupl(nGC_151)**2d0 - 4d0*coupl(nGC_2)**&
                      2d0 - 4d0*coupl(nGC_49)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_7924) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_16)**4d0*sq2**2d0 - 3d0*&
                      Nc*coupl(nGC_16)**2d0*coupl(nGC_2299) + 9d0*Nc*coupl(    &
                      nGC_16)**2d0*coupl(nGC_2309) - 60d0*cima*coupl(nGC_17)** &
                      4d0*sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_7925) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_16)**4d0*sq2**2d0 - 9d0*&
                      Nc*coupl(nGC_16)**2d0*coupl(nGC_2299) + 3d0*Nc*coupl(    &
                      nGC_16)**2d0*coupl(nGC_2309) - 60d0*cima*coupl(nGC_17)** &
                      4d0*sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_7909) = cima*coupl(nGC_17)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(  &
                      nGC_2))/(16d0*pi**2d0*Nc**2d0)
    coupl(nGC_7920) = (-10d0*cima*coupl(nGC_16)**4d0*sq2**4d0 + 6d0*cima*coupl(&
                      nGC_2299)**2d0 + 3d0*coupl(nGC_16)**2d0*coupl(nGC_18)*sq2&
                      **2d0 + 3d0*coupl(nGC_16)**2d0*coupl(nGC_2297)*sq2**2d0  &
                       + 15d0*coupl(nGC_16)**2d0*coupl(nGC_2299)*sq2**2d0)/(   &
                      192d0*pi**2d0)
    coupl(nGC_7921) = (-10d0*cima*coupl(nGC_16)**4d0*sq2**4d0 + 6d0*cima*coupl(&
                      nGC_2299)**2d0 + 18d0*coupl(nGC_16)**2d0*coupl(nGC_2299)*&
                      sq2**2d0 + 3d0*coupl(nGC_16)**2d0*coupl(nGC_2309)*sq2**  &
                      2d0)/(192d0*pi**2d0)
    coupl(nGC_9837) = coupl(nGC_146)*dZcL_QCD2/2d0 + coupl(nGC_146)*dZsR_QCD2/ &
                      2d0 + coupl(nGC_8035)
    coupl(nGC_7822) = cima*(-2d0*Nc*coupl(nGC_48)**2d0 - 2d0*Nc*coupl(nGC_49)**&
                      2d0 - 2d0*Nc*coupl(nGC_52)**2d0 - 2d0*Nc*coupl(nGC_53)** &
                      2d0 - coupl(nGC_211)**2d0 - coupl(nGC_36)**2d0 - 2d0*    &
                      coupl(nGC_50)**2d0 - 2d0*coupl(nGC_54)**2d0 - 2d0*coupl( &
                      nGC_55)**2d0)/(32d0*pi**2d0)
    coupl(nGC_7854) = coupl(nGC_17)**2d0*sq2**2d0*(-cMB*coupl(nGC_130) - cMC*  &
                      coupl(nGC_133) - cMD*coupl(nGC_137) - cMS*coupl(nGC_148  &
                      ) - cMT*coupl(nGC_151) - cMU*coupl(nGC_159))/(16d0*pi**  &
                      2d0)
    coupl(nGC_10178) = coupl(nGC_MI)*dZdR_QCD2
    coupl(nGC_8038) = coupl(nGC_8037)*dyb_QED1_QCD2
    coupl(nGC_8030) = coupl(nGC_8029)*dZgs_QCD2
    coupl(nGC_7821) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_48) + 2d0*Nc&
                      *cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_52) + 2d0*Nc*cMC** &
                      2d0*cima*coupl(nGC_2)*coupl(nGC_49) + 2d0*Nc*cMC**2d0*   &
                      cima*coupl(nGC_2)*coupl(nGC_53) + 2d0*Nc*cMD**2d0*cima*  &
                      coupl(nGC_1)*coupl(nGC_48) + 2d0*Nc*cMD**2d0*cima*coupl( &
                      nGC_1)*coupl(nGC_52) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)*&
                      coupl(nGC_48) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)*coupl( &
                      nGC_52) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_49 &
                      ) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_53) + 2d0&
                      *Nc*cMU**2d0*cima*coupl(nGC_2)*coupl(nGC_49) + 2d0*Nc*cMU&
                      **2d0*cima*coupl(nGC_2)*coupl(nGC_53) + 2d0*cME**2d0*cima&
                      *coupl(nGC_4)*coupl(nGC_50) + 2d0*cME**2d0*cima*coupl(   &
                      nGC_4)*coupl(nGC_54) + 2d0*cMM**2d0*cima*coupl(nGC_4)*   &
                      coupl(nGC_50) + 2d0*cMM**2d0*cima*coupl(nGC_4)*coupl(    &
                      nGC_54) + 2d0*cMTA**2d0*cima*coupl(nGC_4)*coupl(nGC_50   &
                      ) + 2d0*cMTA**2d0*cima*coupl(nGC_4)*coupl(nGC_54) + 3d0* &
                      cMW**2d0*cima*coupl(nGC_211)*coupl(nGC_437) + 3d0*cMW**  &
                      2d0*cima*coupl(nGC_3)*coupl(nGC_36) - 2d0*cMW**2d0*coupl(&
                      nGC_47))/(16d0*pi**2d0)
    coupl(nGC_7878) = coupl(nGC_17)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(nGC_131&
                      )**2d0 - coupl(nGC_147)*coupl(nGC_253) - coupl(nGC_148)**&
                      2d0 - 4d0*coupl(nGC_31)**2d0 - 4d0*coupl(nGC_52)**2d0)/( &
                      64d0*pi**2d0*Nc)
    coupl(nGC_7879) = coupl(nGC_17)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(nGC_146&
                      )**2d0 - coupl(nGC_147)*coupl(nGC_253) - coupl(nGC_148)**&
                      2d0 - 4d0*coupl(nGC_48)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_9908) = coupl(nGC_134)*dZcL_QCD2/2d0 + coupl(nGC_134)*dZcR_QCD2/ &
                      2d0 + coupl(nGC_8064)
    coupl(nGC_10031) = -coupl(nGC_10030) - coupl(nGC_8038)
    coupl(nGC_9866) = coupl(nGC_8076) + coupl(nGC_9864)
    coupl(nGC_9845) = coupl(nGC_158)*dZuL_QCD2/2d0 + coupl(nGC_158)*dZuR_QCD2/ &
                      2d0 + coupl(nGC_8072)
    coupl(nGC_9846) = coupl(nGC_160)*dZuL_QCD2/2d0 + coupl(nGC_160)*dZuR_QCD2/ &
                      2d0 + coupl(nGC_8070)
    coupl(nGC_10730) = 2d0*coupl(nGC_18)*dZg_QCD2 + coupl(nGC_8030)
    coupl(nGC_7815) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_130)**2d0 - 4d0*Nc*cMC**&
                      2d0*cima*coupl(nGC_133)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl&
                      (nGC_137)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_148)**2d0&
                       - 4d0*Nc*cMT**2d0*cima*coupl(nGC_151)**2d0 - 4d0*Nc*cMU &
                      **2d0*cima*coupl(nGC_159)**2d0 - 4d0*cME**2d0*cima*coupl(&
                      nGC_140)**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_144)**2d0 -  &
                      4d0*cMTA**2d0*cima*coupl(nGC_155)**2d0 + 2d0*cMW**2d0*   &
                      cima*coupl(nGC_3033)*coupl(nGC_393) - 2d0*cMW**2d0*coupl(&
                      nGC_21) + cMZ**2d0*cima*coupl(nGC_413)**2d0 - cMZ**2d0*  &
                      coupl(nGC_60) + cima*coupl(nGC_116)**2d0 + 2d0*cima*coupl&
                      (nGC_78)**2d0)/(16d0*pi**2d0)
    coupl(nGC_10732) = 2d0*coupl(nGC_10730)
    coupl(nGC_10741) = -2d0*coupl(nGC_10730)
    coupl(nGC_7812) = cima*(4d0*Nc*coupl(nGC_129)*coupl(nGC_397) + 4d0*Nc*coupl&
                      (nGC_1297)*coupl(nGC_136) + 4d0*Nc*coupl(nGC_132)*coupl( &
                      nGC_134) + 4d0*Nc*coupl(nGC_147)*coupl(nGC_253) + 4d0*Nc*&
                      coupl(nGC_150)*coupl(nGC_152) + 4d0*Nc*coupl(nGC_158)*   &
                      coupl(nGC_160) + 4d0*coupl(nGC_139)*coupl(nGC_141) + 4d0*&
                      coupl(nGC_143)*coupl(nGC_145) + 4d0*coupl(nGC_154)*coupl(&
                      nGC_156) - 2d0*coupl(nGC_30)**2d0 - coupl(nGC_51)**2d0)/(&
                      96d0*pi**2d0)
    coupl(nGC_7813) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_129)*coupl(nGC_397) -   &
                      8d0*Nc*cMC**2d0*cima*coupl(nGC_132)*coupl(nGC_134) - 8d0*&
                      Nc*cMD**2d0*cima*coupl(nGC_1297)*coupl(nGC_136) - 8d0*Nc*&
                      cMS**2d0*cima*coupl(nGC_147)*coupl(nGC_253) - 8d0*Nc*cMT &
                      **2d0*cima*coupl(nGC_150)*coupl(nGC_152) - 8d0*Nc*cMU**  &
                      2d0*cima*coupl(nGC_158)*coupl(nGC_160) - 8d0*cME**2d0*   &
                      cima*coupl(nGC_139)*coupl(nGC_141) + cMH**2d0*cima*coupl(&
                      nGC_51)**2d0 - 8d0*cMM**2d0*cima*coupl(nGC_143)*coupl(   &
                      nGC_145) - 8d0*cMTA**2d0*cima*coupl(nGC_154)*coupl(      &
                      nGC_156) + 4d0*cMW**2d0*cima*coupl(nGC_30)**2d0 - 4d0*cMW&
                      **2d0*coupl(nGC_21) + cMZ**2d0*cima*coupl(nGC_51)**2d0 - &
                      2d0*cMZ**2d0*coupl(nGC_60))/(32d0*pi**2d0)
    coupl(nGC_9985) = coupl(nGC_8111) + coupl(nGC_9982)
    coupl(nGC_9828) = -coupl(nGC_9827)
    coupl(nGC_7897) = cima*coupl(nGC_17)**2d0*sq2**2d0*(-coupl(nGC_129)*coupl( &
                      nGC_397) - coupl(nGC_1297)*coupl(nGC_136) - coupl(nGC_132&
                      )*coupl(nGC_134) - coupl(nGC_147)*coupl(nGC_253) - coupl(&
                      nGC_150)*coupl(nGC_152) - coupl(nGC_158)*coupl(nGC_160   &
                      ))/(16d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
