!******************************************************************************!
!                                                                              !
!    currents_info1.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info1.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, J.N. Lang                   |            !
!        | `---' | UFO date: No date                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-16 19:50             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info1
  implicit none
  contains
  subroutine fill_current_1(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_WMinus, P_H, P_Z, P_GPlus, 882, check)
    call createCurrent(P_A, P_GPlus, P_H, P_WMinus, 1044, check)
    call createCurrent(P_GMinus, P_G0, P_A, P_WPlus, 291, check)
    call createCurrent(P_WPlus, P_GPlus, P_GMinus, P_WMinus, 307, check)
    call createCurrent(P_GPlus, P_b, P_tAnti, 982, check)
    call createCurrent(P_WPlus, P_H, P_H, P_WMinus, 132, check)
    call createCurrent(P_GPlus, P_ghA, P_ghWpAnti, 475, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_G0, 973, check)
    call createCurrent(P_t, P_tAnti, P_A, 551, check)
    call createCurrent(P_t, P_tAnti, P_g, 838, check)
    call createCurrent(P_GPlus, P_A, P_Z, P_GMinus, 0, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, P_H, 321, check)
    call createCurrent(P_nu_mu, P_muPlus, P_GMinus, 11, check)
    call createCurrent(P_H, P_A, P_GMinus, P_WPlus, 432, check)
    call createCurrent(P_H, P_ghWpAnti, P_ghWp, 335, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_H, 374, check)
    call createCurrent(P_tAnti, P_t, P_Z, 710, check)
    call createCurrent(P_H, P_tauPlus, P_tauMinus, 562, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_Z, 673, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_G0, 33, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_GPlus, 58, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_A, 144, check)
    call createCurrent(P_Z, P_GPlus, P_H, P_WMinus, 573, check)
    call createCurrent(P_b, P_A, P_bAnti, 815, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_A, 823, check)
    call createCurrent(P_Z, P_dAnti, P_d, 628, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, 333, check)
    call createCurrent(P_Z, P_G0, P_GMinus, P_WPlus, 358, check)
    call createCurrent(P_A, P_WMinus, P_A, P_WPlus, 548, check)
    call createCurrent(P_muPlus, P_muMinus, 1152, check)
    call createCurrent(P_muMinus, P_muPlus, P_G0, 913, check)
    call createCurrent(P_bAnti, P_b, P_Z, 205, check)
    call createCurrent(P_H, P_A, P_WMinus, P_GPlus, 305, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_G0, 80, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_A, 763, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_GPlus, 1037, check)
    call createCurrent(P_GPlus, P_Z, P_Z, P_GMinus, 254, check)
    call createCurrent(P_A, P_c, P_cAnti, 188, check)
    call createCurrent(P_s, P_sAnti, P_H, 545, check)
    call createCurrent(P_t, P_tAnti, P_G0, 890, check)
    call createCurrent(P_GPlus, P_GMinus, P_g, P_g, 1172, check)
    call createCurrent(P_H, P_G0, P_G0, 404, check)
    call createCurrent(P_c, P_G0, P_cAnti, 902, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, 612, check)
    call createCurrent(P_d, P_WPlus, P_uAnti, 755, check)
    call createCurrent(P_A, P_G0, P_H, 163, check)
    call createCurrent(P_A, P_uAnti, P_u, 773, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_A, 1009, check)
    call createCurrent(P_g, P_cAnti, P_c, 187, check)
    call createCurrent(P_dAnti, P_u, P_GMinus, 55, check)
    call createCurrent(P_uAnti, P_d, P_WPlus, 784, check)
    call createCurrent(P_A, P_Z, P_g, P_g, 1116, check)
    call createCurrent(P_GMinus, P_t, P_bAnti, 901, check)
    call createCurrent(P_GMinus, P_WPlus, P_WMinus, P_GPlus, 873, check)
    call createCurrent(P_WPlus, P_WMinus, P_GMinus, P_GPlus, 563, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, 260, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_Z, 603, check)
    call createCurrent(P_WMinus, P_WPlus, P_G0, P_G0, 649, check)
    call createCurrent(P_H, P_H, 1111, check)
    call createCurrent(P_Z, P_g, P_Z, P_g, 1113, check)
    call createCurrent(P_uAnti, P_u, 1106, check)
    call createCurrent(P_nu_e, P_ePlus, P_WMinus, 435, check)
    call createCurrent(P_sAnti, P_g, P_s, 539, check)
    call createCurrent(P_GPlus, P_A, P_H, P_WMinus, 259, check)
    call createCurrent(P_G0, P_WMinus, P_WPlus, P_G0, 561, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_WPlus, 1056, check)
    call createCurrent(P_GMinus, P_dAnti, P_u, 558, check)
    call createCurrent(P_H, P_uAnti, P_u, 974, check)
    call createCurrent(P_u, P_uAnti, P_Z, 741, check)
    call createCurrent(P_WPlus, P_WMinus, P_g, P_g, 1146, check)
    call createCurrent(P_d, P_Z, P_dAnti, 820, check)
    call createCurrent(P_A, P_ePlus, P_eMinus, 170, check)
    call createCurrent(P_GPlus, P_G0, P_A, P_WMinus, 529, check)
    call createCurrent(P_G0, P_WMinus, P_G0, P_WPlus, 18, check)
    call createCurrent(P_A, P_dAnti, P_d, 224, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_H, 651, check)
    call createCurrent(P_Z, P_H, P_GPlus, P_WMinus, 468, check)
    call createCurrent(P_Z, P_A, P_Z, 1089, check)
    call createCurrent(P_sAnti, P_s, 1100, check)
    call createCurrent(P_Z, P_GPlus, P_G0, P_WMinus, 592, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, 655, check)
    call createCurrent(P_muMinus, P_muPlus, P_A, 541, check)
    call createCurrent(P_WPlus, P_Z, P_G0, P_GMinus, 10, check)
    call createCurrent(P_c, P_sAnti, P_GMinus, 778, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, P_H, 36, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, 919, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, 488, check)
    call createCurrent(P_H, P_ghZAnti, P_ghZ, 78, check)
    call createCurrent(P_G0, P_eMinus, P_ePlus, 706, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, 704, check)
    call createCurrent(P_G0, P_u, P_uAnti, 761, check)
    call createCurrent(P_ghWmAnti, P_H, P_ghWm, 101, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, 667, check)
    call createCurrent(P_nu_e, P_GMinus, P_ePlus, 538, check)
    call createCurrent(P_GPlus, P_GPlus, P_GMinus, P_GMinus, 559, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_A, 629, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_Z, 600, check)
    call createCurrent(P_G0, P_A, P_A, 774, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, 1128, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_GPlus, 805, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_Z, 1075, check)
    call createCurrent(P_GPlus, P_H, P_H, P_GMinus, 722, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, 390, check)
    call createCurrent(P_muMinus, P_muPlus, P_H, 228, check)
    call createCurrent(P_g, P_GMinus, P_GPlus, P_g, 1166, check)
    call createCurrent(P_u, P_dAnti, P_WMinus, 203, check)
    call createCurrent(P_Z, P_tauPlus, P_tauMinus, 239, check)
    call createCurrent(P_g, P_H, P_g, P_H, 1161, check)
    call createCurrent(P_WMinus, P_dAnti, P_u, 929, check)
    call createCurrent(P_H, P_WPlus, P_A, P_GMinus, 864, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, P_H, 1006, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, 857, check)
    call createCurrent(P_WPlus, P_GMinus, P_GPlus, P_WMinus, 79, check)
    call createCurrent(P_dAnti, P_d, 1103, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghA, 502, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_G0, 449, check)
    call createCurrent(P_Z, P_WPlus, P_A, P_WMinus, 765, check)
    call createCurrent(P_u, P_uAnti, P_G0, 6, check)
    call createCurrent(P_s, P_A, P_sAnti, 705, check)
    call createCurrent(P_g, P_H, P_g, 1200, check)
    call createCurrent(P_WPlus, P_Z, P_A, P_WMinus, 702, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, P_H, 536, check)
    call createCurrent(P_Z, P_ghWm, P_ghWmAnti, 881, check)
    call createCurrent(P_GMinus, P_g, P_GPlus, P_g, 1137, check)
    call createCurrent(P_Z, P_Z, P_g, P_g, 1119, check)
    call createCurrent(P_G0, P_WMinus, P_Z, P_GPlus, 650, check)
    call createCurrent(P_Z, P_H, P_WPlus, P_GMinus, 1063, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_A, 960, check)
    call createCurrent(P_muPlus, P_muMinus, P_G0, 184, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_G0, 972, check)
    call createCurrent(P_H, P_G0, P_A, 171, check)
    call createCurrent(P_WPlus, P_A, P_H, P_GMinus, 147, check)
    call createCurrent(P_ghA, P_WMinus, P_ghWmAnti, 788, check)
    call createCurrent(P_Z, P_WPlus, P_Z, P_WMinus, 917, check)
    call createCurrent(P_cAnti, P_g, P_c, 258, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GMinus, 196, check)
    call createCurrent(P_A, P_cAnti, P_c, 611, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, 752, check)
    call createCurrent(P_G0, P_H, P_Z, 29, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_A, 967, check)
    call createCurrent(P_GMinus, P_Z, P_A, P_GPlus, 992, check)
    call createCurrent(P_WPlus, P_tauMinus, P_nu_tauAnti, 285, check)
    call createCurrent(P_A, P_G0, P_A, 908, check)
    call createCurrent(P_A, P_ghWm, P_ghWmAnti, 582, check)
    call createCurrent(P_WPlus, P_H, P_A, P_GMinus, 721, check)
    call createCurrent(P_ePlus, P_Z, P_eMinus, 661, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, 739, check)
    call createCurrent(P_bAnti, P_b, P_g, 327, check)
    call createCurrent(P_cAnti, P_Z, P_c, 376, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_Z, 326, check)
    call createCurrent(P_g, P_tAnti, P_t, 2, check)
    call createCurrent(P_GPlus, P_GMinus, 1196, check)
    call createCurrent(P_G0, P_g, P_g, P_G0, 1177, check)
    call createCurrent(P_eMinus, P_WPlus, P_nu_eAnti, 528, check)
    call createCurrent(P_t, P_H, P_tAnti, 166, check)
    call createCurrent(P_cAnti, P_A, P_c, 1046, check)
    call createCurrent(P_g, P_g, P_H, 1193, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, P_H, 180, check)
    call createCurrent(P_muPlus, P_muMinus, P_H, 442, check)
    call createCurrent(P_GPlus, P_GMinus, P_WPlus, P_WMinus, 516, check)
    call createCurrent(P_Z, P_ePlus, P_eMinus, 865, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_Z, 164, check)
    call createCurrent(P_tauPlus, P_G0, P_tauMinus, 627, check)
    call createCurrent(P_tauMinus, P_WPlus, P_nu_tauAnti, 153, check)
    call createCurrent(P_A, P_tauPlus, P_tauMinus, 332, check)
    call createCurrent(P_u, P_GMinus, P_dAnti, 584, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_G0, 116, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_Z, 936, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_ghWp, 515, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_Z, 231, check)
    call createCurrent(P_g, P_g, P_GMinus, P_GPlus, 1127, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_H, 207, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, 832, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, 770, check)
    call createCurrent(P_t, P_Z, P_tAnti, 931, check)
    call createCurrent(P_H, P_tauMinus, P_tauPlus, 215, check)
    call createCurrent(P_G0, P_dAnti, P_d, 854, check)
    call createCurrent(P_t, P_g, P_tAnti, 319, check)
    call createCurrent(P_H, P_g, P_H, P_g, 1118, check)
    call createCurrent(P_s, P_Z, P_sAnti, 680, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_Z, 277, check)
    call createCurrent(P_A, P_GMinus, P_Z, P_GPlus, 988, check)
    call createCurrent(P_t, P_GMinus, P_bAnti, 134, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_GMinus, 406, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_A, 412, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GMinus, 1092, check)
    call createCurrent(P_nu_e, P_WMinus, P_ePlus, 377, check)
    call createCurrent(P_H, P_cAnti, P_c, 1003, check)
    call createCurrent(P_ghG, P_ghGAnti, P_g, 418, check)
    call createCurrent(P_bAnti, P_b, P_G0, 50, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_A, 698, check)
    call createCurrent(P_H, P_G0, P_H, P_G0, 842, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghWmAnti, 904, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_Z, 825, check)
    call createCurrent(P_G0, P_WPlus, P_Z, P_GMinus, 343, check)
    call createCurrent(P_WPlus, P_A, P_A, P_WMinus, 777, check)
    call createCurrent(P_H, P_H, P_GPlus, P_GMinus, 589, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, 156, check)
    call createCurrent(P_ghA, P_WPlus, P_ghWpAnti, 356, check)
    call createCurrent(P_WPlus, P_nu_muAnti, P_muMinus, 7, check)
    call createCurrent(P_G0, P_WPlus, P_A, P_GMinus, 1095, check)
    call createCurrent(P_WPlus, P_WMinus, P_G0, P_G0, 379, check)
    call createCurrent(P_G0, P_G0, P_G0, P_G0, 348, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_G0, 149, check)
    call createCurrent(P_c, P_cAnti, P_Z, 596, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, 720, check)
    call createCurrent(P_WMinus, P_c, P_sAnti, 473, check)
    call createCurrent(P_A, P_muPlus, P_muMinus, 759, check)
    call createCurrent(P_WMinus, P_GMinus, P_GPlus, P_WPlus, 23, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, 975, check)
    call createCurrent(P_u, P_A, P_uAnti, 469, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WMinus, 471, check)
    call createCurrent(P_H, P_Z, P_GMinus, P_WPlus, 577, check)
    call createCurrent(P_G0, P_uAnti, P_u, 89, check)
    call createCurrent(P_H, P_g, P_g, 1167, check)
    call createCurrent(P_uAnti, P_G0, P_u, 191, check)
    call createCurrent(P_A, P_u, P_uAnti, 136, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_A, 505, check)
    call createCurrent(P_A, P_A, P_GPlus, P_GMinus, 399, check)
    call createCurrent(P_G0, P_c, P_cAnti, 695, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, 791, check)
    call createCurrent(P_WMinus, P_WPlus, P_g, P_g, 1133, check)
    call createCurrent(P_dAnti, P_d, P_Z, 324, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_G0, 839, check)
    call createCurrent(P_Z, P_G0, P_GPlus, P_WMinus, 807, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_G0, 959, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WPlus, 601, check)
    call createCurrent(P_G0, P_A, P_WMinus, P_GPlus, 712, check)
    call createCurrent(P_b, P_bAnti, P_G0, 1035, check)
    call createCurrent(P_GMinus, P_A, P_Z, P_GPlus, 71, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, 4, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, 15, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, 481, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_Z, 421, check)
    call createCurrent(P_dAnti, P_d, P_G0, 654, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, 937, check)
    call createCurrent(P_tAnti, P_t, P_g, 438, check)
    call createCurrent(P_G0, P_ghWm, P_ghWmAnti, 197, check)
    call createCurrent(P_G0, P_A, P_WPlus, P_GMinus, 527, check)
    call createCurrent(P_tauPlus, P_A, P_tauMinus, 590, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghZ, 98, check)
    call createCurrent(P_WMinus, P_g, P_WPlus, P_g, 1124, check)
    call createCurrent(P_H, P_sAnti, P_s, 114, check)
    call createCurrent(P_dAnti, P_GMinus, P_u, 625, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_A, 652, check)
    call createCurrent(P_Z, P_G0, P_H, 863, check)
    call createCurrent(P_cAnti, P_c, P_g, 806, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, 441, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_Z, 924, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_G0, 41, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, 186, check)
    call createCurrent(P_WPlus, P_Z, P_Z, P_WMinus, 380, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_Z, 295, check)
    call createCurrent(P_Z, P_b, P_bAnti, 423, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_Z, 664, check)
    call createCurrent(P_muMinus, P_WPlus, P_nu_muAnti, 38, check)
    call createCurrent(P_g, P_A, P_g, P_Z, 1154, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_A, 351, check)
    call createCurrent(P_A, P_GMinus, P_G0, P_WPlus, 610, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, 63, check)
    call createCurrent(P_GMinus, P_WMinus, P_GPlus, P_WPlus, 456, check)
    call createCurrent(P_Z, P_GMinus, P_G0, P_WPlus, 202, check)
    call createCurrent(P_GMinus, P_GMinus, P_GPlus, P_GPlus, 479, check)
    call createCurrent(P_WPlus, P_Z, P_H, P_GMinus, 544, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_A, 243, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_G0, 437, check)
    call createCurrent(P_G0, P_muMinus, P_muPlus, 229, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, 482, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_Z, 984, check)
    call createCurrent(P_WMinus, P_nu_e, P_ePlus, 543, check)
    call createCurrent(P_sAnti, P_s, P_H, 693, check)
    call createCurrent(P_H, P_WMinus, P_H, P_WPlus, 286, check)
    call createCurrent(P_A, P_H, P_GMinus, P_WPlus, 97, check)
    call createCurrent(P_t, P_bAnti, P_WMinus, 781, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_H, 631, check)
    call createCurrent(P_nu_mu, P_muPlus, P_WMinus, 88, check)
    call createCurrent(P_dAnti, P_d, P_A, 670, check)
    call createCurrent(P_ghGAnti, P_g, P_ghG, 872, check)
    call createCurrent(P_Z, P_Z, P_Z, 31, check)
    call createCurrent(P_eMinus, P_A, P_ePlus, 547, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_Z, 594, check)
    call createCurrent(P_g, P_H, P_H, P_g, 1112, check)
    call createCurrent(P_s, P_cAnti, P_WPlus, 273, check)
    call createCurrent(P_Z, P_uAnti, P_u, 363, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_Z, 44, check)
    call createCurrent(P_tauMinus, P_H, P_tauPlus, 329, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_G0, 964, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_Z, 385, check)
    call createCurrent(P_A, P_Z, P_G0, 3, check)
    call createCurrent(P_nu_tauAnti, P_Z, P_nu_tau, 112, check)
    call createCurrent(P_nu_muAnti, P_GPlus, P_muMinus, 178, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_H, 568, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_G0, 887, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, 52, check)
    call createCurrent(P_G0, P_WPlus, P_G0, P_WMinus, 1059, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, P_H, 238, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, 5, check)
    call createCurrent(P_uAnti, P_d, P_GPlus, 638, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, 1015, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, 542, check)
    call createCurrent(P_WPlus, P_G0, P_WMinus, P_G0, 508, check)
    call createCurrent(P_dAnti, P_g, P_d, 53, check)
    call createCurrent(P_Z, P_A, P_G0, 723, check)
    call createCurrent(P_Z, P_Z, P_WPlus, P_WMinus, 84, check)
    call createCurrent(P_nu_eAnti, P_nu_e, 1159, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, 35, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_G0, 1, check)
    call createCurrent(P_WPlus, P_b, P_tAnti, 569, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_A, 831, check)
    call createCurrent(P_WMinus, P_G0, P_G0, P_WPlus, 998, check)
    call createCurrent(P_c, P_cAnti, P_A, 856, check)
    call createCurrent(P_ghA, P_GPlus, P_ghWpAnti, 953, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_A, 425, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_H, 190, check)
    call createCurrent(P_H, P_GPlus, P_Z, P_WMinus, 976, check)
    call createCurrent(P_sAnti, P_s, P_A, 837, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghZAnti, 809, check)
    call createCurrent(P_s, P_sAnti, 1099, check)
    call createCurrent(P_H, P_ghWm, P_ghWmAnti, 271, check)
    call createCurrent(P_Z, P_A, P_A, 906, check)
    call createCurrent(P_A, P_A, P_WPlus, P_WMinus, 91, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_A, 845, check)
    call createCurrent(P_H, P_H, P_A, 320, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_Z, 646, check)
    call createCurrent(P_WPlus, P_g, P_WMinus, P_g, 1141, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_A, 1053, check)
    call createCurrent(P_eMinus, P_ePlus, P_Z, 1061, check)
    call createCurrent(P_WMinus, P_Z, P_A, P_WPlus, 675, check)
    call createCurrent(P_A, P_G0, P_Z, 634, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, 606, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, 846, check)
    call createCurrent(P_G0, P_Z, P_GPlus, P_WMinus, 92, check)
    call createCurrent(P_b, P_bAnti, P_Z, 991, check)
    call createCurrent(P_b, P_tAnti, P_GPlus, 1091, check)
    call createCurrent(P_tAnti, P_t, P_A, 868, check)
    call createCurrent(P_G0, P_G0, P_WPlus, P_WMinus, 214, check)
    call createCurrent(P_muMinus, P_A, P_muPlus, 700, check)
    call createCurrent(P_GMinus, P_ePlus, P_nu_e, 198, check)
    call createCurrent(P_u, P_uAnti, P_H, 257, check)
    call createCurrent(P_muPlus, P_WMinus, P_nu_mu, 252, check)
    call createCurrent(P_Z, P_g, P_g, P_Z, 1198, check)
    call createCurrent(P_sAnti, P_G0, P_s, 961, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, 96, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_A, 241, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_G0, 768, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, 952, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_H, 497, check)
    call createCurrent(P_A, P_g, P_g, P_A, 1183, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_WPlus, 85, check)
    call createCurrent(P_c, P_sAnti, P_WMinus, 138, check)
    call createCurrent(P_GPlus, P_WMinus, P_WPlus, P_GMinus, 718, check)
    call createCurrent(P_GMinus, P_ghA, P_ghWmAnti, 362, check)
    call createCurrent(P_G0, P_bAnti, P_b, 803, check)
    call createCurrent(P_A, P_d, P_dAnti, 1016, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghWm, 501, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_Z, 148, check)
    call createCurrent(P_g, P_A, P_g, P_A, 1188, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, 942, check)
    call createCurrent(P_GPlus, P_tauMinus, P_nu_tauAnti, 82, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_A, 751, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghWm, 663, check)
    call createCurrent(P_H, P_H, P_H, 579, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_A, 819, check)
    call createCurrent(P_b, P_bAnti, P_H, 17, check)
    call createCurrent(P_WPlus, P_ghZ, P_ghWpAnti, 1066, check)
    call createCurrent(P_GMinus, P_G0, P_G0, P_GPlus, 108, check)
    call createCurrent(P_muPlus, P_nu_mu, P_WMinus, 860, check)
    call createCurrent(P_ghWpAnti, P_H, P_ghWp, 691, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, P_H, 384, check)
    call createCurrent(P_ePlus, P_H, P_eMinus, 128, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_A, 251, check)
    call createCurrent(P_uAnti, P_GPlus, P_d, 900, check)
    call createCurrent(P_Z, P_nu_muAnti, P_nu_mu, 495, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_G0, 983, check)
    call createCurrent(P_GMinus, P_tauPlus, P_nu_tau, 76, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_G0, 1005, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_Z, 87, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_Z, 636, check)
    call createCurrent(P_Z, P_G0, P_WMinus, P_GPlus, 428, check)
    call createCurrent(P_A, P_sAnti, P_s, 40, check)
    call createCurrent(P_tAnti, P_t, P_H, 234, check)
    call createCurrent(P_GPlus, P_GMinus, P_GMinus, P_GPlus, 849, check)
    call createCurrent(P_H, P_H, P_G0, P_G0, 337, check)
    call createCurrent(P_sAnti, P_A, P_s, 593, check)
    call createCurrent(P_GMinus, P_GPlus, P_WMinus, P_WPlus, 555, check)
    call createCurrent(P_Z, P_A, P_g, P_g, 1173, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_A, 878, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, 1090, check)
    call createCurrent(P_Z, P_ghWp, P_ghWpAnti, 94, check)
    call createCurrent(P_ghWm, P_H, P_ghWmAnti, 383, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_G0, 462, check)
    call createCurrent(P_WMinus, P_GPlus, P_WPlus, P_GMinus, 1014, check)
    call createCurrent(P_g, P_A, P_Z, P_g, 1131, check)
    call createCurrent(P_G0, P_g, P_G0, P_g, 1176, check)
    call createCurrent(P_GMinus, P_GPlus, P_WPlus, P_WMinus, 850, check)
    call createCurrent(P_d, P_dAnti, P_Z, 886, check)
    call createCurrent(P_ePlus, P_eMinus, P_Z, 889, check)
    call createCurrent(P_A, P_G0, P_GMinus, P_WPlus, 640, check)
    call createCurrent(P_dAnti, P_H, P_d, 49, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_Z, 1008, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_G0, 616, check)
    call createCurrent(P_WMinus, P_A, P_A, P_WPlus, 717, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_A, 899, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_H, 16, check)
    call createCurrent(P_t, P_tAnti, P_H, 613, check)
    call createCurrent(P_A, P_g, P_g, P_g, 1162, check)
    call createCurrent(P_Z, P_WPlus, P_H, P_GMinus, 318, check)
    call createCurrent(P_GMinus, P_bAnti, P_t, 943, check)
    call createCurrent(P_A, P_g, P_Z, P_g, 1138, check)
    call createCurrent(P_WPlus, P_tAnti, P_b, 1071, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, 1165, check)
    call createCurrent(P_GMinus, P_GPlus, 1201, check)
    call createCurrent(P_A, P_A, P_G0, 1032, check)
    call createCurrent(P_g, P_g, P_G0, P_G0, 1163, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_H, 709, check)
    call createCurrent(P_Z, P_Z, P_GPlus, P_GMinus, 811, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghAAnti, 617, check)
    call createCurrent(P_WMinus, P_g, P_g, P_WPlus, 1130, check)
    call createCurrent(P_nu_eAnti, P_WPlus, P_eMinus, 821, check)
    call createCurrent(P_cAnti, P_s, P_GPlus, 355, check)
    call createCurrent(P_G0, P_A, P_GMinus, P_WPlus, 382, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_WPlus, 814, check)
    call createCurrent(P_c, P_g, P_cAnti, 747, check)
    call createCurrent(P_GMinus, P_A, P_H, P_WPlus, 249, check)
    call createCurrent(P_g, P_g, P_g, P_Z, 1168, check)
    call createCurrent(P_WPlus, P_G0, P_Z, P_GMinus, 68, check)
    call createCurrent(P_Z, P_GMinus, P_A, P_GPlus, 1033, check)
    call createCurrent(P_GMinus, P_u, P_dAnti, 222, check)
    call createCurrent(P_tauPlus, P_tauMinus, 1186, check)
    call createCurrent(P_WPlus, P_d, P_uAnti, 701, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, 1025, check)
    call createCurrent(P_uAnti, P_u, P_g, 1077, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, 1010, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghWp, 565, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_Z, 30, check)
    call createCurrent(P_ePlus, P_eMinus, P_G0, 557, check)
    call createCurrent(P_ghWp, P_A, P_ghWpAnti, 858, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_Z, 21, check)
    call createCurrent(P_WMinus, P_G0, P_WPlus, P_G0, 735, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_H, 869, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_A, 389, check)
    call createCurrent(P_s, P_g, P_sAnti, 492, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_G0, 431, check)
    call createCurrent(P_GMinus, P_H, P_A, P_WPlus, 776, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, 549, check)
    call createCurrent(P_H, P_ghZ, P_ghZAnti, 914, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_Z, 946, check)
    call createCurrent(P_sAnti, P_H, P_s, 303, check)
    call createCurrent(P_tAnti, P_WPlus, P_b, 245, check)
    call createCurrent(P_d, P_A, P_dAnti, 669, check)
    call createCurrent(P_ghGAnti, P_ghG, P_g, 512, check)
    call createCurrent(P_dAnti, P_Z, P_d, 42, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_A, 822, check)
    call createCurrent(P_WMinus, P_H, P_A, P_GPlus, 996, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_A, 941, check)
    call createCurrent(P_Z, P_u, P_uAnti, 1069, check)
    call createCurrent(P_H, P_g, P_g, P_H, 1169, check)
    call createCurrent(P_muMinus, P_Z, P_muPlus, 1023, check)
    call createCurrent(P_G0, P_G0, P_WMinus, P_WPlus, 836, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, 1135, check)
    call createCurrent(P_G0, P_Z, P_G0, 375, check)
    call createCurrent(P_Z, P_s, P_sAnti, 1054, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, 113, check)
    call createCurrent(P_A, P_A, P_Z, 824, check)
    call createCurrent(P_Z, P_nu_mu, P_nu_muAnti, 346, check)
    call createCurrent(P_b, P_bAnti, P_A, 146, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, 102, check)
    call createCurrent(P_H, P_H, P_WMinus, P_WPlus, 1030, check)
    call createCurrent(P_G0, P_G0, P_Z, 189, check)
    call createCurrent(P_uAnti, P_u, P_A, 979, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_Z, 155, check)
    call createCurrent(P_sAnti, P_WMinus, P_c, 607, check)
    call createCurrent(P_uAnti, P_u, P_G0, 145, check)
    call createCurrent(P_GPlus, P_tAnti, P_b, 192, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_A, 129, check)
    call createCurrent(P_WMinus, P_nu_mu, P_muPlus, 926, check)
    call createCurrent(P_b, P_G0, P_bAnti, 1027, check)
    call createCurrent(P_H, P_H, P_GMinus, P_GPlus, 162, check)
    call createCurrent(P_A, P_Z, P_A, 511, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_H, 826, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, 480, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Z, 957, check)
    call createCurrent(P_WMinus, P_G0, P_WPlus, 703, check)
    call createCurrent(P_g, P_g, P_g, P_g, 227, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_Z, 639, check)
    call createCurrent(P_G0, P_ghWp, P_ghWpAnti, 801, check)
    call createCurrent(P_tAnti, P_b, P_WPlus, 195, check)
    call createCurrent(P_WMinus, P_G0, P_Z, P_GPlus, 828, check)
    call createCurrent(P_Z, P_g, P_g, P_A, 1192, check)
    call createCurrent(P_A, P_H, P_G0, 507, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_WPlus, 280, check)
    call createCurrent(P_H, P_GPlus, P_A, P_WMinus, 74, check)
    call createCurrent(P_Z, P_GPlus, P_Z, P_GMinus, 281, check)
    call createCurrent(P_H, P_Z, P_WPlus, P_GMinus, 274, check)
    call createCurrent(P_uAnti, P_A, P_u, 393, check)
    call createCurrent(P_H, P_A, P_H, 466, check)
    call createCurrent(P_Z, P_g, P_A, P_g, 1160, check)
    call createCurrent(P_g, P_WMinus, P_WPlus, P_g, 1129, check)
    call createCurrent(P_G0, P_GPlus, P_Z, P_WMinus, 1065, check)
    call createCurrent(P_WPlus, P_GMinus, P_WMinus, P_GPlus, 932, check)
    call createCurrent(P_uAnti, P_WPlus, P_d, 570, check)
    call createCurrent(P_Z, P_A, P_GMinus, P_GPlus, 708, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, 977, check)
    call createCurrent(P_A, P_GPlus, P_Z, P_GMinus, 293, check)
    call createCurrent(P_g, P_Z, P_Z, P_g, 1122, check)
    call createCurrent(P_Z, P_H, P_H, P_Z, 314, check)
    call createCurrent(P_G0, P_H, P_G0, 928, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_A, 987, check)
    call createCurrent(P_Z, P_G0, P_G0, 459, check)
    call createCurrent(P_WPlus, P_A, P_Z, P_WMinus, 185, check)
    call createCurrent(P_WPlus, P_H, P_Z, P_GMinus, 930, check)
    call createCurrent(P_Z, P_bAnti, P_b, 1018, check)
    call createCurrent(P_uAnti, P_H, P_u, 270, check)
    call createCurrent(P_WPlus, P_uAnti, P_d, 282, check)
    call createCurrent(P_t, P_WMinus, P_bAnti, 46, check)
    call createCurrent(P_A, P_Z, P_WPlus, P_WMinus, 993, check)
    call createCurrent(P_GPlus, P_nu_muAnti, P_muMinus, 540, check)
    call createCurrent(P_A, P_H, P_WMinus, P_GPlus, 408, check)
    call createCurrent(P_A, P_Z, P_Z, 278, check)
    call createCurrent(P_G0, P_Z, P_WPlus, P_GMinus, 772, check)
    call createCurrent(P_sAnti, P_c, P_GMinus, 775, check)
    call createCurrent(P_H, P_d, P_dAnti, 947, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_Z, 111, check)
    call createCurrent(P_s, P_H, P_sAnti, 294, check)
    call createCurrent(P_cAnti, P_c, 1102, check)
    call createCurrent(P_WMinus, P_t, P_bAnti, 572, check)
    call createCurrent(P_g, P_g, P_A, P_Z, 1144, check)
    call createCurrent(P_c, P_cAnti, P_G0, 223, check)
    call createCurrent(P_muPlus, P_H, P_muMinus, 852, check)
    call createCurrent(P_GPlus, P_eMinus, P_nu_eAnti, 350, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, 660, check)
    call createCurrent(P_H, P_muMinus, P_muPlus, 1062, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghA, 716, check)
    call createCurrent(P_WMinus, P_Z, P_Z, P_WPlus, 688, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_H, 372, check)
    call createCurrent(P_H, P_GMinus, P_H, P_GPlus, 671, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, 496, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, 287, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, 1050, check)
    call createCurrent(P_Z, P_G0, P_Z, P_G0, 409, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, 574, check)
    call createCurrent(P_G0, P_s, P_sAnti, 1086, check)
    call createCurrent(P_ePlus, P_nu_e, P_GMinus, 566, check)
    call createCurrent(P_g, P_g, 1109, check)
    call createCurrent(P_bAnti, P_A, P_b, 591, check)
    call createCurrent(P_GPlus, P_A, P_G0, P_WMinus, 630, check)
    call createCurrent(P_s, P_GPlus, P_cAnti, 697, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, P_H, 530, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, 255, check)
    call createCurrent(P_WPlus, P_muMinus, P_nu_muAnti, 467, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Z, 635, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, 532, check)
    call createCurrent(P_nu_eAnti, P_Z, P_nu_e, 487, check)
    call createCurrent(P_dAnti, P_d, P_g, 656, check)
    call createCurrent(P_Z, P_Z, P_H, 398, check)
    call createCurrent(P_G0, P_A, P_H, 1011, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_H, 758, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_A, 140, check)
    call createCurrent(P_A, P_A, P_g, P_g, 1164, check)
    call createCurrent(P_bAnti, P_g, P_b, 230, check)
    call createCurrent(P_b, P_Z, P_bAnti, 225, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, 264, check)
    call createCurrent(P_cAnti, P_WPlus, P_s, 472, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_A, 859, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghWp, 789, check)
    call createCurrent(P_tAnti, P_H, P_t, 1083, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, 436, check)
    call createCurrent(P_u, P_uAnti, 1105, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_A, 193, check)
    call createCurrent(P_GPlus, P_s, P_cAnti, 439, check)
    call createCurrent(P_d, P_uAnti, P_WPlus, 236, check)
    call createCurrent(P_muMinus, P_H, P_muPlus, 141, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, 719, check)
    call createCurrent(P_A, P_H, P_GPlus, P_WMinus, 118, check)
    call createCurrent(P_muPlus, P_muMinus, P_A, 503, check)
    call createCurrent(P_Z, P_c, P_cAnti, 152, check)
    call createCurrent(P_tauPlus, P_WMinus, P_nu_tau, 1034, check)
    call createCurrent(P_Z, P_Z, 1199, check)
    call createCurrent(P_b, P_tAnti, P_WPlus, 100, check)
    call createCurrent(P_g, P_g, P_WPlus, P_WMinus, 1157, check)
    call createCurrent(P_A, P_eMinus, P_ePlus, 107, check)
    call createCurrent(P_sAnti, P_s, P_Z, 585, check)
    call createCurrent(P_uAnti, P_Z, P_u, 498, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, 920, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_Z, 813, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WMinus, 142, check)
    call createCurrent(P_GPlus, P_Z, P_A, P_GMinus, 154, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_WPlus, 483, check)
    call createCurrent(P_g, P_uAnti, P_u, 933, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, 834, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_A, 1022, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, 1080, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_WMinus, 999, check)
    call createCurrent(P_G0, P_tAnti, P_t, 1081, check)
    call createCurrent(P_Z, P_H, P_Z, P_H, 521, check)
    call createCurrent(P_d, P_dAnti, 1110, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghZ, 194, check)
    call createCurrent(P_g, P_Z, P_g, P_Z, 1194, check)
    call createCurrent(P_g, P_g, P_Z, P_g, 1123, check)
    call createCurrent(P_WMinus, P_WPlus, 1174, check)
    call createCurrent(P_Z, P_sAnti, P_s, 1073, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, 400, check)
    call createCurrent(P_G0, P_b, P_bAnti, 621, check)
    call createCurrent(P_nu_mu, P_GMinus, P_muPlus, 290, check)
    call createCurrent(P_H, P_eMinus, P_ePlus, 940, check)
    call createCurrent(P_d, P_dAnti, P_g, 396, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_H, 687, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_H, 463, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, 749, check)
    call createCurrent(P_H, P_G0, P_Z, 344, check)
    call createCurrent(P_Z, P_nu_e, P_nu_eAnti, 301, check)
    call createCurrent(P_G0, P_WMinus, P_A, P_GPlus, 325, check)
    call createCurrent(P_GPlus, P_G0, P_G0, P_GMinus, 571, check)
    call createCurrent(P_G0, P_G0, P_Z, P_Z, 1064, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, 491, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghWm, 411, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_H, 894, check)
    call createCurrent(P_WPlus, P_nu_eAnti, P_eMinus, 386, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghZAnti, 518, check)
    call createCurrent(P_WMinus, P_nu_tau, P_tauPlus, 513, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, 452, check)
    call createCurrent(P_Z, P_G0, P_G0, P_Z, 537, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_Z, 1052, check)
    call createCurrent(P_cAnti, P_c, P_H, 28, check)
    call createCurrent(P_muPlus, P_Z, P_muMinus, 433, check)
    call createCurrent(P_WMinus, P_A, P_Z, P_WPlus, 578, check)
    call createCurrent(P_G0, P_G0, P_g, P_g, 1153, check)
    call createCurrent(P_GMinus, P_Z, P_Z, P_GPlus, 420, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, 608, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WPlus, 81, check)
    call createCurrent(P_WPlus, P_WMinus, P_WPlus, P_WMinus, 715, check)
    call createCurrent(P_g, P_g, P_Z, P_Z, 1117, check)
    call createCurrent(P_tAnti, P_t, 1108, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, 217, check)
    call createCurrent(P_nu_tau, P_Z, P_nu_tauAnti, 340, check)
    call createCurrent(P_G0, P_d, P_dAnti, 879, check)
    call createCurrent(P_G0, P_Z, P_Z, 213, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_A, 668, check)
    call createCurrent(P_bAnti, P_G0, P_b, 1043, check)
    call createCurrent(P_GMinus, P_G0, P_Z, P_WPlus, 753, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_A, 288, check)
    call createCurrent(P_nu_muAnti, P_Z, P_nu_mu, 841, check)
    call createCurrent(P_G0, P_G0, P_GMinus, P_GPlus, 172, check)
    call createCurrent(P_GPlus, P_G0, P_GMinus, P_G0, 780, check)
    call createCurrent(P_H, P_Z, P_G0, 787, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_H, 317, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, 830, check)
    call createCurrent(P_c, P_cAnti, P_H, 1031, check)
    call createCurrent(P_bAnti, P_t, P_WMinus, 62, check)
    call createCurrent(P_A, P_A, P_GMinus, P_GPlus, 1079, check)
    call createCurrent(P_GPlus, P_nu_eAnti, P_eMinus, 995, check)
    call createCurrent(P_bAnti, P_H, P_b, 927, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghWp, 657, check)
    call createCurrent(P_Z, P_cAnti, P_c, 242, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WPlus, 117, check)
    call createCurrent(P_muPlus, P_G0, P_muMinus, 1002, check)
    call createCurrent(P_nu_tauAnti, P_WPlus, P_tauMinus, 794, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_A, 123, check)
    call createCurrent(P_bAnti, P_Z, P_b, 61, check)
    call createCurrent(P_H, P_G0, P_G0, P_H, 336, check)
    call createCurrent(P_A, P_GMinus, P_A, P_GPlus, 912, check)
    call createCurrent(P_WPlus, P_eMinus, P_nu_eAnti, 911, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_A, 69, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, 133, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_Z, 1085, check)
    call createCurrent(P_G0, P_tauPlus, P_tauMinus, 726, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_H, 804, check)
    call createCurrent(P_s, P_cAnti, P_GPlus, 1096, check)
    call createCurrent(P_cAnti, P_H, P_c, 888, check)
    call createCurrent(P_d, P_dAnti, P_A, 66, check)
    call createCurrent(P_WMinus, P_Z, P_G0, P_GPlus, 477, check)
    call createCurrent(P_A, P_Z, 1187, check)
    call createCurrent(P_Z, P_H, P_WMinus, P_GPlus, 24, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_ghWp, 322, check)
    call createCurrent(P_G0, P_G0, P_H, 298, check)
    call createCurrent(P_G0, P_A, P_Z, 522, check)
    call createCurrent(P_tauPlus, P_GMinus, P_nu_tau, 956, check)
    call createCurrent(P_u, P_H, P_uAnti, 1078, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghZ, 665, check)
    call createCurrent(P_H, P_A, P_GPlus, P_WMinus, 903, check)
    call createCurrent(P_c, P_GMinus, P_sAnti, 642, check)
    call createCurrent(P_cAnti, P_c, P_A, 800, check)
    call createCurrent(P_eMinus, P_ePlus, 1175, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_WMinus, 855, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_Z, 812, check)
    call createCurrent(P_c, P_cAnti, 1101, check)
    call createCurrent(P_WPlus, P_s, P_cAnti, 157, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, 486, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, 248, check)
    call createCurrent(P_H, P_muPlus, P_muMinus, 64, check)
    call createCurrent(P_WMinus, P_ghA, P_ghWmAnti, 880, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, 368, check)
    call createCurrent(P_s, P_sAnti, P_Z, 445, check)
    call createCurrent(P_WPlus, P_WMinus, 1197, check)
    call createCurrent(P_tauMinus, P_G0, P_tauPlus, 604, check)
    call createCurrent(P_G0, P_Z, P_WMinus, P_GPlus, 550, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_H, 1019, check)
    call createCurrent(P_H, P_H, P_H, P_H, 524, check)
    call createCurrent(P_G0, P_GMinus, P_G0, P_GPlus, 77, check)
    call createCurrent(P_Z, P_g, P_g, P_g, 1156, check)
    call createCurrent(P_Z, P_nu_tauAnti, P_nu_tau, 748, check)
    call createCurrent(P_Z, P_Z, P_H, P_H, 922, check)
    call createCurrent(P_g, P_GPlus, P_GMinus, P_g, 1142, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghWpAnti, 883, check)
    call createCurrent(P_G0, P_ghWpAnti, P_ghWp, 417, check)
    call createCurrent(P_GMinus, P_nu_e, P_ePlus, 581, check)
    call createCurrent(P_g, P_s, P_sAnti, 1060, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_GPlus, 339, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, 414, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, 829, check)
    call createCurrent(P_GPlus, P_GMinus, P_WMinus, P_WPlus, 1013, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_A, 985, check)
    call createCurrent(P_eMinus, P_G0, P_ePlus, 127, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghWp, 896, check)
    call createCurrent(P_b, P_bAnti, 1098, check)
    call createCurrent(P_H, P_Z, P_H, P_Z, 1093, check)
    call createCurrent(P_muPlus, P_A, P_muMinus, 246, check)
    call createCurrent(P_WMinus, P_A, P_G0, P_GPlus, 866, check)
    call createCurrent(P_tauMinus, P_tauPlus, 1151, check)
    call createCurrent(P_WMinus, P_A, P_H, P_GPlus, 67, check)
    call createCurrent(P_GPlus, P_A, P_A, P_GMinus, 104, check)
    call createCurrent(P_t, P_tAnti, 1107, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_Z, 125, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, 905, check)
    call createCurrent(P_eMinus, P_GPlus, P_nu_eAnti, 369, check)
    call createCurrent(P_c, P_A, P_cAnti, 226, check)
    call createCurrent(P_WMinus, P_WPlus, P_GPlus, P_GMinus, 944, check)
    call createCurrent(P_GPlus, P_d, P_uAnti, 220, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, 907, check)
    call createCurrent(P_GPlus, P_Z, P_G0, P_WMinus, 641, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, 175, check)
    call createCurrent(P_ghWp, P_H, P_ghWpAnti, 256, check)
    call createCurrent(P_dAnti, P_d, P_H, 915, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_A, 262, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_H, 965, check)
    call createCurrent(P_tauPlus, P_Z, P_tauMinus, 407, check)
    call createCurrent(P_d, P_G0, P_dAnti, 692, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, 818, check)
    call createCurrent(P_s, P_WPlus, P_cAnti, 732, check)
    call createCurrent(P_ghWm, P_Z, P_ghWmAnti, 20, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, P_G0, 1070, check)
    call createCurrent(P_Z, P_Z, P_G0, 1057, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, 648, check)
    call createCurrent(P_WPlus, P_G0, P_G0, P_WMinus, 316, check)
    call createCurrent(P_A, P_G0, P_GPlus, P_WMinus, 210, check)
    call createCurrent(P_g, P_g, P_A, P_g, 1139, check)
    call createCurrent(P_Z, P_WMinus, P_A, P_WPlus, 448, check)
    call createCurrent(P_Z, P_A, P_H, 1058, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, 730, check)
    call createCurrent(P_g, P_g, P_g, 183, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, 366, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WMinus, 861, check)
    call createCurrent(P_A, P_G0, P_G0, 980, check)
    call createCurrent(P_g, P_WMinus, P_g, P_WPlus, 1148, check)
    call createCurrent(P_cAnti, P_GPlus, P_s, 783, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_G0, 790, check)
    call createCurrent(P_WMinus, P_ePlus, P_nu_e, 1072, check)
    call createCurrent(P_Z, P_H, P_Z, 57, check)
    call createCurrent(P_tAnti, P_G0, P_t, 73, check)
    call createCurrent(P_A, P_tAnti, P_t, 413, check)
    call createCurrent(P_t, P_G0, P_tAnti, 1042, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, 235, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_A, 1082, check)
    call createCurrent(P_muPlus, P_nu_mu, P_GMinus, 672, check)
    call createCurrent(P_Z, P_Z, P_GMinus, P_GPlus, 618, check)
    call createCurrent(P_t, P_tAnti, P_Z, 560, check)
    call createCurrent(P_GPlus, P_uAnti, P_d, 268, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, 394, check)
    call createCurrent(P_tAnti, P_Z, P_t, 1074, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghA, 647, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WMinus, 997, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghWp, 434, check)
    call createCurrent(P_WMinus, P_u, P_dAnti, 1024, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_WMinus, 216, check)
    call createCurrent(P_G0, P_GMinus, P_Z, P_WPlus, 451, check)
    call createCurrent(P_G0, P_Z, P_Z, P_G0, 740, check)
    call createCurrent(P_H, P_H, P_Z, P_Z, 1051, check)
    call createCurrent(P_Z, P_d, P_dAnti, 526, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_G0, 72, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_A, 653, check)
    call createCurrent(P_H, P_H, P_g, P_g, 1136, check)
    call createCurrent(P_u, P_uAnti, P_A, 9, check)
    call createCurrent(P_WMinus, P_GPlus, P_GMinus, P_WPlus, 365, check)
    call createCurrent(P_d, P_dAnti, P_H, 373, check)
    call createCurrent(P_Z, P_WMinus, P_H, P_GPlus, 266, check)
    call createCurrent(P_Z, P_GMinus, P_H, P_WPlus, 1084, check)
    call createCurrent(P_GPlus, P_g, P_GMinus, P_g, 1190, check)
    call createCurrent(P_G0, P_G0, P_A, 1047, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Z, 279, check)
    call createCurrent(P_G0, P_WPlus, P_WMinus, P_G0, 893, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, 364, check)
    call createCurrent(P_b, P_bAnti, P_g, 90, check)
    call createCurrent(P_G0, P_WPlus, P_WMinus, 211, check)
    call createCurrent(P_A, P_muMinus, P_muPlus, 150, check)
    call createCurrent(P_A, P_Z, P_WMinus, P_WPlus, 70, check)
    call createCurrent(P_bAnti, P_t, P_GMinus, 808, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, 65, check)
    call createCurrent(P_GMinus, P_GPlus, P_g, P_g, 1149, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, 851, check)
    call createCurrent(P_uAnti, P_g, P_u, 714, check)
    call createCurrent(P_nu_mu, P_WMinus, P_muPlus, 658, check)
    call createCurrent(P_A, P_s, P_sAnti, 313, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, 454, check)
    call createCurrent(P_Z, P_A, P_GPlus, P_GMinus, 272, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_Z, 626, check)
    call createCurrent(P_WMinus, P_WPlus, P_WPlus, P_WMinus, 8, check)
    call createCurrent(P_GMinus, P_c, P_sAnti, 586, check)
    call createCurrent(P_H, P_ePlus, P_eMinus, 401, check)
    call createCurrent(P_Z, P_WMinus, P_Z, P_WPlus, 387, check)
    call createCurrent(P_g, P_c, P_cAnti, 276, check)
    call createCurrent(P_g, P_A, P_g, P_g, 1170, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_WPlus, 212, check)
    call createCurrent(P_A, P_A, P_WMinus, P_WPlus, 678, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_A, 122, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_Z, 867, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_H, 494, check)
    call createCurrent(P_A, P_WMinus, P_Z, P_WPlus, 633, check)
    call createCurrent(P_A, P_H, P_Z, 874, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, P_H, 994, check)
    call createCurrent(P_A, P_H, P_WPlus, P_GMinus, 875, check)
    call createCurrent(P_d, P_g, P_dAnti, 151, check)
    call createCurrent(P_WPlus, P_WMinus, P_GPlus, P_GMinus, 168, check)
    call createCurrent(P_g, P_t, P_tAnti, 345, check)
    call createCurrent(P_G0, P_Z, P_G0, P_Z, 103, check)
    call createCurrent(P_H, P_tAnti, P_t, 757, check)
    call createCurrent(P_g, P_A, P_A, P_g, 1134, check)
    call createCurrent(P_cAnti, P_s, P_WPlus, 201, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_G0, 978, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghWm, 963, check)
    call createCurrent(P_WPlus, P_g, P_g, P_WMinus, 1120, check)
    call createCurrent(P_sAnti, P_Z, P_s, 297, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghZ, 312, check)
    call createCurrent(P_g, P_g, P_WMinus, P_WPlus, 1171, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghZ, 310, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_A, 204, check)
    call createCurrent(P_A, P_Z, P_GMinus, P_GPlus, 135, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, 614, check)
    call createCurrent(P_H, P_WMinus, P_Z, P_GPlus, 416, check)
    call createCurrent(P_A, P_WPlus, P_H, P_GMinus, 179, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, 275, check)
    call createCurrent(P_nu_e, P_Z, P_nu_eAnti, 357, check)
    call createCurrent(P_Z, P_muMinus, P_muPlus, 713, check)
    call createCurrent(P_A, P_WMinus, P_G0, P_GPlus, 493, check)
    call createCurrent(P_A, P_G0, P_WPlus, P_GMinus, 27, check)
    call createCurrent(P_G0, P_GPlus, P_G0, P_GMinus, 934, check)
    call createCurrent(P_dAnti, P_u, P_WMinus, 971, check)
    call createCurrent(P_GMinus, P_WPlus, P_GPlus, P_WMinus, 440, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_A, 347, check)
    call createCurrent(P_s, P_sAnti, P_G0, 283, check)
    call createCurrent(P_GPlus, P_H, P_Z, P_WMinus, 921, check)
    call createCurrent(P_g, P_g, P_GPlus, P_GMinus, 1132, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, 159, check)
    call createCurrent(P_GMinus, P_H, P_Z, P_WPlus, 209, check)
    call createCurrent(P_g, P_sAnti, P_s, 126, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_Z, 1007, check)
    call createCurrent(P_bAnti, P_b, 1104, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_A, 1097, check)
    call createCurrent(P_ePlus, P_nu_e, P_WMinus, 182, check)
    call createCurrent(P_ePlus, P_GMinus, P_nu_e, 367, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, 662, check)
    call createCurrent(P_dAnti, P_A, P_d, 161, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, 461, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_Z, 970, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_GPlus, 844, check)
    call createCurrent(P_A, P_t, P_tAnti, 567, check)
    call createCurrent(P_G0, P_H, P_A, 308, check)
    call createCurrent(P_G0, P_A, P_GPlus, P_WMinus, 1055, check)
    call createCurrent(P_H, P_GMinus, P_A, P_WPlus, 916, check)
    call createCurrent(P_nu_muAnti, P_WPlus, P_muMinus, 969, check)
    call createCurrent(P_nu_tau, P_GMinus, P_tauPlus, 330, check)
    call createCurrent(P_Z, P_tAnti, P_t, 1040, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_Z, 169, check)
    call createCurrent(P_G0, P_G0, 1191, check)
    call createCurrent(P_g, P_b, P_bAnti, 666, check)
    call createCurrent(P_A, P_b, P_bAnti, 447, check)
    call createCurrent(P_g, P_g, P_H, P_H, 1114, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, 328, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghWp, 359, check)
    call createCurrent(P_tauMinus, P_GPlus, P_nu_tauAnti, 489, check)
    call createCurrent(P_Z, P_G0, P_WPlus, P_GMinus, 1029, check)
    call createCurrent(P_nu_tau, P_WMinus, P_tauPlus, 793, check)
    call createCurrent(P_Z, P_t, P_tAnti, 602, check)
    call createCurrent(P_H, P_ghWmAnti, P_ghWm, 729, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, 509, check)
    call createCurrent(P_nu_e, P_ePlus, P_GMinus, 499, check)
    call createCurrent(P_GPlus, P_GMinus, P_GPlus, P_GMinus, 370, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_A, 48, check)
    call createCurrent(P_c, P_H, P_cAnti, 1041, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_G0, 525, check)
    call createCurrent(P_GMinus, P_nu_tau, P_tauPlus, 476, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_A, 1094, check)
    call createCurrent(P_sAnti, P_s, P_g, 221, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, 1048, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_H, 737, check)
    call createCurrent(P_A, P_Z, P_H, 253, check)
    call createCurrent(P_tAnti, P_b, P_GPlus, 131, check)
    call createCurrent(P_u, P_dAnti, P_GMinus, 181, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, 945, check)
    call createCurrent(P_WPlus, P_WPlus, P_WMinus, P_WMinus, 733, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_Z, 323, check)
    call createCurrent(P_A, P_WPlus, P_G0, P_GMinus, 677, check)
    call createCurrent(P_H, P_GPlus, P_H, P_GMinus, 115, check)
    call createCurrent(P_g, P_Z, P_A, P_g, 1155, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_Z, 1028, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_H, 950, check)
    call createCurrent(P_g, P_G0, P_G0, P_g, 1147, check)
    call createCurrent(P_ePlus, P_eMinus, P_H, 897, check)
    call createCurrent(P_g, P_G0, P_g, P_G0, 1179, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_GMinus, 792, check)
    call createCurrent(P_nu_e, P_nu_eAnti, 1115, check)
    call createCurrent(P_b, P_g, P_bAnti, 597, check)
    call createCurrent(P_G0, P_H, P_G0, P_H, 392, check)
    call createCurrent(P_H, P_WPlus, P_Z, P_GMinus, 734, check)
    call createCurrent(P_WPlus, P_WMinus, P_WMinus, P_WPlus, 699, check)
    call createCurrent(P_d, P_H, P_dAnti, 580, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_H, 352, check)
    call createCurrent(P_dAnti, P_WMinus, P_u, 25, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, P_H, 429, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, 843, check)
    call createCurrent(P_uAnti, P_u, P_Z, 918, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_Z, 797, check)
    call createCurrent(P_ePlus, P_G0, P_eMinus, 833, check)
    call createCurrent(P_tAnti, P_GPlus, P_b, 891, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghWpAnti, 130, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_Z, 762, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, 796, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_G0, 289, check)
    call createCurrent(P_Z, P_A, P_WMinus, P_WPlus, 870, check)
    call createCurrent(P_WPlus, P_G0, P_WMinus, 862, check)
    call createCurrent(P_G0, P_t, P_tAnti, 816, check)
    call createCurrent(P_sAnti, P_c, P_WMinus, 37, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Z, 361, check)
    call createCurrent(P_sAnti, P_s, P_G0, 422, check)
    call createCurrent(P_WMinus, P_tauPlus, P_nu_tau, 174, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, 853, check)
    call createCurrent(P_H, P_Z, P_GPlus, P_WMinus, 1021, check)
    call createCurrent(P_WPlus, P_nu_tauAnti, P_tauMinus, 315, check)
    call createCurrent(P_A, P_GMinus, P_H, P_WPlus, 898, check)
    call createCurrent(P_g, P_d, P_dAnti, 405, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghZAnti, 109, check)
    call createCurrent(P_s, P_G0, P_sAnti, 410, check)
    call createCurrent(P_eMinus, P_ePlus, P_G0, 624, check)
    call createCurrent(P_u, P_G0, P_uAnti, 378, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_G0, 269, check)
    call createCurrent(P_cAnti, P_c, P_G0, 795, check)
    call createCurrent(P_g, P_u, P_uAnti, 736, check)
    call createCurrent(P_H, P_bAnti, P_b, 176, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_A, 331, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_H, 167, check)
    call createCurrent(P_WMinus, P_bAnti, P_t, 609, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_A, 388, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, 553, check)
    call createCurrent(P_Z, P_H, P_A, 342, check)
    call createCurrent(P_G0, P_cAnti, P_c, 981, check)
    call createCurrent(P_GMinus, P_G0, P_GPlus, P_G0, 199, check)
    call createCurrent(P_H, P_t, P_tAnti, 587, check)
    call createCurrent(P_H, P_H, P_Z, 554, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, 935, check)
    call createCurrent(P_G0, P_sAnti, P_s, 51, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, 686, check)
    call createCurrent(P_muMinus, P_GPlus, P_nu_muAnti, 939, check)
    call createCurrent(P_GPlus, P_Z, P_H, P_WMinus, 552, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, 453, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, 32, check)
    call createCurrent(P_WPlus, P_GPlus, P_WMinus, P_GMinus, 683, check)
    call createCurrent(P_H, P_dAnti, P_d, 299, check)
    call createCurrent(P_A, P_GPlus, P_A, P_GMinus, 490, check)
    call createCurrent(P_WPlus, P_G0, P_A, P_GMinus, 444, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_A, 938, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghWm, 450, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, 464, check)
    call createCurrent(P_WMinus, P_GMinus, P_WPlus, P_GPlus, 1045, check)
    call createCurrent(P_eMinus, P_ePlus, P_A, 13, check)
    call createCurrent(P_nu_mu, P_Z, P_nu_muAnti, 233, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_H, 799, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, 892, check)
    call createCurrent(P_sAnti, P_GMinus, P_c, 443, check)
    call createCurrent(P_H, P_u, P_uAnti, 206, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, 381, check)
    call createCurrent(P_GMinus, P_GPlus, P_GPlus, P_GMinus, 506, check)
    call createCurrent(P_GPlus, P_cAnti, P_s, 34, check)
    call createCurrent(P_u, P_WMinus, P_dAnti, 682, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_G0, 884, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghWmAnti, 457, check)
    call createCurrent(P_GMinus, P_Z, P_H, P_WPlus, 835, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, 419, check)
    call createCurrent(P_H, P_A, P_G0, 620, check)
    call createCurrent(P_ghG, P_g, P_ghGAnti, 1038, check)
    call createCurrent(P_GMinus, P_g, P_g, P_GPlus, 1189, check)
    call createCurrent(P_Z, P_Z, P_A, 267, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_H, 93, check)
    call createCurrent(P_Z, P_G0, P_Z, 341, check)
    call createCurrent(P_H, P_s, P_sAnti, 782, check)
    call createCurrent(P_muPlus, P_muMinus, P_Z, 460, check)
    call createCurrent(P_d, P_GPlus, P_uAnti, 707, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, 798, check)
    call createCurrent(P_H, P_c, P_cAnti, 643, check)
    call createCurrent(P_Z, P_GMinus, P_Z, P_GPlus, 1088, check)
    call createCurrent(P_nu_eAnti, P_GPlus, P_eMinus, 535, check)
    call createCurrent(P_Z, P_H, P_GMinus, P_WPlus, 968, check)
    call createCurrent(P_tauMinus, P_Z, P_tauPlus, 523, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, 756, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghZAnti, 1049, check)
    call createCurrent(P_GPlus, P_muMinus, P_nu_muAnti, 504, check)
    call createCurrent(P_WMinus, P_Z, P_H, P_GPlus, 237, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, 622, check)
    call createCurrent(P_g, P_dAnti, P_d, 311, check)
    call createCurrent(P_d, P_dAnti, P_G0, 120, check)
    call createCurrent(P_GMinus, P_nu_mu, P_muPlus, 395, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_Z, 309, check)
    call createCurrent(P_bAnti, P_b, P_H, 910, check)
    call createCurrent(P_eMinus, P_ePlus, P_H, 779, check)
    call createCurrent(P_WMinus, P_WPlus, P_WMinus, P_WPlus, 588, check)
    call createCurrent(P_A, P_bAnti, P_b, 353, check)
    call createCurrent(P_A, P_H, P_H, 247, check)
    call createCurrent(P_bAnti, P_GMinus, P_t, 403, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_Z, 724, check)
    call createCurrent(P_g, P_bAnti, P_b, 334, check)
    call createCurrent(P_Z, P_Z, P_WMinus, P_WPlus, 232, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_WPlus, 424, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghA, 750, check)
    call createCurrent(P_t, P_A, P_tAnti, 632, check)
    call createCurrent(P_ePlus, P_eMinus, 1184, check)
    call createCurrent(P_G0, P_A, P_G0, 689, check)
    call createCurrent(P_G0, P_Z, P_GMinus, P_WPlus, 681, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_Z, 598, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghA, 690, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, P_H, 218, check)
    call createCurrent(P_G0, P_Z, P_H, 121, check)
    call createCurrent(P_GMinus, P_H, P_H, P_GPlus, 485, check)
    call createCurrent(P_g, P_Z, P_g, P_A, 1178, check)
    call createCurrent(P_cAnti, P_c, P_Z, 1020, check)
    call createCurrent(P_WMinus, P_muPlus, P_nu_mu, 727, check)
    call createCurrent(P_uAnti, P_u, P_H, 397, check)
    call createCurrent(P_H, P_GMinus, P_Z, P_WPlus, 43, check)
    call createCurrent(P_WMinus, P_G0, P_A, P_GPlus, 786, check)
    call createCurrent(P_GMinus, P_sAnti, P_c, 292, check)
    call createCurrent(P_ghZ, P_H, P_ghZAnti, 1067, check)
    call createCurrent(P_Z, P_eMinus, P_ePlus, 165, check)
    call createCurrent(P_A, P_GPlus, P_G0, P_WMinus, 659, check)
    call createCurrent(P_ePlus, P_A, P_eMinus, 847, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GPlus, 769, check)
    call createCurrent(P_t, P_bAnti, P_GMinus, 685, check)
    call createCurrent(P_A, P_tauMinus, P_tauPlus, 263, check)
    call createCurrent(P_c, P_cAnti, P_g, 1076, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_G0, 725, check)
    call createCurrent(P_Z, P_A, 1203, check)
    call createCurrent(P_WMinus, P_sAnti, P_c, 785, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_WPlus, 909, check)
    call createCurrent(P_bAnti, P_WMinus, P_t, 951, check)
    call createCurrent(P_g, P_Z, P_g, P_g, 1121, check)
    call createCurrent(P_Z, P_tauMinus, P_tauPlus, 595, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_Z, 1087, check)
    call createCurrent(P_ePlus, P_WMinus, P_nu_e, 885, check)
    call createCurrent(P_Z, P_WPlus, P_G0, P_GMinus, 402, check)
    call createCurrent(P_muPlus, P_GMinus, P_nu_mu, 802, check)
    call createCurrent(P_G0, P_H, P_H, P_G0, 989, check)
    call createCurrent(P_bAnti, P_b, P_A, 484, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, 1017, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_H, 83, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, 738, check)
    call createCurrent(P_d, P_uAnti, P_GPlus, 676, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, 764, check)
    call createCurrent(P_muMinus, P_muPlus, 1202, check)
    call createCurrent(P_H, P_Z, P_Z, 615, check)
    call createCurrent(P_G0, P_G0, P_GPlus, P_GMinus, 623, check)
    call createCurrent(P_Z, P_A, P_WPlus, P_WMinus, 731, check)
    call createCurrent(P_H, P_WMinus, P_A, P_GPlus, 694, check)
    call createCurrent(P_GMinus, P_muPlus, P_nu_mu, 240, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_GMinus, 19, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_G0, 56, check)
    call createCurrent(P_Z, P_nu_eAnti, P_nu_e, 923, check)
    call createCurrent(P_GPlus, P_g, P_g, P_GMinus, 1125, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_G0, 925, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_A, 39, check)
    call createCurrent(P_G0, P_muPlus, P_muMinus, 645, check)
    call createCurrent(P_GPlus, P_nu_tauAnti, P_tauMinus, 54, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, 60, check)
    call createCurrent(P_GMinus, P_A, P_G0, P_WPlus, 12, check)
    call createCurrent(P_Z, P_Z, P_G0, P_G0, 744, check)
    call createCurrent(P_H, P_H, P_WPlus, P_WMinus, 208, check)
    call createCurrent(P_Z, P_GPlus, P_A, P_GMinus, 696, check)
    call createCurrent(P_c, P_Z, P_cAnti, 86, check)
    call createCurrent(P_G0, P_tauMinus, P_tauPlus, 556, check)
    call createCurrent(P_eMinus, P_H, P_ePlus, 1068, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_WMinus, 219, check)
    call createCurrent(P_g, P_ghG, P_ghGAnti, 26, check)
    call createCurrent(P_g, P_WPlus, P_g, P_WMinus, 1143, check)
    call createCurrent(P_cAnti, P_G0, P_c, 684, check)
    call createCurrent(P_WMinus, P_WPlus, P_G0, 1036, check)
    call createCurrent(P_H, P_b, P_bAnti, 139, check)
    call createCurrent(P_b, P_GPlus, P_tAnti, 415, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_Z, 371, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, 674, check)
    call createCurrent(P_A, P_g, P_g, P_Z, 1182, check)
    call createCurrent(P_GMinus, P_GPlus, P_GMinus, P_GPlus, 877, check)
    call createCurrent(P_dAnti, P_G0, P_d, 949, check)
    call createCurrent(P_WPlus, P_WMinus, P_G0, 767, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Z, 95, check)
    call createCurrent(P_A, P_A, 1126, check)
    call createCurrent(P_g, P_ghGAnti, P_ghG, 534, check)
    call createCurrent(P_H, P_WPlus, P_H, P_WMinus, 177, check)
    call createCurrent(P_Z, P_H, P_G0, 338, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, 754, check)
    call createCurrent(P_muMinus, P_muPlus, P_Z, 250, check)
    call createCurrent(P_eMinus, P_Z, P_ePlus, 810, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_G0, 173, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghWm, 1004, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, 1181, check)
    call createCurrent(P_GPlus, P_WPlus, P_GMinus, P_WMinus, 296, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, 110, check)
    call createCurrent(P_WPlus, P_cAnti, P_s, 1026, check)
    call createCurrent(P_WMinus, P_H, P_H, P_WPlus, 760, check)
    call createCurrent(P_G0, P_GMinus, P_A, P_WPlus, 510, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, P_H, 14, check)
    call createCurrent(P_WPlus, P_A, P_G0, P_GMinus, 59, check)
    call createCurrent(P_tAnti, P_t, P_G0, 962, check)
    call createCurrent(P_A, P_WMinus, P_H, P_GPlus, 160, check)
    call createCurrent(P_G0, P_ghWmAnti, P_ghWm, 575, check)
    call createCurrent(P_s, P_sAnti, P_g, 564, check)
    call createCurrent(P_b, P_WPlus, P_tAnti, 349, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_G0, 986, check)
    call createCurrent(P_tAnti, P_g, P_t, 746, check)
    call createCurrent(P_GMinus, P_Z, P_G0, P_WPlus, 47, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_Z, 954, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghZAnti, 261, check)
    call createCurrent(P_WPlus, P_ghA, P_ghWpAnti, 75, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, 644, check)
    call createCurrent(P_H, P_A, P_WPlus, P_GMinus, 745, check)
    call createCurrent(P_GPlus, P_WMinus, P_GMinus, P_WPlus, 771, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, 119, check)
    call createCurrent(P_WMinus, P_WMinus, P_WPlus, P_WPlus, 265, check)
    call createCurrent(P_u, P_uAnti, P_g, 895, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_WPlus, 1001, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghA, 143, check)
    call createCurrent(P_GPlus, P_H, P_A, P_WMinus, 966, check)
    call createCurrent(P_A, P_Z, P_GPlus, P_GMinus, 728, check)
    call createCurrent(P_G0, P_GPlus, P_A, P_WMinus, 306, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, 546, check)
    call createCurrent(P_Z, P_WMinus, P_G0, P_GPlus, 514, check)
    call createCurrent(P_g, P_WPlus, P_WMinus, P_g, 1158, check)
    call createCurrent(P_GMinus, P_A, P_A, P_GPlus, 583, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_H, 848, check)
    call createCurrent(P_G0, P_WMinus, P_WPlus, 500, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_A, 99, check)
    call createCurrent(P_ghZAnti, P_H, P_ghZ, 679, check)
    call createCurrent(P_tauPlus, P_H, P_tauMinus, 1039, check)
    call createCurrent(P_tauMinus, P_A, P_tauPlus, 520, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_H, 948, check)
    call createCurrent(P_GMinus, P_WMinus, P_WPlus, P_GPlus, 519, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, 105, check)
    call createCurrent(P_H, P_Z, P_H, 22, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_Z, 990, check)
    call createCurrent(P_A, P_G0, P_WMinus, P_GPlus, 446, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, 766, check)
    call createCurrent(P_Z, P_H, P_H, 605, check)
    call createCurrent(P_A, P_WPlus, P_A, P_WMinus, 244, check)
    call createCurrent(P_G0, P_G0, P_H, P_H, 426, check)
    call createCurrent(P_u, P_g, P_uAnti, 533, check)
    call createCurrent(P_GPlus, P_G0, P_Z, P_WMinus, 158, check)
    call createCurrent(P_A, P_g, P_A, P_g, 1195, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, 827, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_Z, 531, check)
    call createCurrent(P_g, P_g, P_Z, P_A, 1150, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, P_G0, 576, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, 391, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, 599, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_Z, 1012, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_H, 430, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_Z, 455, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghWp, 876, check)
    call createCurrent(P_nu_tauAnti, P_GPlus, P_tauMinus, 478, check)
    call createCurrent(P_A, P_WPlus, P_Z, P_WMinus, 458, check)
    call createCurrent(P_ePlus, P_eMinus, P_A, 124, check)
    call createCurrent(P_muMinus, P_G0, P_muPlus, 817, check)
    call createCurrent(P_GPlus, P_WPlus, P_WMinus, P_GMinus, 1000, check)
    call createCurrent(P_G0, P_ePlus, P_eMinus, 354, check)
    call createCurrent(P_g, P_GMinus, P_g, P_GPlus, 1140, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, 955, check)
    call createCurrent(P_b, P_H, P_bAnti, 45, check)
    call createCurrent(P_H, P_Z, P_WMinus, P_GPlus, 711, check)
    call createCurrent(P_tAnti, P_A, P_t, 284, check)
    call createCurrent(P_H, P_A, P_Z, 474, check)
    call createCurrent(P_Z, P_G0, P_A, 840, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_ghWm, 958, check)
    call createCurrent(P_Z, P_muPlus, P_muMinus, 106, check)
    call createCurrent(P_G0, P_Z, P_A, 302, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_Z, 137, check)
    call createCurrent(P_Z, P_nu_tau, P_nu_tauAnti, 871, check)
    call createCurrent(P_c, P_WMinus, P_sAnti, 304, check)
    call createCurrent(P_u, P_Z, P_uAnti, 465, check)
    call createCurrent(P_H, P_ghWp, P_ghWpAnti, 427, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_H, 619, check)
    call createCurrent(P_g, P_GPlus, P_g, P_GMinus, 1180, check)
    call createCurrent(P_H, P_Z, P_A, 360, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghAAnti, 742, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_A, 470, check)
    call createCurrent(P_g, P_g, P_g, P_A, 1145, check)
    call createCurrent(P_s, P_sAnti, P_A, 743, check)
    call createCurrent(P_g, P_g, P_A, P_A, 1185, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_GPlus, 637, check)
    call createCurrent(P_H, P_Z, P_Z, P_H, 200, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, 517, check)
    call createCurrent(P_WMinus, P_WPlus, P_GMinus, P_GPlus, 300, check)
  end subroutine fill_current_1
end module currents_info1
