!******************************************************************************!
!                                                                              !
!    vertices_info3.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info3.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, J.N. Lang                   |            !
!        | `---' | UFO date: No date                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-16 19:50             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info3
  implicit none
  contains
  subroutine fill_vertices_mdl3()
    use class_vertices
    use class_couplings
    allocate(vertices(666)%branchR2(0:3))
    call avR2(666, 0, 39, 1, 0, VFFa0, 0, [1, 2, 0], [nGC_7877, nGC_7876])

    call avR2(666, 1, 39, 1, 0, VFFa0, 0, [3, 0, 0], [nGC_7861, nGC_7861])

    call avR2(666, 2, 40, 1, 0, VFFa0, 0, [1, 2, 0], [nGC_7875, nGC_7874])

    call avR2(666, 3, 40, 1, 0, VFFa0, 0, [3, 0, 0], [nGC_7858, nGC_7858])

    allocate(vertices(1185)%branchR2(0:1))
    call avR2(1185, 0, 63, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_7899, nGC_7899,     &
    nGC_7899])

    call avR2(1185, 1, 64, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_7900, nGC_7900,     &
    nGC_7900])

    allocate(vertices(86)%branchR2(0:0))
    call avR2(86, 0, 18, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_7851, nGC_7850])

    allocate(vertices(304)%branchR2(0:0))
    call avR2(304, 0, 18, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_7890])

    allocate(vertices(1186)%branchR2(0:0))
    call avR2(1186, 0, 42, 1, 0, FaF0, 0, [0, 2, 0], [nGC_7828, nGC_7826,      &
    nGC_7830, nGC_7830])

    allocate(vertices(962)%branchR2(0:0))
    call avR2(962, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_7888, nGC_7889])

    allocate(vertices(1187)%branchR2(0:0))
    call avR2(1187, 0, 42, 1, 0, VV1, 0, [0, 2, 0], [nGC_7820, nGC_7819,       &
    nGC_7821])

    allocate(vertices(1077)%branchR2(0:3))
    call avR2(1077, 0, 31, 1, 0, FaFV1, 0, [1, 2, 0], [nGC_7860, nGC_7859])

    call avR2(1077, 1, 31, 1, 0, FaFV1, 0, [3, 0, 0], [nGC_7861, nGC_7861])

    call avR2(1077, 2, 32, 1, 0, FaFV1, 0, [1, 2, 0], [nGC_7857, nGC_7856])

    call avR2(1077, 3, 32, 1, 0, FaFV1, 0, [3, 0, 0], [nGC_7858, nGC_7858])

    allocate(vertices(609)%branchR2(0:0))
    call avR2(609, 0, 19, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_7890])

    allocate(vertices(131)%branchR2(0:0))
    call avR2(131, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_7892, nGC_7891])

    allocate(vertices(498)%branchR2(0:0))
    call avR2(498, 0, 16, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_7851, nGC_7850])

    allocate(vertices(656)%branchR2(0:3))
    call avR2(656, 0, 31, 1, 0, FaFV1, 0, [1, 2, 0], [nGC_7869, nGC_7868])

    call avR2(656, 1, 31, 1, 0, FaFV1, 0, [3, 0, 0], [nGC_7861, nGC_7861])

    call avR2(656, 2, 32, 1, 0, FaFV1, 0, [1, 2, 0], [nGC_7867, nGC_7866])

    call avR2(656, 3, 32, 1, 0, FaFV1, 0, [3, 0, 0], [nGC_7858, nGC_7858])

    allocate(vertices(1024)%branchR2(0:0))
    call avR2(1024, 0, 20, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_7890])

    allocate(vertices(9)%branchR2(0:0))
    call avR2(9, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_7848, nGC_7848])

    allocate(vertices(1188)%branchR2(0:1))
    call avR2(1188, 0, 59, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_7899, nGC_7899,     &
    nGC_7899])

    call avR2(1188, 1, 60, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_7900, nGC_7900,     &
    nGC_7900])

    allocate(vertices(345)%branchR2(0:3))
    call avR2(345, 0, 39, 1, 0, VFFa0, 0, [1, 2, 0], [nGC_7865, nGC_7864])

    call avR2(345, 1, 39, 1, 0, VFFa0, 0, [3, 0, 0], [nGC_7861, nGC_7861])

    call avR2(345, 2, 40, 1, 0, VFFa0, 0, [1, 2, 0], [nGC_7863, nGC_7862])

    call avR2(345, 3, 40, 1, 0, VFFa0, 0, [3, 0, 0], [nGC_7858, nGC_7858])

    allocate(vertices(151)%branchR2(0:3))
    call avR2(151, 0, 35, 1, 0, FVFa1, 0, [1, 2, 0], [nGC_7869, nGC_7868])

    call avR2(151, 1, 35, 1, 0, FVFa1, 0, [3, 0, 0], [nGC_7861, nGC_7861])

    call avR2(151, 2, 36, 1, 0, FVFa1, 0, [1, 2, 0], [nGC_7867, nGC_7866])

    call avR2(151, 3, 36, 1, 0, FVFa1, 0, [3, 0, 0], [nGC_7858, nGC_7858])

    allocate(vertices(393)%branchR2(0:0))
    call avR2(393, 0, 16, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_7848, nGC_7848])

    allocate(vertices(1189)%branchR2(0:1))
    call avR2(1189, 0, 55, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_7901])

    call avR2(1189, 1, 56, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_7902])

    allocate(vertices(1190)%branchR2(0:1))
    call avR2(1190, 0, 57, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_7901])

    call avR2(1190, 1, 58, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_7902])

    allocate(vertices(1191)%branchR2(0:0))
    call avR2(1191, 0, 42, 1, 0, SS0, 0, [0, 2, 0], [nGC_7813, nGC_7812])

    allocate(vertices(895)%branchR2(0:3))
    call avR2(895, 0, 11, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_7860, nGC_7859])

    call avR2(895, 1, 11, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_7861, nGC_7861])

    call avR2(895, 2, 12, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_7857, nGC_7856])

    call avR2(895, 3, 12, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_7858, nGC_7858])

    allocate(vertices(1192)%branchR2(0:1))
    call avR2(1192, 0, 55, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_7905, nGC_7905,     &
    nGC_7905])

    call avR2(1192, 1, 56, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_7906, nGC_7906,     &
    nGC_7906])

    allocate(vertices(40)%branchR2(0:0))
    call avR2(40, 0, 19, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_7849, nGC_7849])

    allocate(vertices(484)%branchR2(0:0))
    call avR2(484, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_7849, nGC_7849])

    allocate(vertices(1193)%branchR2(0:1))
    call avR2(1193, 0, 43, 1, 0, VVS2, 0, [2, 1, 0], [nGC_7854])

    call avR2(1193, 1, 44, 1, 0, VVS2, 0, [2, 1, 0], [nGC_7855])

    allocate(vertices(230)%branchR2(0:3))
    call avR2(230, 0, 33, 1, 0, FaVF1, 0, [1, 2, 0], [nGC_7877, nGC_7876])

    call avR2(230, 1, 33, 1, 0, FaVF1, 0, [3, 0, 0], [nGC_7861, nGC_7861])

    call avR2(230, 2, 34, 1, 0, FaVF1, 0, [1, 2, 0], [nGC_7875, nGC_7874])

    call avR2(230, 3, 34, 1, 0, FaVF1, 0, [3, 0, 0], [nGC_7858, nGC_7858])

    allocate(vertices(1102)%branchR2(0:1))
    call avR2(1102, 0, 41, 1, 0, FaF0, 0, [2, 0, 0], [nGC_7831, nGC_7831,      &
    nGC_7836, nGC_7836])

    call avR2(1102, 1, 41, 1, 0, FaF0, 0, [0, 2, 0], [nGC_7835, nGC_7832,      &
    nGC_7837, nGC_7837])

    allocate(vertices(1194)%branchR2(0:1))
    call avR2(1194, 0, 59, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_7903, nGC_7903,     &
    nGC_7903])

    call avR2(1194, 1, 60, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_7904, nGC_7904,     &
    nGC_7904])

    allocate(vertices(1027)%branchR2(0:0))
    call avR2(1027, 0, 18, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_7886, nGC_7887])

    allocate(vertices(551)%branchR2(0:0))
    call avR2(551, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_7848, nGC_7848])

    allocate(vertices(42)%branchR2(0:0))
    call avR2(42, 0, 16, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_7853, nGC_7852])

    allocate(vertices(1035)%branchR2(0:0))
    call avR2(1035, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_7886, nGC_7887])

    allocate(vertices(1026)%branchR2(0:0))
    call avR2(1026, 0, 19, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_7890])

    allocate(vertices(234)%branchR2(0:0))
    call avR2(234, 0, 17, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_7884, nGC_7884])

    allocate(vertices(743)%branchR2(0:0))
    call avR2(743, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_7849, nGC_7849])

    allocate(vertices(591)%branchR2(0:0))
    call avR2(591, 0, 16, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_7849, nGC_7849])

    allocate(vertices(933)%branchR2(0:3))
    call avR2(933, 0, 37, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_7860, nGC_7859])

    call avR2(933, 1, 37, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_7861, nGC_7861])

    call avR2(933, 2, 38, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_7857, nGC_7856])

    call avR2(933, 3, 38, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_7858, nGC_7858])

    allocate(vertices(1195)%branchR2(0:1))
    call avR2(1195, 0, 57, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_7899, nGC_7899,     &
    nGC_7899])

    call avR2(1195, 1, 58, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_7900, nGC_7900,     &
    nGC_7900])

    allocate(vertices(837)%branchR2(0:0))
    call avR2(837, 0, 17, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_7849, nGC_7849])

    allocate(vertices(1196)%branchR2(0:0))
    call avR2(1196, 0, 42, 1, 0, SS0, 0, [0, 2, 0], [nGC_7808, nGC_7807])

    allocate(vertices(413)%branchR2(0:0))
    call avR2(413, 0, 19, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_7848, nGC_7848])

    allocate(vertices(1197)%branchR2(0:0))
    call avR2(1197, 0, 42, 1, 0, VV1, 0, [0, 2, 0], [nGC_7810, nGC_7809,       &
    nGC_7811])

    allocate(vertices(1016)%branchR2(0:0))
    call avR2(1016, 0, 20, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_7849, nGC_7849])

    allocate(vertices(1107)%branchR2(0:1))
    call avR2(1107, 0, 13, 1, 0, FFa0, 0, [2, 0, 0], [nGC_7831, nGC_7831,      &
    nGC_7839, nGC_7839])

    call avR2(1107, 1, 13, 1, 0, FFa0, 0, [0, 2, 0], [nGC_7835, nGC_7832,      &
    nGC_7838, nGC_7838])

    allocate(vertices(982)%branchR2(0:0))
    call avR2(982, 0, 20, 1, 0, SFFa1, 0, [2, 1, 0], [nGC_7892, nGC_7891])

    allocate(vertices(1198)%branchR2(0:1))
    call avR2(1198, 0, 55, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_7903, nGC_7903,     &
    nGC_7903])

    call avR2(1198, 1, 56, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_7904, nGC_7904,     &
    nGC_7904])

    allocate(vertices(621)%branchR2(0:0))
    call avR2(621, 0, 20, 1, 0, SFFa1, 0, [2, 1, 0], [nGC_7886, nGC_7887])

    allocate(vertices(1199)%branchR2(0:0))
    call avR2(1199, 0, 42, 1, 0, VV1, 0, [0, 2, 0], [nGC_7823, nGC_7822,       &
    nGC_7824])

    allocate(vertices(1101)%branchR2(0:1))
    call avR2(1101, 0, 13, 1, 0, FFa0, 0, [2, 0, 0], [nGC_7831, nGC_7831,      &
    nGC_7836, nGC_7836])

    call avR2(1101, 1, 13, 1, 0, FFa0, 0, [0, 2, 0], [nGC_7835, nGC_7832,      &
    nGC_7837, nGC_7837])

    allocate(vertices(192)%branchR2(0:0))
    call avR2(192, 0, 19, 1, 0, SFaF0, 0, [2, 1, 0], [nGC_7892, nGC_7891])

    allocate(vertices(526)%branchR2(0:0))
    call avR2(526, 0, 20, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_7853, nGC_7852])

    allocate(vertices(1200)%branchR2(0:1))
    call avR2(1200, 0, 47, 1, 0, VSV1, 0, [2, 1, 0], [nGC_7854])

    call avR2(1200, 1, 48, 1, 0, VSV1, 0, [2, 1, 0], [nGC_7855])

    allocate(vertices(276)%branchR2(0:3))
    call avR2(276, 0, 39, 1, 0, VFFa0, 0, [1, 2, 0], [nGC_7873, nGC_7872])

    call avR2(276, 1, 39, 1, 0, VFFa0, 0, [3, 0, 0], [nGC_7861, nGC_7861])

    call avR2(276, 2, 40, 1, 0, VFFa0, 0, [1, 2, 0], [nGC_7871, nGC_7870])

    call avR2(276, 3, 40, 1, 0, VFFa0, 0, [3, 0, 0], [nGC_7858, nGC_7858])

    allocate(vertices(1201)%branchR2(0:0))
    call avR2(1201, 0, 42, 1, 0, SS1, 0, [0, 2, 0], [nGC_7808, nGC_7807])

    allocate(vertices(139)%branchR2(0:0))
    call avR2(139, 0, 20, 1, 0, SFFa1, 0, [2, 1, 0], [nGC_7885, nGC_7885])

    allocate(vertices(1202)%branchR2(0:0))
    call avR2(1202, 0, 42, 1, 0, FFa0, 0, [0, 2, 0], [nGC_7828, nGC_7826,      &
    nGC_7829, nGC_7829])

    allocate(vertices(1069)%branchR2(0:0))
    call avR2(1069, 0, 20, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_7851, nGC_7850])

    allocate(vertices(1203)%branchR2(0:0))
    call avR2(1203, 0, 42, 1, 0, VV2, 0, [0, 2, 0], [nGC_7820, nGC_7819,       &
    nGC_7821])

  end subroutine fill_vertices_mdl3
end module vertices_info3
