!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, J.N. Lang                   |            !
!        | `---' | UFO date: No date                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-16 19:50             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl4()
    coupl(nGC_7884) = coupl(nGC_151)*coupl(nGC_17)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_7820) = cima*(coupl(nGC_211)*coupl(nGC_437) + coupl(nGC_3)*coupl(&
                      nGC_36))/(48d0*pi**2d0)
    coupl(nGC_7889) = coupl(nGC_152)*coupl(nGC_17)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_7888) = coupl(nGC_150)*coupl(nGC_17)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8076) = coupl(nGC_8075)*dyt_QED1_QCD2
    coupl(nGC_8074) = coupl(nGC_8073)*dyc_QED1_QCD2
    coupl(nGC_8072) = coupl(nGC_8071)*dyup_QED1_QCD2
    coupl(nGC_8070) = coupl(nGC_8069)*dyup_QED1_QCD2
    coupl(nGC_10510) = coupl(nGC_10507) + coupl(nGC_8109)
    coupl(nGC_7818) = (4d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 4d0*Nc*cMC**2d0&
                      *cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMD**2d0*cima*coupl(    &
                      nGC_1)**2d0 + 4d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0 +   &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMU**2d0*&
                      cima*coupl(nGC_2)**2d0 + 4d0*cME**2d0*cima*coupl(nGC_4)**&
                      2d0 + 4d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 4d0*cMTA**2d0&
                      *cima*coupl(nGC_4)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_3  &
                      )**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_437)**2d0 - 2d0*cMW &
                      **2d0*coupl(nGC_9))/(16d0*pi**2d0)
    coupl(nGC_7819) = cima*(-2d0*Nc*coupl(nGC_1)*coupl(nGC_48) - 2d0*Nc*coupl( &
                      nGC_1)*coupl(nGC_52) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_49  &
                      ) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_53) - coupl(nGC_211)*  &
                      coupl(nGC_437) - coupl(nGC_3)*coupl(nGC_36) - 2d0*coupl( &
                      nGC_4)*coupl(nGC_50) - 2d0*coupl(nGC_4)*coupl(nGC_54))/( &
                      32d0*pi**2d0)
    coupl(nGC_9927) = coupl(nGC_MI)*dZsR_QCD2
    coupl(nGC_7814) = cima*(4d0*Nc*coupl(nGC_130)**2d0 + 4d0*Nc*coupl(nGC_133  &
                      )**2d0 + 4d0*Nc*coupl(nGC_137)**2d0 + 4d0*Nc*coupl(      &
                      nGC_148)**2d0 + 4d0*Nc*coupl(nGC_151)**2d0 + 4d0*Nc*coupl&
                      (nGC_159)**2d0 + 4d0*coupl(nGC_140)**2d0 + 4d0*coupl(    &
                      nGC_144)**2d0 + 4d0*coupl(nGC_155)**2d0 - 2d0*coupl(     &
                      nGC_3033)*coupl(nGC_393) - coupl(nGC_413)**2d0)/(96d0*pi &
                      **2d0)
    coupl(nGC_7832) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_31)**2d0 - coupl(   &
                      nGC_53)**2d0)/(16d0*pi**2d0)
    coupl(nGC_7816) = cima*(-4d0*Nc*coupl(nGC_1)**2d0 - 4d0*Nc*coupl(nGC_2)**  &
                      2d0 - coupl(nGC_3)**2d0 - 4d0*coupl(nGC_4)**2d0 - coupl( &
                      nGC_437)**2d0)/(32d0*pi**2d0)
    coupl(nGC_7817) = cima*(coupl(nGC_3)**2d0 + coupl(nGC_437)**2d0)/(48d0*pi**&
                      2d0)
    coupl(nGC_7810) = cima*(coupl(nGC_211)**2d0 + coupl(nGC_3)**2d0 + coupl(   &
                      nGC_36)**2d0 + coupl(nGC_437)**2d0)/(48d0*pi**2d0)
    coupl(nGC_7811) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_31)**2d0 + 2d0*Nc*cMC**  &
                      2d0*cima*coupl(nGC_31)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_31)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_31)**2d0 + &
                      2d0*Nc*cMT**2d0*cima*coupl(nGC_31)**2d0 + 2d0*Nc*cMU**2d0&
                      *cima*coupl(nGC_31)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_31&
                      )**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_31)**2d0 + 2d0*cMTA &
                      **2d0*cima*coupl(nGC_31)**2d0 + 3d0*cMW**2d0*cima*coupl( &
                      nGC_211)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_3)**2d0 + 3d0&
                      *cMW**2d0*cima*coupl(nGC_36)**2d0 + 3d0*cMW**2d0*cima*   &
                      coupl(nGC_437)**2d0 - 4d0*cMW**2d0*coupl(nGC_22) + 3d0*  &
                      cMZ**2d0*cima*coupl(nGC_211)**2d0 + 3d0*cMZ**2d0*cima*   &
                      coupl(nGC_36)**2d0 - 2d0*cMZ**2d0*coupl(nGC_25))/(32d0*pi&
                      **2d0)
    coupl(nGC_7894) = -cima*coupl(nGC_17)**2d0*coupl(nGC_31)**2d0*sq2**2d0/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_7895) = cima*coupl(nGC_17)**2d0*sq2**2d0*(-coupl(nGC_130)**2d0 - &
                      coupl(nGC_133)**2d0 - coupl(nGC_137)**2d0 - coupl(nGC_148&
                      )**2d0 - coupl(nGC_151)**2d0 - coupl(nGC_159)**2d0)/(16d0&
                      *pi**2d0)
    coupl(nGC_7896) = cima*coupl(nGC_17)**2d0*sq2**2d0*(coupl(nGC_130)**2d0 +  &
                      coupl(nGC_133)**2d0 + coupl(nGC_137)**2d0 + coupl(nGC_148&
                      )**2d0 + coupl(nGC_151)**2d0 + coupl(nGC_159)**2d0)/(16d0&
                      *pi**2d0*Nc)
    coupl(nGC_7890) = coupl(nGC_17)**2d0*coupl(nGC_31)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_7892) = coupl(nGC_128)*coupl(nGC_17)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_7893) = cima*coupl(nGC_17)**2d0*coupl(nGC_31)**2d0*sq2**2d0/(32d0&
                      *pi**2d0)
    coupl(nGC_7899) = cima*coupl(nGC_17)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +    &
                      coupl(nGC_2)**2d0)/(16d0*pi**2d0)
    coupl(nGC_8064) = coupl(nGC_8063)*dyc_QED1_QCD2
    coupl(nGC_8066) = coupl(nGC_8065)*dyt_QED1_QCD2
    coupl(nGC_9974) = coupl(nGC_152)*dZtL_QCD2/2d0 + coupl(nGC_152)*dZtR_QCD2/ &
                      2d0 + coupl(nGC_8066)
    coupl(nGC_9976) = coupl(nGC_147)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_8068) = coupl(nGC_8067)*dyt_QED1_QCD2
    coupl(nGC_9973) = coupl(nGC_150)*dZtL_QCD2/2d0 + coupl(nGC_150)*dZtR_QCD2/ &
                      2d0 + coupl(nGC_8068)
    coupl(nGC_9911) = coupl(nGC_137)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_9991) = coupl(nGC_48)*dZdR_QCD2
    coupl(nGC_9990) = coupl(nGC_52)*dZdL_QCD2
    coupl(nGC_10600) = coupl(nGC_MI)*dZtL_QCD2
    coupl(nGC_9857) = coupl(nGC_MI)*dZbL_QCD2
    coupl(nGC_9854) = coupl(nGC_2)*dZuL_QCD2
    coupl(nGC_9855) = coupl(nGC_2)*dZuR_QCD2
    coupl(nGC_9852) = coupl(nGC_157)*dZdL_QCD2/2d0 + coupl(nGC_157)*dZuR_QCD2/ &
                      2d0 + coupl(nGC_8033)
    coupl(nGC_9853) = coupl(nGC_31)*(dZcL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_9851) = coupl(nGC_135)*dZdR_QCD2/2d0 + coupl(nGC_135)*dZuL_QCD2/ &
                      2d0 + coupl(nGC_8034)
    coupl(nGC_10656) = -coupl(nGC_10655)
    coupl(nGC_7836) = cMC*cima*coupl(nGC_17)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_7837) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_49)*coupl(nGC_53&
                      ))/(8d0*pi**2d0)
    coupl(nGC_7834) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_49)*coupl(nGC_53&
                      ))/(8d0*pi**2d0)
    coupl(nGC_7835) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_49)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_7833) = cMU*cima*coupl(nGC_17)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_7830) = cMTA*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_50)*coupl(     &
                      nGC_54))/(8d0*pi**2d0)
    coupl(nGC_7831) = cima*coupl(nGC_17)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0* &
                      pi**2d0*Nc)
    coupl(nGC_7906) = cima*coupl(nGC_17)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(   &
                      nGC_48) - coupl(nGC_1)*coupl(nGC_52) - coupl(nGC_2)*coupl&
                      (nGC_49) - coupl(nGC_2)*coupl(nGC_53))/(32d0*pi**2d0*Nc)
  end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
