!******************************************************************************!
!                                                                              !
!    fill_ctcouplings6.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings6.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, J.N. Lang                   |            !
!        | `---' | UFO date: No date                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-16 19:50             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings6
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl6()
    coupl(nGC_7898) = cima*coupl(nGC_17)**2d0*sq2**2d0*(coupl(nGC_129)*coupl(  &
                      nGC_397) + coupl(nGC_1297)*coupl(nGC_136) + coupl(nGC_132&
                      )*coupl(nGC_134) + coupl(nGC_147)*coupl(nGC_253) + coupl(&
                      nGC_150)*coupl(nGC_152) + coupl(nGC_158)*coupl(nGC_160   &
                      ))/(16d0*pi**2d0*Nc)
    coupl(nGC_9979) = coupl(nGC_8042) + coupl(nGC_9976)
    coupl(nGC_9978) = -coupl(nGC_8042) - coupl(nGC_9976)
    coupl(nGC_9893) = coupl(nGC_8044) + coupl(nGC_9892)
    coupl(nGC_10179) = coupl(nGC_10177) + coupl(nGC_8110)
    coupl(nGC_10032) = coupl(nGC_10030) + coupl(nGC_8038)
    coupl(nGC_9818) = coupl(nGC_17)*dZg_QCD2/2d0 + coupl(nGC_8099)
    coupl(nGC_9819) = coupl(nGC_9814) + coupl(nGC_9818)
    coupl(nGC_9913) = coupl(nGC_8046) + coupl(nGC_9911)
    coupl(nGC_9934) = coupl(nGC_9818) + coupl(nGC_9931)
    coupl(nGC_7808) = (-2d0*Nc*cMB**2d0*cima*coupl(nGC_128)**2d0 - 2d0*Nc*cMB**&
                      2d0*cima*coupl(nGC_149)**2d0 - 2d0*Nc*cMC**2d0*cima*coupl&
                      (nGC_131)**2d0 - 2d0*Nc*cMC**2d0*cima*coupl(nGC_146)**2d0&
                       - 2d0*Nc*cMD**2d0*cima*coupl(nGC_135)**2d0 - 2d0*Nc*cMD &
                      **2d0*cima*coupl(nGC_157)**2d0 - 2d0*Nc*cMS**2d0*cima*   &
                      coupl(nGC_131)**2d0 - 2d0*Nc*cMS**2d0*cima*coupl(nGC_146 &
                      )**2d0 - 2d0*Nc*cMT**2d0*cima*coupl(nGC_128)**2d0 - 2d0* &
                      Nc*cMT**2d0*cima*coupl(nGC_149)**2d0 - 2d0*Nc*cMU**2d0*  &
                      cima*coupl(nGC_135)**2d0 - 2d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_157)**2d0 - 2d0*cME**2d0*cima*coupl(nGC_138)**2d0 +  &
                      cMH**2d0*cima*coupl(nGC_28)*coupl(nGC_29) - 2d0*cMM**2d0*&
                      cima*coupl(nGC_142)**2d0 - 2d0*cMTA**2d0*cima*coupl(     &
                      nGC_153)**2d0 + cMW**2d0*cima*coupl(nGC_2027)*coupl(     &
                      nGC_54) + cMW**2d0*cima*coupl(nGC_28)*coupl(nGC_29) + cMW&
                      **2d0*cima*coupl(nGC_4)*coupl(nGC_817) + cMW**2d0*cima*  &
                      coupl(nGC_621)**2d0 - 4d0*cMW**2d0*coupl(nGC_21) + cMZ** &
                      2d0*cima*coupl(nGC_2027)*coupl(nGC_54) + cMZ**2d0*cima*  &
                      coupl(nGC_621)**2d0 - 2d0*cMZ**2d0*coupl(nGC_59) + 4d0*  &
                      cima*coupl(nGC_66)**2d0 + 4d0*cima*coupl(nGC_86)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_7807) = cima*(2d0*Nc*coupl(nGC_128)**2d0 + 2d0*Nc*coupl(nGC_131  &
                      )**2d0 + 2d0*Nc*coupl(nGC_135)**2d0 + 2d0*Nc*coupl(      &
                      nGC_146)**2d0 + 2d0*Nc*coupl(nGC_149)**2d0 + 2d0*Nc*coupl&
                      (nGC_157)**2d0 + 2d0*coupl(nGC_138)**2d0 + 2d0*coupl(    &
                      nGC_142)**2d0 + 2d0*coupl(nGC_153)**2d0 - coupl(nGC_2027 &
                      )*coupl(nGC_54) - coupl(nGC_28)*coupl(nGC_29) - coupl(   &
                      nGC_4)*coupl(nGC_817) - coupl(nGC_621)**2d0)/(96d0*pi**  &
                      2d0)
    coupl(nGC_7823) = cima*(coupl(nGC_211)**2d0 + coupl(nGC_36)**2d0)/(48d0*pi &
                      **2d0)
    coupl(nGC_10428) = coupl(nGC_10427) + coupl(nGC_9818)
    coupl(nGC_7824) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_48)**2d0 + 2d0*Nc*cMB**  &
                      2d0*cima*coupl(nGC_52)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(&
                      nGC_49)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_53)**2d0 + &
                      2d0*Nc*cMD**2d0*cima*coupl(nGC_48)**2d0 + 2d0*Nc*cMD**2d0&
                      *cima*coupl(nGC_52)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(   &
                      nGC_48)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_52)**2d0 + &
                      2d0*Nc*cMT**2d0*cima*coupl(nGC_49)**2d0 + 2d0*Nc*cMT**2d0&
                      *cima*coupl(nGC_53)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_49)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(nGC_53)**2d0 + &
                      2d0*cME**2d0*cima*coupl(nGC_50)**2d0 + 2d0*cME**2d0*cima*&
                      coupl(nGC_54)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_50)**2d0&
                       + 2d0*cMM**2d0*cima*coupl(nGC_54)**2d0 + 2d0*cMTA**2d0* &
                      cima*coupl(nGC_50)**2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_54&
                      )**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_211)**2d0 + 3d0*cMW &
                      **2d0*cima*coupl(nGC_36)**2d0 - 2d0*cMW**2d0*coupl(nGC_25&
                      ))/(16d0*pi**2d0)
    coupl(nGC_10731) = -coupl(nGC_10730)
    coupl(nGC_7881) = coupl(nGC_17)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_146 &
                      )**2d0 + coupl(nGC_147)*coupl(nGC_253) + coupl(nGC_148)**&
                      2d0 + 4d0*coupl(nGC_48)**2d0)/(64d0*pi**2d0)
    coupl(nGC_7880) = coupl(nGC_17)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_131 &
                      )**2d0 + coupl(nGC_147)*coupl(nGC_253) + coupl(nGC_148)**&
                      2d0 + 4d0*coupl(nGC_31)**2d0 + 4d0*coupl(nGC_52)**2d0)/( &
                      64d0*pi**2d0)
    coupl(nGC_10084) = -coupl(nGC_10082) - coupl(nGC_8040)
    coupl(nGC_10085) = coupl(nGC_10082) + coupl(nGC_8040)
    coupl(nGC_9921) = coupl(nGC_8074) + coupl(nGC_9919)
    coupl(nGC_9881) = coupl(nGC_9818) + coupl(nGC_9879)
    coupl(nGC_9880) = coupl(nGC_9818) + coupl(nGC_9878)
    coupl(nGC_10067) = coupl(nGC_10065) + coupl(nGC_9818)
    coupl(nGC_9933) = coupl(nGC_9818) + coupl(nGC_9932)
    coupl(nGC_10068) = coupl(nGC_10066) + coupl(nGC_9818)
    coupl(nGC_9898) = coupl(nGC_9818) + coupl(nGC_9894)
    coupl(nGC_9899) = coupl(nGC_9818) + coupl(nGC_9895)
    coupl(nGC_9820) = coupl(nGC_9815) + coupl(nGC_9818)
    coupl(nGC_10429) = coupl(nGC_10424) + coupl(nGC_9818)
  end subroutine fill_CTcouplings_mdl6
end module fill_ctcouplings6
