!******************************************************************************!
!                                                                              !
!    lcSVV.f90                                                                 !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   lcSVV.f90                                      |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, J.N. Lang                   |            !
!        | `---' | UFO date: No date                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-16 19:50             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module lcSVV
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16, x17, x18, x19, x20, x21, x22, x23, x24, x25,  &
                  x26, x27, x28, x29, x30, x31, x32, x33, x34, x35, x36, x37,  &
                  x38, x39, x40, x41, x42, x43, x44, x45, x46, x47, x48, x49,  &
                  x50, x51, x52, x53, x54, x55, x56, x57, x58, x59, x60, x61,  &
                  x62, x63, x64, x65, x66, x67, x68, x69, x70, x71, x72, x73,  &
                  x74, x75, x76, x77, x78, x79, x80, x81, x82, x83, x84, x85,  &
                  x86, x87, x88, x89, x90, x91, x92, x93, x94, x95, x96, x97,  &
                  x98, x99, x100, x101, x102, x103, x104, x105, x106, x107,    &
                  x108, x109, x110, x111, x112, x113, x114, x115, x116, x117,  &
                  x118, x119, x120, x121, x122, x123, x124, x125, x126, x127,  &
                  x128, x129, x130, x131, x132, x133, x134, x135, x136, x137,  &
                  x138, x139, x140, x141, x142, x143, x144, x145, x146, x147,  &
                  x148, x149, x150, x151, x152, x153, x154, x155, x156, x157,  &
                  x158, x159, x160, x161, x162, x163, x164, x165, x166, x167,  &
                  x168, x169, x170, x171, x172, x173, x174, x175, x176, x177,  &
                  x178, x179, x180, x181, x182, x183, x184, x185, x186, x187,  &
                  x188, x189, x190, x191, x192, x193, x194, x195, x196, x197,  &
                  x198, x199, x200, x201, x202, x203, x204, x205, x206, x207,  &
                  x208, x209, x210, x211, x212, x213, x214, x215, x216, x217,  &
                  x218, x219, x220, x221, x222, x223, x224, x225, x226, x227,  &
                  x228, x229, x230, x231, x232, x233, x234, x235, x236, x237,  &
                  x238, x239, x240, x241, x242, x243, x244, x245, x246, x247,  &
                  x248, x249, x250, x251, x252, x253, x254, x255, x256, x257,  &
                  x258, x259, x260, x261, x262, x263, x264, x265, x266, x267,  &
                  x268, x269, x270, x271, x272, x273, x274, x275, x276, x277,  &
                  x278, x279, x280, x281, x282, x283, x284, x285, x286, x287,  &
                  x288, x289, x290, x291, x292, x293, x294, x295, x296, x297,  &
                  x298, x299, x300, x301, x302, x303, x304, x305, x306, x307,  &
                  x308, x309, x310, x311, x312, x313, x314, x315, x316, x317,  &
                  x318, x319, x320, x321, x322, x323, x324, x325, x326, x327,  &
                  x328, x329, x330, x331, x332, x333, x334, x335, x336, x337,  &
                  x338, x339, x340, x341, x342, x343, x344, x345, x346, x347,  &
                  x348, x349, x350, x351, x352, x353, x354, x355, x356, x357,  &
                  x358, x359, x360, x361, x362, x363, x364, x365, x366, x367,  &
                  x368, x369, x370, x371, x372, x373, x374, x375, x376, x377,  &
                  x378, x379, x380, x381, x382, x383, x384, x385, x386, x387,  &
                  x388, x389, x390, x391, x392, x393, x394, x395, x396, x397,  &
                  x398, x399, x400, x401, x402, x403, x404, x405, x406, x407,  &
                  x408, x409, x410, x411, x412, x413, x414, x415, x416, x417,  &
                  x418, x419, x420, x421, x422, x423, x424, x425, x426, x427,  &
                  x428, x429, x430, x431, x432, x433, x434, x435, x436, x437,  &
                  x438, x439, x440, x441, x442, x443, x444, x445, x446, x447,  &
                  x448, x449, x450, x451, x452, x453, x454, x455, x456, x457,  &
                  x458, x459, x460, x461, x462, x463, x464, x465, x466, x467,  &
                  x468, x469, x470, x471, x472, x473, x474, x475, x476, x477,  &
                  x478, x479, x480, x481, x482, x483, x484, x485, x486, x487,  &
                  x488, x489, x490, x491, x492, x493, x494, x495, x496, x497,  &
                  x498, x499, x500, x501, x502, x503, x504, x505, x506, x507,  &
                  x508, x509, x510, x511, x512, x513, x514, x515, x516, x517,  &
                  x518, x519, x520, x521, x522, x523, x524, x525, x526, x527,  &
                  x528, x529, x530, x531, x532, x533, x534, x535, x536, x537,  &
                  x538, x539, x540, x541, x542, x543, x544, x545, x546, x547,  &
                  x548, x549, x550, x551, x552, x553, x554, x555, x556, x557,  &
                  x558, x559, x560, x561, x562, x563, x564, x565, x566, x567,  &
                  x568, x569, x570, x571, x572, x573, x574, x575, x576, x577,  &
                  x578, x579, x580, x581, x582, x583, x584, x585, x586, x587,  &
                  x588, x589, x590, x591, x592, x593, x594, x595, x596, x597,  &
                  x598, x599, x600, x601, x602, x603, x604, x605, x606, x607,  &
                  x608, x609, x610, x611, x612, x613, x614, x615, x616, x617,  &
                  x618, x619, x620, x621, x622, x623, x624, x625, x626, x627,  &
                  x628, x629, x630, x631, x632, x633, x634, x635, x636, x637,  &
                  x638, x639, x640, x641, x642, x643, x644, x645, x646, x647,  &
                  x648, x649, x650, x651, x652, x653, x654, x655, x656, x657,  &
                  x658, x659, x660, x661, x662, x663, x664, x665, x666, x667,  &
                  x668, x669, x670, x671, x672, x673, x674, x675, x676, x677,  &
                  x678, x679, x680, x681, x682, x683, x684, x685, x686, x687,  &
                  x688, x689, x690, x691, x692, x693, x694, x695, x696, x697,  &
                  x698, x699, x700, x701, x702, x703, x704, x705, x706, x707,  &
                  x708, x709, x710, x711, x712, x713, x714, x715, x716, x717,  &
                  x718, x719, x720, x721, x722, x723, x724, x725, x726, x727,  &
                  x728, x729, x730, x731, x732, x733, x734, x735, x736, x737,  &
                  x738, x739, x740, x741, x742, x743, x744, x745, x746, x747,  &
                  x748, x749, x750, x751, x752, x753, x754, x755, x756, x757,  &
                  x758, x759, x760, x761, x762, x763, x764, x765, x766, x767,  &
                  x768, x769, x770, x771, x772, x773, x774, x775, x776, x777,  &
                  x778, x779, x780, x781, x782, x783, x784, x785, x786, x787,  &
                  x788, x789, x790, x791, x792, x793, x794, x795, x796, x797,  &
                  x798, x799, x800, x801, x802, x803, x804, x805, x806, x807,  &
                  x808, x809, x810, x811, x812, x813, x814, x815, x816, x817,  &
                  x818, x819, x820, x821, x822, x823, x824, x825, x826, x827,  &
                  x828, x829, x830, x831, x832, x833, x834, x835, x836, x837,  &
                  x838, x839, x840, x841, x842, x843, x844, x845, x846, x847,  &
                  x848, x849, x850, x851, x852, x853, x854, x855, x856, x857,  &
                  x858, x859, x860, x861, x862, x863, x864, x865, x866, x867,  &
                  x868, x869, x870, x871, x872, x873, x874, x875, x876, x877,  &
                  x878, x879, x880, x881, x882, x883, x884, x885, x886, x887,  &
                  x888, x889, x890, x891, x892, x893, x894, x895, x896, x897,  &
                  x898, x899, x900, x901, x902, x903, x904, x905, x906, x907,  &
                  x908, x909, x910, x911, x912, x913, x914, x915, x916, x917,  &
                  x918, x919, x920, x921, x922, x923, x924, x925, x926, x927,  &
                  x928, x929, x930, x931, x932, x933, x934, x935, x936, x937,  &
                  x938, x939, x940, x941, x942, x943, x944, x945, x946, x947,  &
                  x948, x949, x950, x951, x952, x953, x954, x955, x956, x957,  &
                  x958, x959, x960, x961, x962, x963, x964, x965, x966, x967,  &
                  x968, x969, x970, x971, x972, x973, x974, x975, x976, x977,  &
                  x978, x979, x980, x981, x982, x983, x984, x985, x986, x987,  &
                  x988, x989, x990, x991, x992, x993, x994, x995, x996, x997,  &
                  x998, x999, x1000, x1001, x1002, x1003, x1004, x1005, x1006, &
                  x1007, x1008, x1009, x1010, x1011, x1012, x1013, x1014, x1015&
                  , x1016, x1017, x1018, x1019, x1020, x1021, x1022, x1023,    &
                  x1024, x1025, x1026, x1027, x1028, x1029, x1030, x1031, x1032&
                  , x1033, x1034, x1035, x1036, x1037, x1038, x1039, x1040,    &
                  x1041, x1042, x1043, x1044, x1045, x1046, x1047, x1048, x1049&
                  , x1050, x1051, x1052, x1053, x1054, x1055, x1056, x1057,    &
                  x1058, x1059, x1060, x1061, x1062, x1063, x1064, x1065, x1066&
                  , x1067, x1068, x1069, x1070, x1071, x1072, x1073, x1074,    &
                  x1075, x1076, x1077, x1078, x1079, x1080, x1081, x1082, x1083&
                  , x1084, x1085, x1086, x1087, x1088, x1089, x1090, x1091,    &
                  x1092, x1093, x1094, x1095, x1096, x1097, x1098, x1099, x1100&
                  , x1101, x1102, x1103, x1104, x1105, x1106, x1107, x1108,    &
                  x1109, x1110, x1111, x1112, x1113, x1114, x1115, x1116, x1117&
                  , x1118, x1119, x1120, x1121, x1122, x1123, x1124, x1125,    &
                  x1126, x1127, x1128, x1129, x1130, x1131, x1132, x1133, x1134&
                  , x1135, x1136, x1137, x1138, x1139, x1140, x1141, x1142,    &
                  x1143, x1144, x1145, x1146, x1147, x1148, x1149, x1150, x1151&
                  , x1152, x1153, x1154, x1155, x1156, x1157, x1158, x1159,    &
                  x1160, x1161, x1162, x1163, x1164, x1165, x1166, x1167, x1168&
                  , x1169, x1170, x1171, x1172, x1173, x1174, x1175, x1176,    &
                  x1177, x1178, x1179, x1180, x1181, x1182, x1183, x1184, x1185&
                  , x1186, x1187, x1188, x1189, x1190, x1191, x1192, x1193,    &
                  x1194, x1195, x1196, x1197, x1198, x1199, x1200, x1201, x1202&
                  , x1203, x1204, x1205, x1206, x1207, x1208, x1209, x1210,    &
                  x1211, x1212, x1213, x1214, x1215, x1216, x1217, x1218, x1219&
                  , x1220, x1221, x1222, x1223, x1224, x1225, x1226, x1227,    &
                  x1228, x1229, x1230, x1231, x1232, x1233, x1234, x1235, x1236&
                  , x1237, x1238, x1239, x1240, x1241, x1242, x1243, x1244,    &
                  x1245, x1246, x1247, x1248, x1249, x1250, x1251, x1252, x1253&
                  , x1254, x1255, x1256, x1257, x1258, x1259, x1260, x1261,    &
                  x1262, x1263, x1264, x1265, x1266, x1267, x1268, x1269, x1270&
                  , x1271, x1272, x1273, x1274, x1275, x1276, x1277, x1278,    &
                  x1279, x1280, x1281, x1282, x1283, x1284, x1285, x1286, x1287&
                  , x1288, x1289, x1290, x1291, x1292, x1293, x1294, x1295,    &
                  x1296, x1297, x1298, x1299, x1300, x1301, x1302, x1303, x1304&
                  , x1305, x1306, x1307, x1308, x1309, x1310, x1311, x1312,    &
                  x1313, x1314, x1315, x1316, x1317, x1318, x1319, x1320, x1321&
                  , x1322, x1323, x1324, x1325, x1326, x1327, x1328, x1329,    &
                  x1330, x1331, x1332, x1333, x1334, x1335, x1336, x1337, x1338&
                  , x1339, x1340, x1341, x1342, x1343, x1344, x1345, x1346,    &
                  x1347, x1348, x1349, x1350, x1351, x1352, x1353, x1354, x1355&
                  , x1356, x1357, x1358, x1359, x1360, x1361, x1362
  complex (dp), dimension(0:3) :: x0vec, x1vec, x2vec, x3vec, x4vec, x5vec,    &
                                  x6vec, x7vec, x8vec, x9vec, x10vec, x11vec,  &
                                  x12vec
  contains
    subroutine loopSVV(ty, co, wl, P1, PL1, w2, P2, PL2, m, wp, riMaxIn,       &
    riMaxOut, rankInc)
      use class_vertices
      integer, intent(in) :: riMaxIn, riMaxOut, rankInc
      complex (kind = dp), intent(in), dimension(0:3) :: P1, PL1
      complex (kind = dp), intent(in), dimension(0:3, 0:riMaxIn) :: wl
      complex (kind = dp), intent(in), dimension(0:3) :: P2, PL2
      complex (kind = dp), intent(in), dimension(0:3) :: w2
      complex (dp), intent(out), dimension(0:3,0:riMaxOut) :: wp
      complex (kind = dp), intent(in) :: m
      complex (kind = dp), dimension(0:3) :: pl, p
      integer, intent(in) :: ty
      complex (kind = dp), dimension(0:), intent(in) :: co
      complex (kind = dp), dimension(0:3) :: sp1
      complex (kind = dp), dimension(0:3,0:3) :: sp2
      complex (kind = dp), dimension(0:3,0:3,0:3) :: sp3
      complex (kind = dp), dimension(0:3,0:3,0:3,0:3) :: sp4
      character(len=3) :: ty_str
      integer :: riOut, j
      logical :: isFirstRI
      integer :: mu, nu, ro, ta, te, tu
      select case(ty)
      case(SVV0)
!       P(2,3)*P(3,1)*c0
!       Metric(2,3)*P(-1,1)*P(-1,3)*c1
!       Epsilon(-1,-2,2,3)*P(-1,1)*P(-2,3)*c2
        x0 = P1(2)*w2(3)
        x1 = P1(3)*w2(2)
        x2 = x0 - x1
        x3 = P1(1)*w2(2)
        x4 = P1(2)*w2(1)
        x5 = x3 - x4
        x6 = P1(1)*w2(3)
        x7 = P1(3)*w2(1)
        x8 = x6 - x7
        x9 = P2(2)*w2(3)
        x10 = P2(3)*w2(2)
        x11 = -x10 + x9
        x12 = P2(1)*w2(2)
        x13 = P2(2)*w2(1)
        x14 = x12 - x13
        x15 = P2(1)*w2(3)
        x16 = P2(3)*w2(1)
        x17 = x15 - x16
        x18 = P1(1)*w2(1)
        x19 = P1(2)*w2(2)
        x20 = P1(3)*w2(3)
        x21 = P1(0)*w2(0)
        x22 = co(0)*(x18 + x19 + x20 - x21)
        x23 = P2(1)*w2(1)
        x24 = P2(2)*w2(2)
        x25 = P2(3)*w2(3)
        x26 = P2(0)*w2(0)
        x27 = co(0)*(x23 + x24 + x25 - x26)
        x28 = -P1(0)**2 + P1(1)**2 + P1(2)**2 + P1(3)**2
        x29 = co(1)*x28
        x30 = -P1(0)*P2(0) + P1(1)*P2(1) + P1(2)*P2(2) + P1(3)*P2(3)
        x31 = co(1)*x30
        x33 = P1(0)*w2(2)
        x34 = P1(2)*w2(0)
        x35 = x33 - x34
        x36 = P1(0)*w2(3)
        x37 = P1(3)*w2(0)
        x38 = x36 - x37
        x39 = P2(0)*w2(2)
        x40 = P2(2)*w2(0)
        x41 = x39 - x40
        x42 = P2(0)*w2(3)
        x43 = P2(3)*w2(0)
        x44 = x42 - x43
        x45 = P1(0)*w2(1)
        x46 = P1(1)*w2(0)
        x47 = x45 - x46
        x48 = P2(0)*w2(1)
        x49 = P2(1)*w2(0)
        x50 = x48 - x49
        x51 = co(1)*w2(3)
        x52 = 2*co(1)
        x53 = co(2)*x11
        x54 = co(2)*x17
        x55 = co(2)*x14
        x56 = x22 + x27
        x57 = co(2)*x44
        x58 = co(2)*x41
        x59 = co(2)*x50
        x60 = co(0) + co(1)
        do j = riMaxIn, 0, -1
          x32 = cima*wl(0,j)
          x61 = cima*w2(0)*wl(0,j)
          x62 = cima*w2(1)*wl(0,j)
          x63 = co(1)*x62
          x64 = -co(0)*x61
          x65 = cima*w2(3)*wl(0,j)
          x66 = co(2)*x65
          x67 = -x66
          x68 = cima*w2(2)*wl(0,j)
          x69 = co(2)*x68
          x70 = co(1)*x68
          x71 = co(2)*x62
          x72 = -x71
          x73 = x32*x51
          x74 = -x69
          x75 = co(0)*x62
          x76 = -co(1)*x61
          x77 = -x70
          x78 = -x75
          x79 = co(2)*x61
          x80 = -x79
          x81 = -x73
          x82 = co(0)*x68
          x83 = -x82
          x84 = -x63
          x85 = co(0)*x65
          x86 = -x85
          wp(0,j) = x32*(-P1(0)*x22 - P1(0)*x27 + co(2)*(P1(1)*x11 - P1(2)*x17 &
                     + P1(3)*x14) + co(2)*(P1(1)*x2 - P1(2)*x8 + P1(3)*x5) - w2&
                    (0)*x29 - w2(0)*x31)
          wp(1,j) = x32*(-P1(1)*x22 - P1(1)*x27 + co(2)*(P1(0)*x11 - P1(2)*x44 &
                     + P1(3)*x41) + co(2)*(P1(0)*x2 - P1(2)*x38 + P1(3)*x35) - &
                    w2(1)*x29 - w2(1)*x31)
          wp(2,j) = x32*(-P1(2)*x22 - P1(2)*x27 + co(2)*(-P1(0)*x17 + P1(1)*x44&
                     - P1(3)*x50) + co(2)*(-P1(0)*x8 + P1(1)*x38 - P1(3)*x47   &
                    ) - w2(2)*x29 - w2(2)*x31)
          wp(3,j) = x32*(-P1(3)*x22 - P1(3)*x27 + co(2)*(P1(0)*x14 - P1(1)*x41 &
                     + P1(2)*x50) + co(2)*(P1(0)*x5 - P1(1)*x35 + P1(2)*x47) - &
                    x28*x51 - x30*x51)
          if(rankInc .lt. 1) cycle
          sp2(0,0) = x32*(co(0)*x21 + co(1)*x26 + x21*x52 - x22 - x27)
          sp2(0,1) = x32*(co(0)*x45 + co(1)*x49 + x46*x52 - x53)
          sp2(0,2) = x32*(co(0)*x33 + co(1)*x40 + x34*x52 + x54)
          sp2(0,3) = x32*(co(0)*x36 + co(1)*x43 + x37*x52 - x55)
          sp2(1,0) = x32*(co(0)*x46 + co(1)*x48 + x45*x52 + x53)
          sp2(1,1) = x32*(co(0)*x18 + co(1)*x23 + x18*x52 + x56)
          sp2(1,2) = x32*(co(0)*x3 + co(1)*x13 + x4*x52 + x57)
          sp2(1,3) = x32*(co(0)*x6 + co(1)*x16 + x52*x7 - x58)
          sp2(2,0) = x32*(co(0)*x34 + co(1)*x39 + x33*x52 - x54)
          sp2(2,1) = x32*(co(0)*x4 + co(1)*x12 + x3*x52 - x57)
          sp2(2,2) = x32*(co(0)*x19 + co(1)*x24 + x19*x52 + x56)
          sp2(2,3) = x32*(co(0)*x0 + co(1)*x10 + x1*x52 + x59)
          sp2(3,0) = x32*(co(0)*x37 + co(1)*x42 + x36*x52 + x55)
          sp2(3,1) = x32*(co(0)*x7 + co(1)*x15 + x52*x6 + x58)
          sp2(3,2) = x32*(co(0)*x1 + co(1)*x9 + x0*x52 - x59)
          sp2(3,3) = x32*(co(0)*x20 + co(1)*x25 + x20*x52 + x56)
          sp3(0,0,0) = x60*x61
          sp3(0,0,1) = 0
          sp3(0,0,2) = 0
          sp3(0,0,3) = 0
          sp3(0,1,0) = x63
          sp3(0,1,1) = x64
          sp3(0,1,2) = x67
          sp3(0,1,3) = x69
          sp3(0,2,0) = x70
          sp3(0,2,1) = x66
          sp3(0,2,2) = x64
          sp3(0,2,3) = x72
          sp3(0,3,0) = x73
          sp3(0,3,1) = x74
          sp3(0,3,2) = x71
          sp3(0,3,3) = x64
          sp3(1,0,0) = x75
          sp3(1,0,1) = x76
          sp3(1,0,2) = x66
          sp3(1,0,3) = x74
          sp3(1,1,0) = 0
          sp3(1,1,1) = -x60*x62
          sp3(1,1,2) = 0
          sp3(1,1,3) = 0
          sp3(1,2,0) = x67
          sp3(1,2,1) = x77
          sp3(1,2,2) = x78
          sp3(1,2,3) = x80
          sp3(1,3,0) = x69
          sp3(1,3,1) = x81
          sp3(1,3,2) = x79
          sp3(1,3,3) = x78
          sp3(2,0,0) = x82
          sp3(2,0,1) = x67
          sp3(2,0,2) = x76
          sp3(2,0,3) = x71
          sp3(2,1,0) = x66
          sp3(2,1,1) = x83
          sp3(2,1,2) = x84
          sp3(2,1,3) = x79
          sp3(2,2,0) = 0
          sp3(2,2,1) = 0
          sp3(2,2,2) = -x60*x68
          sp3(2,2,3) = 0
          sp3(2,3,0) = x72
          sp3(2,3,1) = x80
          sp3(2,3,2) = x81
          sp3(2,3,3) = x83
          sp3(3,0,0) = x85
          sp3(3,0,1) = x69
          sp3(3,0,2) = x72
          sp3(3,0,3) = x76
          sp3(3,1,0) = x74
          sp3(3,1,1) = x86
          sp3(3,1,2) = x80
          sp3(3,1,3) = x84
          sp3(3,2,0) = x71
          sp3(3,2,1) = x79
          sp3(3,2,2) = x86
          sp3(3,2,3) = x77
          sp3(3,3,0) = 0
          sp3(3,3,1) = 0
          sp3(3,3,2) = 0
          sp3(3,3,3) = -x60*x65
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(:,mu)
            if(rankInc .lt. 2) cycle
            do nu = 0, 3
              riOut = incRI(nu, incRI(mu, j))
              wp(:,riOut) = wp(:,riOut) + sp3(mu,:,nu)
            end do 
          end do 
        end do 
      case(SVV1)
!       Metric(2,3)*c0
        do j = riMaxIn, 0, -1
          wp(:,j) = -cima*co(0)*w2(:)*wl(0,j)
        end do 
      case(SVV2)
!       c0*(-P(-1,1)*P(-1,2)*P(2,3)*P(3,1) - P(-1,1)*P(-1,3)*P(2,1)*P(3,2) + P(-1
!       ,2)*P(-1,3)*P(2,1)*P(3,1))
!       Metric(2,3)*P(-1,1)**2*P(-1,2)*P(-1,3)*c1
!       c2*(-Epsilon(-1,-2,-3,3)*P(-1,1)*P(-2,2)*P(-3,3)*P(2,1) - Epsilon(-2,-3,2
!       ,3)*P(-1,1)*P(-1,2)*P(-2,1)*P(-3,3))
!       c3*(Epsilon(-1,-2,-3,2)*P(-1,1)*P(-2,2)*P(-3,3)*P(3,1) + Epsilon(-2,-3,2,
!       3)*P(-1,1)*P(-1,3)*P(-2,1)*P(-3,2))
        x0 = P1(2)*w2(3)
        x1 = P1(3)*w2(2)
        x2 = x0 - x1
        x3 = P1(1)*x2
        x4 = P1(1)*w2(2)
        x5 = P1(2)*w2(1)
        x6 = x4 - x5
        x7 = P1(3)*x6
        x8 = P1(1)*w2(3)
        x9 = P1(3)*w2(1)
        x10 = x8 - x9
        x11 = P1(2)*x10
        x12 = -x11 + x3 + x7
        x13 = P1(0)*P2(0)
        x14 = x11 - x3 - x7
        x15 = P1(1)*P2(1)
        x16 = P1(2)*P2(2)
        x17 = P1(3)*P2(3)
        x18 = P2(2)*w2(3)
        x19 = P2(3)*w2(2)
        x20 = x18 - x19
        x21 = P1(1)*x20
        x22 = P2(1)*w2(2)
        x23 = P2(2)*w2(1)
        x24 = x22 - x23
        x25 = P1(3)*x24
        x26 = P2(1)*w2(3)
        x27 = P2(3)*w2(1)
        x28 = x26 - x27
        x29 = P1(2)*x28
        x30 = x21 + x25 - x29
        x31 = -x21 - x25 + x29
        x32 = P1(0)**2
        x33 = P1(1)**2
        x34 = P1(2)**2
        x35 = P1(3)**2
        x36 = P1(3)*P2(2)
        x37 = P1(2)*P2(3)
        x38 = P1(1)*P2(3)
        x39 = P1(3)*P2(1)
        x40 = x38 - x39
        x41 = P1(2)*x40
        x42 = P1(2)*P2(1)
        x43 = P1(1)*P2(2)
        x44 = P1(1)*w2(1)
        x45 = P1(2)*w2(2)
        x46 = P1(3)*w2(3)
        x47 = P1(0)*w2(0)
        x48 = x44 + x45 + x46 - x47
        x49 = co(2)*x48
        x50 = P2(1)*x2
        x51 = P2(3)*x6
        x52 = P2(2)*x10
        x53 = P1(0)*(x50 + x51 - x52)
        x54 = P1(0)*w2(3)
        x55 = P1(3)*w2(0)
        x56 = x54 - x55
        x57 = P2(2)*x56
        x58 = P2(0)*x2
        x59 = P1(0)*w2(2)
        x60 = P1(2)*w2(0)
        x61 = x59 - x60
        x62 = P2(3)*x61
        x63 = P2(0)*x10
        x64 = P1(0)*w2(1)
        x65 = P1(1)*w2(0)
        x66 = x64 - x65
        x67 = P2(3)*x66
        x68 = P2(1)*x56
        x69 = P1(2)*(x63 + x67 - x68)
        x70 = P2(1)*x61
        x71 = P2(0)*x6
        x72 = P2(2)*x66
        x73 = co(3)*(P1(1)*(x57 - x58 - x62) + P1(3)*(x70 - x71 - x72) + x53 + &
              x69)
        x74 = P2(1)*x20
        x75 = P2(3)*x24
        x76 = P2(2)*x28
        x77 = P1(0)*(x74 + x75 - x76)
        x78 = P2(0)*w2(3)
        x79 = P2(3)*w2(0)
        x80 = x78 - x79
        x81 = P2(2)*x80
        x82 = P2(0)*x20
        x83 = P2(0)*w2(2)
        x84 = P2(2)*w2(0)
        x85 = x83 - x84
        x86 = P2(3)*x85
        x87 = P2(0)*x28
        x88 = P2(0)*w2(1)
        x89 = P2(1)*w2(0)
        x90 = x88 - x89
        x91 = P2(3)*x90
        x92 = P2(1)*x80
        x93 = P1(2)*(x87 + x91 - x92)
        x94 = P2(1)*x85
        x95 = P2(0)*x24
        x96 = P2(2)*x90
        x97 = co(3)*(P1(1)*(x81 - x82 - x86) + P1(3)*(x94 - x95 - x96) + x77 + &
              x93)
        x98 = P2(1)**2
        x99 = P2(2)**2
        x100 = P2(3)**2
        x101 = P2(0)**2
        x102 = x100 - x101 + x98 + x99
        x103 = co(0)*x102
        x104 = x103*x48
        x105 = x32 - x33 - x34 - x35
        x106 = co(0)*x48
        x107 = P2(0)*x106
        x108 = x13 - x15 - x16 - x17
        x109 = -x13 + x15 + x16 + x17
        x110 = P2(1)*w2(1)
        x111 = P2(2)*w2(2)
        x112 = P2(3)*w2(3)
        x113 = P2(0)*w2(0)
        x114 = co(0)*(x110 + x111 + x112 - x113)
        x115 = x109*x114
        x116 = co(1)*x102
        x117 = w2(0)*x116
        x118 = co(1)*x109
        x119 = w2(0)*x118
        x121 = P1(0)*x2
        x122 = P1(3)*x61
        x123 = P1(2)*x56
        x124 = x121 + x122 - x123
        x125 = -x121 - x122 + x123
        x126 = P1(0)*x20
        x127 = P1(3)*x85
        x128 = P1(2)*x80
        x129 = x126 + x127 - x128
        x130 = -x126 - x127 + x128
        x131 = P1(0)*P2(3)
        x132 = P1(3)*P2(0)
        x133 = x131 - x132
        x134 = P1(2)*x133
        x135 = P1(2)*P2(0)
        x136 = P1(0)*P2(2)
        x137 = -x36 + x37
        x138 = P1(0)*x137
        x139 = P2(1)*x106
        x140 = w2(1)*x116
        x141 = w2(1)*x118
        x142 = P1(1)*x56
        x143 = P1(0)*x10
        x144 = P1(3)*x66
        x145 = -x142 + x143 + x144
        x146 = P1(1)*x80
        x147 = P1(0)*x28
        x148 = P1(3)*x90
        x149 = x146 - x147 - x148
        x150 = -x146 + x147 + x148
        x151 = P1(0)*P2(1)
        x152 = P1(1)*P2(0)
        x153 = x151 - x152
        x154 = P1(3)*x153
        x155 = P2(2)*x106
        x156 = w2(2)*x116
        x157 = w2(2)*x118
        x158 = P1(0)*x6
        x159 = P1(2)*x66
        x160 = P1(1)*x61
        x161 = x158 + x159 - x160
        x162 = -x158 - x159 + x160
        x163 = P1(0)*x24
        x164 = P1(2)*x90
        x165 = P1(1)*x85
        x166 = x163 + x164 - x165
        x167 = -x163 - x164 + x165
        x168 = -x135 + x136
        x169 = P1(1)*x168
        x170 = -x42 + x43
        x171 = P1(0)*x170
        x172 = P2(3)*x106
        x173 = w2(3)*x116
        x174 = w2(3)*x118
        x175 = P1(1)*(-x57 + x58 + x62) + P1(3)*(-x70 + x71 + x72)
        x176 = P1(1)*(-x81 + x82 + x86) + P1(3)*(-x94 + x95 + x96)
        x177 = co(3)*x30
        x178 = co(3)*(w2(1)*x137 - w2(2)*x40 + w2(3)*x170)
        x179 = P1(1)*x137 + P1(3)*x170 - x41
        x180 = co(2)*w2(0)
        x181 = P2(0)*co(2)
        x182 = -x32 + x33 + x34 + x35
        x183 = co(0)*x182
        x184 = 2*co(1)*x102
        x185 = 2*co(1)*x109
        x186 = 2*co(0)*x48
        x187 = co(3)*(w2(0)*x137 - w2(2)*x133 + w2(3)*x168)
        x188 = co(1)*x65
        x189 = co(2)*w2(1)
        x190 = co(2)*x109
        x191 = x190*x2
        x192 = x190*(-x0 + x1)
        x193 = -x18 + x19
        x194 = x190*x193
        x195 = co(3)*x129
        x196 = P1(0)*x195
        x197 = P2(1)*co(2)
        x198 = co(2)*x30
        x199 = co(3)*x182
        x200 = x193*x199
        x201 = co(3)*x109
        x202 = x193*x201
        x203 = P1(1)*x177
        x204 = P2(1)*x107
        x205 = co(0)*x88
        x206 = 2*P1(2)*P2(2)
        x207 = -2*P1(0)*P2(0) + 2*P1(1)*P2(1) + 2*P1(3)*P2(3) + x206
        x208 = co(3)*x150
        x209 = P1(0)*x208
        x210 = co(1)*x60
        x211 = co(2)*w2(2)
        x212 = -x26 + x27
        x213 = x199*x212
        x214 = x201*x212
        x215 = co(3)*(w2(0)*x40 - w2(1)*x133 + w2(3)*x153)
        x216 = P2(2)*co(2)
        x217 = x10*x190
        x218 = x190*(-x8 + x9)
        x219 = x190*x212
        x220 = P1(2)*x177
        x221 = P2(2)*x107
        x222 = co(0)*x83
        x223 = co(3)*(w2(0)*x170 - w2(1)*x168 + w2(2)*x153)
        x224 = co(1)*x55
        x225 = co(2)*w2(3)
        x226 = x190*x6
        x227 = x190*(-x4 + x5)
        x228 = -x22 + x23
        x229 = x190*x228
        x230 = co(3)*x166
        x231 = P1(0)*x230
        x232 = P2(3)*co(2)
        x233 = x199*x228
        x234 = x201*x228
        x235 = P1(3)*x177
        x236 = P2(3)*x107
        x237 = co(0)*x78
        x238 = co(1)*x64
        x239 = P1(3)*x168 - x134 + x138
        x240 = co(0)*x89
        x241 = co(1)*x44
        x242 = P2(1)*co(0)*w2(1)
        x243 = -co(3)*(P1(0)*(-x50 - x51 + x52) + P1(2)*(-x63 - x67 + x68) +   &
               x175) - co(3)*(P1(0)*(-x74 - x75 + x76) + P1(2)*(-x87 - x91 +   &
               x92) + x176) - x104 + x115
        x244 = P1(1)*x208
        x245 = co(1)*x5
        x246 = -x78 + x79
        x247 = x199*x246
        x248 = x201*x246
        x249 = x190*x56
        x250 = x190*(-x54 + x55)
        x251 = x190*x246
        x252 = P1(2)*x195
        x253 = P2(1)*x155
        x254 = co(0)*x22
        x255 = co(1)*x9
        x256 = x190*x61
        x257 = x190*(-x59 + x60)
        x258 = -x83 + x84
        x259 = x190*x258
        x260 = P1(1)*x230
        x261 = x199*x258
        x262 = x201*x258
        x263 = P1(3)*x195
        x264 = P2(3)*x139
        x265 = co(0)*x26
        x266 = co(1)*x59
        x267 = P1(0)*x40 - P1(1)*x133 + x154
        x268 = co(0)*x84
        x269 = co(1)*x4
        x270 = co(0)*x23
        x271 = co(1)*x45
        x272 = P2(2)*co(0)*w2(2)
        x273 = co(1)*x1
        x274 = -x88 + x89
        x275 = x199*x274
        x276 = x201*x274
        x277 = P1(2)*x230
        x278 = x190*x66
        x279 = x190*(-x64 + x65)
        x280 = x190*x274
        x281 = P1(3)*x208
        x282 = P2(3)*x155
        x283 = co(0)*x18
        x284 = co(1)*x54
        x285 = P1(2)*x153 - x169 + x171
        x286 = co(0)*x79
        x287 = co(1)*x8
        x288 = co(0)*x27
        x289 = co(1)*x0
        x290 = co(0)*x19
        x291 = co(1)*x46
        x292 = P2(3)*co(0)*w2(3)
        x293 = P2(0)*x114
        x294 = co(0)*x101
        x295 = w2(0)*x103
        x296 = 2*co(0)*w2(0)
        x297 = 2*co(1)*w2(0)
        x298 = co(2)*x82
        x299 = co(3)*x82
        x300 = co(3)*x20
        x301 = 2*P1(0)
        x302 = x300*x301
        x303 = co(1)*x89
        x304 = co(3)*x87
        x305 = co(2)*x87
        x306 = 2*co(3)*x28
        x307 = P1(0)*x306
        x308 = 2*P2(0)*co(0)
        x309 = co(1)*x84
        x310 = co(2)*x95
        x311 = co(3)*x95
        x312 = 2*co(3)
        x313 = x163*x312
        x314 = co(1)*x79
        x315 = -x195
        x316 = P2(1)*x114
        x317 = w2(1)*x103
        x318 = -P2(0)*x240
        x319 = 2*P2(0)
        x320 = co(2)*x74
        x321 = co(3)*x74
        x322 = x21*x312
        x323 = -P2(1)*x205
        x324 = 2*P1(1)
        x325 = 2*P2(1)
        x326 = -x107
        x327 = co(3)*x31 + x117 + x119 + x326
        x328 = co(3)*x28
        x329 = P1(1)*x328
        x330 = P2(1)*x328
        x331 = w2(3)*x190
        x332 = P1(2)*x300
        x333 = -x332
        x334 = x197*x28
        x335 = x232*x48
        x336 = -x335
        x337 = 2*co(0)*w2(2)
        x338 = 2*P2(2)
        x339 = co(3)*x80
        x340 = P1(0)*x339
        x341 = -P2(0)*x254 + x340
        x342 = x197*x24
        x343 = P2(2)*x49
        x344 = P1(3)*x300
        x345 = -x344
        x346 = co(3)*x24
        x347 = P2(1)*x346
        x348 = w2(2)*x190
        x349 = -x348
        x350 = 2*P2(3)
        x351 = co(3)*x85
        x352 = P1(0)*x351
        x353 = -x352
        x354 = P1(1)*x346
        x355 = -x354
        x356 = -P2(0)*x265 + x353 + x355
        x357 = P2(2)*x114
        x358 = w2(2)*x103
        x359 = -P2(0)*x268
        x360 = x20*x216
        x361 = -x340
        x362 = P2(2)*x300
        x363 = -P2(2)*x205
        x364 = 2*P1(2)
        x365 = -x331
        x366 = co(3)*x76
        x367 = co(2)*x76
        x368 = P1(2)*x306
        x369 = -P2(2)*x222
        x370 = P1(3)*x328
        x371 = x216*x24
        x372 = P1(2)*x346
        x373 = -x372
        x374 = P2(2)*x346
        x375 = -P2(0)*x283
        x376 = 2*co(0)*w2(3)
        x377 = co(3)*x90
        x378 = P1(0)*x377
        x379 = w2(1)*x190
        x380 = P2(1)*x49
        x381 = -x380
        x382 = -x230
        x383 = P2(3)*x114
        x384 = w2(3)*x103
        x385 = -P2(0)*x286
        x386 = x20*x232
        x387 = -x343
        x388 = P2(3)*x300
        x389 = -P2(3)*x205
        x390 = 2*P1(3)
        x391 = P2(3)*x328
        x392 = x232*x28
        x393 = -P2(0)*x290
        x394 = -x378
        x395 = -x379
        x396 = co(2)*x75
        x397 = co(3)*x75
        x398 = x25*x312
        x399 = -P2(0)*x292
        x400 = co(1)*x88
        x401 = P2(1)*co(1)*w2(1)
        x402 = x177 - x178 - x293 + x295
        x403 = P2(0)*x339
        x404 = x181*x80
        x405 = 2*P2(1)*co(0)
        x406 = co(1)*x23
        x407 = x181*x85
        x408 = P2(0)*x351
        x409 = co(1)*x27
        x410 = co(0)*w2(0)
        x411 = -x187
        x412 = -x316
        x413 = co(0)*w2(1)
        x414 = 2*P2(1)*co(0)*w2(1)
        x415 = 2*P2(1)*co(1)*w2(1)
        x416 = -x139 + x140 + x141
        x417 = co(3)*x92
        x418 = co(2)*x92
        x419 = co(0)*w2(2)
        x420 = x146*x312
        x421 = co(2)*x94
        x422 = co(3)*x94
        x423 = co(0)*w2(3)
        x424 = x165*x312
        x425 = -x329
        x426 = -P2(2)*x240 + x332
        x427 = -P2(2)*x242
        x428 = -x357
        x429 = -x208 + x215 + x358 + x428
        x430 = co(3)*x81
        x431 = co(2)*x81
        x432 = x339*x364
        x433 = -P2(2)*x254
        x434 = 2*co(1)*w2(1)
        x435 = P1(3)*x339
        x436 = x216*x85
        x437 = P1(2)*x351
        x438 = -x437
        x439 = P2(2)*x351
        x440 = -P2(2)*x265
        x441 = P1(1)*x377
        x442 = x109*x180
        x443 = x181*x48
        x444 = -x443
        x445 = x441 + x442 + x444
        x446 = -P2(3)*x240
        x447 = -P2(3)*x242
        x448 = -x223
        x449 = -x383
        x450 = x230 + x384 + x448 + x449
        x451 = P2(3)*x339
        x452 = -x441
        x453 = x232*x80
        x454 = -x442
        x455 = -P2(3)*x254
        x456 = co(2)*x86
        x457 = co(3)*x86
        x458 = x127*x312
        x459 = -P2(3)*x265
        x460 = 2*P2(2)*co(0)
        x461 = P2(0)*x377
        x462 = -x370
        x463 = x181*x90
        x464 = 2*co(1)*w2(2)
        x465 = -x155
        x466 = x156 + x157 + x208 + x465
        x467 = x195 + x317 + x411 + x412
        x468 = P2(1)*x377
        x469 = -x435
        x470 = x197*x90
        x471 = co(3)*x96
        x472 = co(2)*x96
        x473 = x364*x377
        x474 = -P2(3)*x268 + x372 + x462
        x475 = -P2(2)*x288
        x476 = -P2(2)*x290
        x477 = co(3)*x91
        x478 = co(2)*x91
        x479 = x148*x312
        x480 = -P2(3)*x283
        x481 = 2*P2(3)*co(0)
        x482 = co(1)*x26
        x483 = -x172
        x484 = x173 + x174 + x382 + x483
        x485 = 2*P1(2)*P2(3)
        x486 = 2*co(1)*w2(3)
        x488 = co(2)*x78
        x489 = co(2)*x83
        x490 = -x489
        x491 = -x328
        x492 = co(1)*x83
        x493 = co(1)*x22
        x494 = -x488
        x495 = co(2)*x88
        x496 = co(1)*x19
        x497 = co(1)*x78
        x498 = co(1)*x18
        x499 = -x495
        x505 = co(2)*x79
        x506 = -x339
        x507 = x488 + x506
        x508 = co(2)*x27
        x510 = co(2)*x19
        x511 = x300 + x510
        x515 = co(2)*x84
        x516 = -x515
        x517 = x351 + x490
        x518 = co(2)*x23
        x523 = co(2)*x18
        x524 = -x523
        x525 = x300 + x524
        x529 = -x505
        x530 = x339 + x494
        x531 = x328 + x508
        x537 = co(2)*x89
        x538 = -x377
        x539 = x495 + x538
        x541 = co(2)*x22
        x543 = co(2)*x26
        x544 = x491 + x543
        x548 = -x351
        x549 = x489 + x548
        x550 = x346 + x518
        x553 = -x537
        x554 = x377 + x499
        x556 = -x541
        x557 = x346 + x556
        x563 = -x508
        x564 = -x543
        x565 = x328 + x564
        x566 = -x112
        x569 = -x346 + x541
        x570 = -x110
        x572 = -x300 + x523
        x575 = x205 - x303
        x576 = x222 - x309
        x577 = x237 - x314
        x578 = x240 - x400
        x580 = x254 - x406
        x581 = x265 - x409
        x582 = x268 - x492
        x583 = x270 - x493
        x585 = x283 - x496
        x586 = x286 - x497
        x587 = x288 - x482
        x588 = x290 - x498
        x590 = x339 + x505
        x597 = x377 + x537
        x599 = x351 + x515
        x601 = -x518
        x602 = -x111
        x610 = -x510
        do j = riMaxIn, 0, -1
          x120 = cima*wl(0,j)
          x487 = cima*wl(0,j)*(-co(0) + co(1))
          x500 = x120*x300
          x501 = -2*x500
          x502 = x120*x488
          x503 = -x502
          x504 = x120*x489
          x509 = x120*x508
          x512 = x120*x511
          x513 = cima*co(2)*wl(0,j)
          x514 = x513*(x112 + x113)
          x519 = x120*x518
          x520 = -x519
          x521 = x513*(x111 + x113)
          x522 = -x521
          x526 = x120*x306
          x527 = x120*x495
          x528 = -x527
          x532 = x120*x531
          x533 = x120*x510
          x534 = -x533
          x535 = -x514
          x536 = -x120*x328
          x540 = x513*(x110 + x113)
          x542 = x120*x541
          x545 = x120*x346
          x546 = -2*x545
          x547 = -x504
          x551 = x120*x550
          x552 = x120*x523
          x555 = -x540
          x558 = x120*x543
          x559 = -x558
          x560 = -x542
          x561 = x120*x505
          x562 = -x561
          x567 = x513*(x110 + x566)
          x568 = x120*x515
          x571 = x513*(x111 + x570)
          x573 = cima*wl(0,j)*(co(0) - co(1))
          x574 = x113*x573
          x579 = x110*x573
          x584 = x111*x573
          x589 = x112*x573
          x591 = x120*x590
          x592 = x513*(x112 + x570)
          x593 = x120*x339
          x594 = 2*x593
          x595 = x120*x537
          x596 = -x595
          x598 = x120*(x495 + x597)
          x600 = x120*x599
          x603 = x513*(x110 + x602)
          x604 = -x552
          x605 = x120*x351
          x606 = 2*x605
          x607 = x513*(x112 + x602)
          x608 = x120*(x541 + x550)
          x609 = -x509
          x611 = x513*(x111 + x566)
          x612 = x120*(x489 + x599)
          x613 = x120*x597
          x614 = -x568
          x615 = x120*x377
          x616 = 2*x615
          x617 = x120*(x511 + x523)
          x618 = x120*(x531 + x543)
          x619 = x120*(x488 + x590)
          wp(0,j) = x120*(P1(0)*x104 - P1(0)*x115 - P1(0)*x73 - P1(0)*x97 - co(&
                    2)*(x12*x13 + x14*x15 + x14*x16 + x14*x17) - co(2)*(x13*x30&
                     + x15*x31 + x16*x31 + x17*x31) - co(3)*(x13*x31 + x15*x30 &
                     + x16*x30 + x17*x30) - co(3)*(x30*x33 + x30*x34 + x30*x35 &
                     + x31*x32) + x105*x107 - x105*x117 - x105*x119 + x107*x108&
                     + x49*(P1(1)*(x36 - x37) + P1(3)*(x42 - x43) + x41))
          wp(1,j) = x120*(P1(1)*x104 - P1(1)*x115 - P1(1)*x73 - P1(1)*x97 - co(&
                    2)*(x124*x13 + x125*x15 + x125*x16 + x125*x17) - co(2)*(   &
                    x129*x13 + x130*x15 + x130*x16 + x130*x17) - co(3)*(x129*  &
                    x15 + x129*x16 + x129*x17 + x13*x130) - co(3)*(x129*x33 +  &
                    x129*x34 + x129*x35 + x130*x32) + x105*x139 - x105*x140 -  &
                    x105*x141 + x108*x139 + x49*(P1(3)*(x135 - x136) + x134 -  &
                    x138))
          wp(2,j) = x120*(P1(2)*x104 - P1(2)*x115 - P1(2)*x73 - P1(2)*x97 - co(&
                    2)*(x13*x149 + x15*x150 + x150*x16 + x150*x17) - co(2)*(x13&
                    *(x142 - x143 - x144) + x145*x15 + x145*x16 + x145*x17) -  &
                    co(3)*(x13*x150 + x149*x15 + x149*x16 + x149*x17) - co(3)*(&
                    x149*x33 + x149*x34 + x149*x35 + x150*x32) + x105*x155 -   &
                    x105*x156 - x105*x157 + x108*x155 + x49*(-P1(0)*(-x38 + x39&
                    ) + P1(1)*(-x131 + x132) + x154))
          wp(3,j) = x120*(P1(3)*x104 - P1(3)*x115 - P1(3)*x73 - P1(3)*x97 - co(&
                    2)*(x13*x161 + x15*x162 + x16*x162 + x162*x17) - co(2)*(x13&
                    *x166 + x15*x167 + x16*x167 + x167*x17) - co(3)*(x13*x167  &
                     + x15*x166 + x16*x166 + x166*x17) - co(3)*(x166*x33 + x166&
                    *x34 + x166*x35 + x167*x32) + x105*x172 - x105*x173 - x105*&
                    x174 + x108*x172 + x49*(P1(2)*(-x151 + x152) + x169 - x171 &
                    ))
          if(rankInc .lt. 1) cycle
          sp2(0,0) = x120*(P1(0)*x177 + P1(0)*x178 + P2(0)*x177 + co(0)*x109*  &
                     x113 + co(1)*x47 + co(3)*(x175 - x53 - x69) + co(3)*(x176 &
                      - x77 - x93) + x101*x106 - x103*x47 + x104 + x113*x183 + &
                     x114*x13 - x115 - x12*x181 + x13*x186 + x179*x180 - x181* &
                     x30 - x184*x47 - x185*x47)
          sp2(0,1) = x120*(P1(0)*x187 + P2(1)*x177 - P2(1)*x198 - x103*x64 +   &
                     x109*x205 + x114*x151 - x12*x197 + x152*x186 + x179*x189  &
                      + x182*x205 - x184*x65 - x188*x207 + x188 + x191 + x192  &
                      + x194 - x196 - x200 - x202 + 2*x203 + x204)
          sp2(0,2) = x120*(-P1(0)*x215 + P2(2)*x177 - P2(2)*x198 - x103*x59 +  &
                     x109*x222 + x114*x136 - x12*x216 + x135*x186 + x179*x211  &
                      + x182*x222 - x184*x60 - x207*x210 + x209 + x210 + x213  &
                      + x214 - x217 - x218 - x219 + 2*x220 + x221)
          sp2(0,3) = x120*(P1(0)*x223 + P2(3)*x177 - P2(3)*x198 - x103*x54 +   &
                     x109*x237 + x114*x131 - x12*x232 + x132*x186 + x179*x225  &
                      + x182*x237 - x184*x55 - x185*x55 + x224 + x226 + x227 + &
                     x229 - x231 - x233 - x234 + 2*x235 + x236)
          sp2(1,0) = x120*(P1(1)*x178 + P2(0)*x195 - x103*x65 + x109*x240 +    &
                     x114*x152 - x124*x181 - x129*x181 + x151*x186 + x180*x239 &
                      + x182*x240 - x184*x64 - x191 - x192 - x194 + 2*x196 +   &
                     x200 + x202 - x203 + x204 - x207*x238 + x238)
          sp2(1,1) = x120*(P1(1)*x187 + P1(1)*x195 + P2(1)*x195 - x103*x44 +   &
                     x106*x98 + x109*x242 + x114*x15 - x124*x197 - x129*x197 + &
                     x15*x186 + x182*x242 - x184*x44 + x189*x239 - x207*x241 + &
                     x241 + x243)
          sp2(1,2) = x120*(-P1(1)*x215 + P2(2)*x195 - x103*x4 + x109*x254 +    &
                     x114*x43 - x124*x216 - x129*x216 + x182*x254 - x184*x5 +  &
                     x186*x42 - x207*x245 + x211*x239 + x244 + x245 + x247 +   &
                     x248 - x249 - x250 - x251 + 2*x252 + x253)
          sp2(1,3) = x120*(P1(1)*x223 + P2(3)*x195 - x103*x8 + x109*x265 + x114&
                     *x38 - x124*x232 - x129*x232 + x182*x265 - x184*x9 + x186*&
                     x39 - x207*x255 + x225*x239 + x255 + x256 + x257 + x259 - &
                     x260 - x261 - x262 + 2*x263 + x264)
          sp2(2,0) = x120*(P1(2)*x178 - P2(0)*x208 - x103*x60 + x109*x268 +    &
                     x114*x135 + x136*x186 + x145*x181 + x150*x181 - x180*x267 &
                      + x182*x268 - x184*x59 - x185*x59 - 2*x209 - x213 - x214 &
                      + x217 + x218 + x219 - x220 + x221 + x266)
          sp2(2,1) = x120*(P1(2)*x187 - P2(1)*x208 - x103*x5 + x109*x270 + x114&
                     *x42 + x145*x197 + x150*x197 + x182*x270 - x184*x4 + x186*&
                     x43 - x189*x267 - x207*x269 - 2*x244 - x247 - x248 + x249 &
                      + x250 + x251 - x252 + x253 + x269)
          sp2(2,2) = x120*(-P1(2)*x208 - P1(2)*x215 - P2(2)*x208 - x103*x45 +  &
                     x106*x99 + x109*x272 + x114*x16 + x145*x216 + x150*x216 + &
                     x16*x186 + x182*x272 - x184*x45 - x185*x45 - x211*x267 +  &
                     x243 + x271)
          sp2(2,3) = x120*(P1(2)*x223 - P2(3)*x208 - x0*x103 - x1*x184 + x109* &
                     x283 + x114*x37 + x145*x232 + x150*x232 + x182*x283 + x186&
                     *x36 - x207*x273 - x225*x267 + x273 + x275 + x276 - x277  &
                      - x278 - x279 - x280 - 2*x281 + x282)
          sp2(3,0) = x120*(P1(3)*x178 + P2(0)*x230 - x103*x55 + x109*x286 +    &
                     x114*x132 + x131*x186 - x161*x181 - x166*x181 + x180*x285 &
                      + x182*x286 - x184*x54 - x185*x54 - x226 - x227 - x229 + &
                     2*x231 + x233 + x234 - x235 + x236 + x284)
          sp2(3,1) = x120*(P1(3)*x187 + P2(1)*x230 - x103*x9 + x109*x288 + x114&
                     *x39 - x161*x197 - x166*x197 + x182*x288 - x184*x8 - x185*&
                     x8 + x186*x38 + x189*x285 - x256 - x257 - x259 + 2*x260 + &
                     x261 + x262 - x263 + x264 + x287)
          sp2(3,2) = x120*(-P1(3)*x215 + P2(2)*x230 - x0*x184 - x1*x103 + x109*&
                     x290 + x114*x36 - x161*x216 - x166*x216 + x182*x290 + x186&
                     *x37 - x207*x289 + x211*x285 - x275 - x276 + 2*x277 + x278&
                      + x279 + x280 + x281 + x282 + x289)
          sp2(3,3) = x120*(P1(3)*x223 + P1(3)*x230 + P2(3)*x230 + x100*x106 -  &
                     x103*x46 + x109*x292 + x112*x183 + x114*x17 - x161*x232 - &
                     x166*x232 + x17*x186 - x184*x46 - x207*x291 + x225*x285 + &
                     x243 + x291)
          sp3(0,0,0) = x120*(-w2(0)*x294 + x107 - x117 - x119 - x13*x296 + x13*&
                       x297 + x178 + x293 - x295)
          sp3(0,0,1) = x120*(-w2(1)*x294 - x205*x301 + x298 - x299 + x301*x303 &
                        - x302)
          sp3(0,0,2) = x120*(-w2(2)*x294 + x301*x309 + x304 - x305 + x307 -    &
                       x308*x59)
          sp3(0,0,3) = x120*(-w2(3)*x294 + x301*x314 - x308*x54 + x310 - x311  &
                        - x313)
          sp3(0,1,0) = x120*(x187 + x188*x319 - x308*x65 + x315 + x316 - x317  &
                        + x318)
          sp3(0,1,1) = x120*(x188*x325 - x205*x324 + x320 - x321 - x322 + x323 &
                        + x327)
          sp3(0,1,2) = x120*(-x152*x337 + x188*x338 + x329 + x330 + x331 + x333&
                        - x334 + x336 + x341)
          sp3(0,1,3) = x120*(x188*x350 - x308*x8 + x342 + x343 + x345 - x347 + &
                       x349 + x356)
          sp3(0,2,0) = x120*(-x135*x296 + x135*x297 + x208 - x215 + x357 - x358&
                        + x359)
          sp3(0,2,1) = x120*(-x205*x364 + x303*x364 + x329 + x333 + x335 + x360&
                        + x361 - x362 + x363 + x365)
          sp3(0,2,2) = x120*(x117 + x119 + x16*x297 - x177 - x308*x45 + x326 + &
                       x366 - x367 + x368 + x369)
          sp3(0,2,3) = x120*(-x135*x376 + x297*x37 + x370 + x371 + x373 - x374 &
                        + x375 + x378 + x379 + x381)
          sp3(0,3,0) = x120*(x223 + x224*x319 - x308*x55 + x382 + x383 - x384  &
                        + x385)
          sp3(0,3,1) = x120*(-x205*x390 + x224*x325 + x345 + x348 + x352 + x355&
                        + x386 + x387 - x388 + x389)
          sp3(0,3,2) = x120*(-x132*x337 + x224*x338 + x370 + x373 + x380 + x391&
                        - x392 + x393 + x394 + x395)
          sp3(0,3,3) = x120*(-x132*x376 + x224*x350 + x327 + x396 - x397 - x398&
                        + x399)
          sp3(1,0,0) = x120*(x139 - x140 - x141 + x195 - x240*x301 - x298 +    &
                       x299 + x301*x400 + x302 + x318)
          sp3(1,0,1) = x120*(-x242*x301 + x301*x401 + x323 + x402)
          sp3(1,0,2) = x120*(x301*x406 + x329 + x332 + x335 + x341 + x365 +    &
                       x403 - x404 - x405*x59)
          sp3(1,0,3) = x120*(x301*x409 + x344 + x348 + x356 + x387 - x405*x54  &
                        + x407 - x408)
          sp3(1,1,0) = x120*(-x320 + x321 + x322 + x324*x400 - x405*x65 - x410*&
                       x98)
          sp3(1,1,1) = x120*(-P1(1)*x414 + P1(1)*x415 + x317 + x411 + x412 -   &
                       x413*x98 + x416)
          sp3(1,1,2) = x120*(-x15*x337 + x241*x338 + x417 - x418 - x419*x98 +  &
                       x420)
          sp3(1,1,3) = x120*(-x265*x324 + x324*x409 + x421 - x422 - x423*x98 - &
                       x424)
          sp3(1,2,0) = x120*(-x240*x364 + x331 + x336 + x340 - x360 + x362 +   &
                       x364*x400 + x425 + x426)
          sp3(1,2,1) = x120*(-x242*x364 + x364*x401 + x427 + x429)
          sp3(1,2,2) = x120*(x16*x434 + x315 - x405*x45 + x416 + x430 - x431 + &
                       x432 + x433)
          sp3(1,2,3) = x120*(-x265*x364 + x37*x434 + x435 + x436 + x438 - x439 &
                        + x440 + x445)
          sp3(1,3,0) = x120*(x343 + x344 + x349 + x353 + x354 - x386 + x388 +  &
                       x390*x400 - x405*x55 + x446)
          sp3(1,3,1) = x120*(-P1(3)*x414 + P1(3)*x415 + x447 + x450)
          sp3(1,3,2) = x120*(-x1*x405 + x255*x338 + x435 + x438 + x443 + x451  &
                        + x452 - x453 + x454 + x455)
          sp3(1,3,3) = x120*(co(3)*x130 - x265*x390 + x390*x409 + x416 + x456  &
                        - x457 - x458 + x459)
          sp3(2,0,0) = x120*(co(3)*x149 + x155 - x156 - x157 + x266*x319 - x268&
                       *x301 - x304 + x305 - x307 + x359)
          sp3(2,0,1) = x120*(x266*x325 - x270*x301 + x331 + x333 + x336 + x361 &
                        + x363 - x403 + x404 + x425)
          sp3(2,0,2) = x120*(x266*x338 + x369 + x402 - x460*x59)
          sp3(2,0,3) = x120*(x266*x350 + x373 + x375 + x378 + x380 + x395 -    &
                       x460*x54 + x461 + x462 - x463)
          sp3(2,1,0) = x120*(x152*x464 - x330 + x334 + x335 + x361 + x365 +    &
                       x425 + x426 - x460*x65)
          sp3(2,1,1) = x120*(x15*x464 - x417 + x418 - x420 + x427 - x44*x460 + &
                       x466)
          sp3(2,1,2) = x120*(x269*x338 - x4*x460 + x433 + x467)
          sp3(2,1,3) = x120*(x38*x464 + x438 + x440 + x441 + x443 + x454 - x460&
                       *x8 + x468 + x469 - x470)
          sp3(2,2,0) = x120*(-x16*x296 + x271*x319 - x366 + x367 - x368 - x410*&
                       x99)
          sp3(2,2,1) = x120*(-x206*x413 + x271*x325 - x413*x99 - x430 + x431 - &
                       x432)
          sp3(2,2,2) = x120*(x156 + x157 - x16*x337 + x16*x464 + x215 + x358 - &
                       x419*x99 + x428 + x465)
          sp3(2,2,3) = x120*(-x16*x376 + x37*x464 - x423*x99 + x471 - x472 +   &
                       x473)
          sp3(2,3,0) = x120*(x132*x464 + x378 + x379 + x381 - x391 + x392 -    &
                       x460*x55 + x474)
          sp3(2,3,1) = x120*(x273*x325 + x437 + x445 - x451 + x453 - x460*x9 + &
                       x469 + x475)
          sp3(2,3,2) = x120*(-x1*x460 + x273*x338 + x450 + x476)
          sp3(2,3,3) = x120*(x273*x350 - x46*x460 + x466 + x477 - x478 + x479  &
                        + x480)
          sp3(3,0,0) = x120*(x172 - x173 - x174 + x230 + x284*x319 - x286*x301 &
                        - x310 + x311 + x313 + x385)
          sp3(3,0,1) = x120*(x284*x325 - x288*x301 + x343 + x345 + x349 + x352 &
                        + x354 + x389 - x407 + x408)
          sp3(3,0,2) = x120*(x284*x338 + x370 + x372 + x379 + x381 + x393 +    &
                       x394 - x461 + x463 - x481*x59)
          sp3(3,0,3) = x120*(x284*x350 + x399 + x402 - x481*x54)
          sp3(3,1,0) = x120*(x287*x319 - x342 + x344 + x347 + x348 + x352 +    &
                       x354 + x387 + x446 - x481*x65)
          sp3(3,1,1) = x120*(-x288*x324 + x324*x482 - x421 + x422 + x424 + x447&
                        + x484)
          sp3(3,1,2) = x120*(x287*x338 - x337*x38 + x435 + x437 + x442 + x444  &
                        + x452 + x455 - x468 + x470)
          sp3(3,1,3) = x120*(x287*x350 + x459 + x467 - x481*x8)
          sp3(3,2,0) = x120*(x135*x486 - x371 + x374 + x380 + x394 + x395 -    &
                       x410*x485 + x474)
          sp3(3,2,1) = x120*(x364*x482 - x413*x485 - x436 + x437 + x439 + x443 &
                        + x452 + x454 + x469 + x475)
          sp3(3,2,2) = x120*(x16*x486 - x337*x37 - x471 + x472 - x473 + x476 + &
                       x484)
          sp3(3,2,3) = x120*(x37*x486 - x423*x485 + x429 + x480)
          sp3(3,3,0) = x120*(-x100*x410 + x132*x486 - x396 + x397 + x398 - x481&
                       *x55)
          sp3(3,3,1) = x120*(-x100*x413 - x288*x390 + x390*x482 - x456 + x457  &
                        + x458)
          sp3(3,3,2) = x120*(-x1*x481 - x100*x419 + x291*x338 - x477 + x478 -  &
                       x479)
          sp3(3,3,3) = x120*(-x100*x423 + x173 + x174 + x291*x350 + x384 + x448&
                        + x449 - x46*x481 + x483)
          sp4(0,0,0,0) = x113*x487
          sp4(0,0,0,1) = x120*(-x205 + x303)
          sp4(0,0,0,2) = x120*(-x222 + x309)
          sp4(0,0,0,3) = x120*(-x237 + x314)
          sp4(0,0,1,0) = x120*(-x240 + x300 + x400)
          sp4(0,0,1,1) = x110*x487
          sp4(0,0,1,2) = x120*(-x254 + x406 + x488)
          sp4(0,0,1,3) = x120*(-x265 + x409 + x490)
          sp4(0,0,2,0) = x120*(-x268 + x491 + x492)
          sp4(0,0,2,1) = x120*(-x270 + x493 + x494)
          sp4(0,0,2,2) = x111*x487
          sp4(0,0,2,3) = x120*(-x283 + x495 + x496)
          sp4(0,0,3,0) = x120*(-x286 + x346 + x497)
          sp4(0,0,3,1) = x120*(-x288 + x482 + x489)
          sp4(0,0,3,2) = x120*(-x290 + x498 + x499)
          sp4(0,0,3,3) = x112*x487
          sp4(0,1,0,0) = x501
          sp4(0,1,0,1) = 0
          sp4(0,1,0,2) = x503
          sp4(0,1,0,3) = x504
          sp4(0,1,1,0) = 0
          sp4(0,1,1,1) = x500
          sp4(0,1,1,2) = 0
          sp4(0,1,1,3) = 0
          sp4(0,1,2,0) = x120*(x505 + x507)
          sp4(0,1,2,1) = x509
          sp4(0,1,2,2) = x512
          sp4(0,1,2,3) = x514
          sp4(0,1,3,0) = x120*(x516 + x517)
          sp4(0,1,3,1) = x520
          sp4(0,1,3,2) = x522
          sp4(0,1,3,3) = x120*x525
          sp4(0,2,0,0) = x526
          sp4(0,2,0,1) = x502
          sp4(0,2,0,2) = 0
          sp4(0,2,0,3) = x528
          sp4(0,2,1,0) = x120*(x529 + x530)
          sp4(0,2,1,1) = -x532
          sp4(0,2,1,2) = x534
          sp4(0,2,1,3) = x535
          sp4(0,2,2,0) = 0
          sp4(0,2,2,1) = 0
          sp4(0,2,2,2) = x536
          sp4(0,2,2,3) = 0
          sp4(0,2,3,0) = x120*(x537 + x539)
          sp4(0,2,3,1) = x540
          sp4(0,2,3,2) = x542
          sp4(0,2,3,3) = x120*x544
          sp4(0,3,0,0) = x546
          sp4(0,3,0,1) = x547
          sp4(0,3,0,2) = x527
          sp4(0,3,0,3) = 0
          sp4(0,3,1,0) = x120*(x515 + x549)
          sp4(0,3,1,1) = x551
          sp4(0,3,1,2) = x521
          sp4(0,3,1,3) = x552
          sp4(0,3,2,0) = x120*(x553 + x554)
          sp4(0,3,2,1) = x555
          sp4(0,3,2,2) = x120*x557
          sp4(0,3,2,3) = x559
          sp4(0,3,3,0) = 0
          sp4(0,3,3,1) = 0
          sp4(0,3,3,2) = 0
          sp4(0,3,3,3) = x545
          sp4(1,0,0,0) = x500
          sp4(1,0,0,1) = 0
          sp4(1,0,0,2) = 0
          sp4(1,0,0,3) = 0
          sp4(1,0,1,0) = 0
          sp4(1,0,1,1) = x501
          sp4(1,0,1,2) = x558
          sp4(1,0,1,3) = x560
          sp4(1,0,2,0) = x562
          sp4(1,0,2,1) = x120*(x563 + x565)
          sp4(1,0,2,2) = -x512
          sp4(1,0,2,3) = x567
          sp4(1,0,3,0) = x568
          sp4(1,0,3,1) = x120*(x518 + x569)
          sp4(1,0,3,2) = x571
          sp4(1,0,3,3) = x120*x572
          sp4(1,1,0,0) = x574
          sp4(1,1,0,1) = x120*(x300 + x575)
          sp4(1,1,0,2) = x120*(x564 + x576)
          sp4(1,1,0,3) = x120*(x541 + x577)
          sp4(1,1,1,0) = x120*x578
          sp4(1,1,1,1) = x579
          sp4(1,1,1,2) = x120*x580
          sp4(1,1,1,3) = x120*x581
          sp4(1,1,2,0) = x120*(x543 + x582)
          sp4(1,1,2,1) = x120*(x339 + x583)
          sp4(1,1,2,2) = x584
          sp4(1,1,2,3) = x120*(x537 + x585)
          sp4(1,1,3,0) = x120*(x556 + x586)
          sp4(1,1,3,1) = x120*(x548 + x587)
          sp4(1,1,3,2) = x120*(x553 + x588)
          sp4(1,1,3,3) = x589
          sp4(1,2,0,0) = x591
          sp4(1,2,0,1) = x120*(x508 + x544)
          sp4(1,2,0,2) = x533
          sp4(1,2,0,3) = x592
          sp4(1,2,1,0) = x559
          sp4(1,2,1,1) = -x594
          sp4(1,2,1,2) = 0
          sp4(1,2,1,3) = x596
          sp4(1,2,2,0) = 0
          sp4(1,2,2,1) = 0
          sp4(1,2,2,2) = -x593
          sp4(1,2,2,3) = 0
          sp4(1,2,3,0) = x540
          sp4(1,2,3,1) = x598
          sp4(1,2,3,2) = x504
          sp4(1,2,3,3) = x120*x507
          sp4(1,3,0,0) = -x600
          sp4(1,3,0,1) = x120*(x557 + x601)
          sp4(1,3,0,2) = x603
          sp4(1,3,0,3) = x604
          sp4(1,3,1,0) = x542
          sp4(1,3,1,1) = x606
          sp4(1,3,1,2) = x595
          sp4(1,3,1,3) = 0
          sp4(1,3,2,0) = x555
          sp4(1,3,2,1) = -x598
          sp4(1,3,2,2) = x120*x517
          sp4(1,3,2,3) = x503
          sp4(1,3,3,0) = 0
          sp4(1,3,3,1) = 0
          sp4(1,3,3,2) = 0
          sp4(1,3,3,3) = x605
          sp4(2,0,0,0) = x536
          sp4(2,0,0,1) = 0
          sp4(2,0,0,2) = 0
          sp4(2,0,0,3) = 0
          sp4(2,0,1,0) = x561
          sp4(2,0,1,1) = x532
          sp4(2,0,1,2) = x120*(x510 + x572)
          sp4(2,0,1,3) = x607
          sp4(2,0,2,0) = 0
          sp4(2,0,2,1) = x604
          sp4(2,0,2,2) = x526
          sp4(2,0,2,3) = x519
          sp4(2,0,3,0) = x596
          sp4(2,0,3,1) = x571
          sp4(2,0,3,2) = -x608
          sp4(2,0,3,3) = x120*x565
          sp4(2,1,0,0) = -x591
          sp4(2,1,0,1) = x609
          sp4(2,1,0,2) = x120*(x525 + x610)
          sp4(2,1,0,3) = x611
          sp4(2,1,1,0) = 0
          sp4(2,1,1,1) = x593
          sp4(2,1,1,2) = 0
          sp4(2,1,1,3) = 0
          sp4(2,1,2,0) = x552
          sp4(2,1,2,1) = 0
          sp4(2,1,2,2) = x594
          sp4(2,1,2,3) = x568
          sp4(2,1,3,0) = x522
          sp4(2,1,3,1) = x528
          sp4(2,1,3,2) = -x612
          sp4(2,1,3,3) = x120*x530
          sp4(2,2,0,0) = x574
          sp4(2,2,0,1) = x120*(x523 + x575)
          sp4(2,2,0,2) = x120*(x491 + x576)
          sp4(2,2,0,3) = x120*(x577 + x601)
          sp4(2,2,1,0) = x120*(x524 + x578)
          sp4(2,2,1,1) = x579
          sp4(2,2,1,2) = x120*(x506 + x580)
          sp4(2,2,1,3) = x120*(x516 + x581)
          sp4(2,2,2,0) = x120*x582
          sp4(2,2,2,1) = x120*x583
          sp4(2,2,2,2) = x584
          sp4(2,2,2,3) = x120*x585
          sp4(2,2,3,0) = x120*(x518 + x586)
          sp4(2,2,3,1) = x120*(x515 + x587)
          sp4(2,2,3,2) = x120*(x377 + x588)
          sp4(2,2,3,3) = x589
          sp4(2,3,0,0) = x613
          sp4(2,3,0,1) = x603
          sp4(2,3,0,2) = x608
          sp4(2,3,0,3) = x558
          sp4(2,3,1,0) = x521
          sp4(2,3,1,1) = x120*x539
          sp4(2,3,1,2) = x612
          sp4(2,3,1,3) = x502
          sp4(2,3,2,0) = x520
          sp4(2,3,2,1) = x614
          sp4(2,3,2,2) = -x616
          sp4(2,3,2,3) = 0
          sp4(2,3,3,0) = 0
          sp4(2,3,3,1) = 0
          sp4(2,3,3,2) = 0
          sp4(2,3,3,3) = -x615
          sp4(3,0,0,0) = x545
          sp4(3,0,0,1) = 0
          sp4(3,0,0,2) = 0
          sp4(3,0,0,3) = 0
          sp4(3,0,1,0) = x614
          sp4(3,0,1,1) = -x551
          sp4(3,0,1,2) = x607
          sp4(3,0,1,3) = -x617
          sp4(3,0,2,0) = x595
          sp4(3,0,2,1) = x567
          sp4(3,0,2,2) = x120*x569
          sp4(3,0,2,3) = x618
          sp4(3,0,3,0) = 0
          sp4(3,0,3,1) = x533
          sp4(3,0,3,2) = x609
          sp4(3,0,3,3) = x546
          sp4(3,1,0,0) = x600
          sp4(3,1,0,1) = x519
          sp4(3,1,0,2) = x611
          sp4(3,1,0,3) = x617
          sp4(3,1,1,0) = 0
          sp4(3,1,1,1) = -x605
          sp4(3,1,1,2) = 0
          sp4(3,1,1,3) = 0
          sp4(3,1,2,0) = x514
          sp4(3,1,2,1) = x527
          sp4(3,1,2,2) = x120*x549
          sp4(3,1,2,3) = x619
          sp4(3,1,3,0) = x534
          sp4(3,1,3,1) = 0
          sp4(3,1,3,2) = x562
          sp4(3,1,3,3) = -x606
          sp4(3,2,0,0) = -x613
          sp4(3,2,0,1) = x592
          sp4(3,2,0,2) = x560
          sp4(3,2,0,3) = -x618
          sp4(3,2,1,0) = x535
          sp4(3,2,1,1) = x120*x554
          sp4(3,2,1,2) = x547
          sp4(3,2,1,3) = -x619
          sp4(3,2,2,0) = 0
          sp4(3,2,2,1) = 0
          sp4(3,2,2,2) = x615
          sp4(3,2,2,3) = 0
          sp4(3,2,3,0) = x509
          sp4(3,2,3,1) = x561
          sp4(3,2,3,2) = 0
          sp4(3,2,3,3) = x616
          sp4(3,3,0,0) = x574
          sp4(3,3,0,1) = x120*(x575 + x610)
          sp4(3,3,0,2) = x120*(x508 + x576)
          sp4(3,3,0,3) = x120*(x346 + x577)
          sp4(3,3,1,0) = x120*(x510 + x578)
          sp4(3,3,1,1) = x579
          sp4(3,3,1,2) = x120*(x505 + x580)
          sp4(3,3,1,3) = x120*(x351 + x581)
          sp4(3,3,2,0) = x120*(x563 + x582)
          sp4(3,3,2,1) = x120*(x529 + x583)
          sp4(3,3,2,2) = x584
          sp4(3,3,2,3) = x120*(x538 + x585)
          sp4(3,3,3,0) = x120*x586
          sp4(3,3,3,1) = x120*x587
          sp4(3,3,3,2) = x120*x588
          sp4(3,3,3,3) = x589
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(:,mu)
            if(rankInc .lt. 2) cycle
            do nu = 0, 3
              riOut = incRI(nu, incRI(mu, j))
              wp(:,riOut) = wp(:,riOut) + sp3(:,mu,nu)
              if(rankInc .lt. 3) cycle
              do ro = 0, 3
                riOut = incRI(ro, incRI(nu, incRI(mu, j)))
                wp(:,riOut) = wp(:,riOut) + sp4(mu,nu,:,ro)
              end do 
            end do 
          end do 
        end do 
      case(SVV3)
!       P(2,1)*P(3,2)*c0
!       P(2,3)*P(3,1)*c1
!       -Metric(2,3)*P(-1,1)*P(-1,2)*c2
!       -Metric(2,3)*P(-1,1)*P(-1,3)*c3
!       -Epsilon(-1,-2,2,3)*P(-1,1)*P(-2,2)*c4
!       -Epsilon(-1,-2,2,3)*P(-1,1)*P(-2,3)*c5
        x0 = P2(2)*w2(3)
        x1 = P2(3)*w2(2)
        x2 = x0 - x1
        x3 = P2(1)*w2(2)
        x4 = P2(2)*w2(1)
        x5 = x3 - x4
        x6 = P2(1)*w2(3)
        x7 = P2(3)*w2(1)
        x8 = x6 - x7
        x9 = P1(1)*x2 - P1(2)*x8 + P1(3)*x5
        x10 = P1(2)*w2(3)
        x11 = P1(3)*w2(2)
        x12 = x10 - x11
        x13 = P1(1)*w2(2)
        x14 = P1(2)*w2(1)
        x15 = x13 - x14
        x16 = P1(1)*w2(3)
        x17 = P1(3)*w2(1)
        x18 = x16 - x17
        x19 = P1(1)*w2(1)
        x20 = P1(2)*w2(2)
        x21 = P1(3)*w2(3)
        x22 = P1(0)*w2(0)
        x23 = x19 + x20 + x21 - x22
        x24 = co(0)*x23
        x25 = co(3)*(-P1(0)**2 + P1(1)**2 + P1(2)**2 + P1(3)**2)
        x26 = -P1(0)*P2(0) + P1(1)*P2(1) + P1(2)*P2(2) + P1(3)*P2(3)
        x27 = co(3)*x26
        x28 = co(1)*x23
        x29 = P2(1)*w2(1)
        x30 = P2(2)*w2(2)
        x31 = P2(3)*w2(3)
        x32 = P2(0)*w2(0)
        x33 = co(1)*(x29 + x30 + x31 - x32)
        x34 = co(2)*x26
        x36 = P2(0)*w2(2)
        x37 = P2(2)*w2(0)
        x38 = x36 - x37
        x39 = P2(0)*w2(3)
        x40 = P2(3)*w2(0)
        x41 = x39 - x40
        x42 = P1(0)*x2 - P1(2)*x41 + P1(3)*x38
        x43 = P1(0)*w2(2)
        x44 = P1(2)*w2(0)
        x45 = x43 - x44
        x46 = P1(0)*w2(3)
        x47 = P1(3)*w2(0)
        x48 = x46 - x47
        x49 = P1(0)*w2(1)
        x50 = P1(1)*w2(0)
        x51 = x49 - x50
        x52 = P2(0)*w2(1)
        x53 = P2(1)*w2(0)
        x54 = x52 - x53
        x55 = P1(0)*x8 - P1(1)*x41 + P1(3)*x54
        x56 = P1(0)*x5 - P1(1)*x38 + P1(2)*x54
        x57 = 2*co(3)
        x58 = co(5)*x2
        x59 = co(4)*x2
        x60 = co(4)*x8
        x61 = co(5)*x8
        x62 = co(5)*x5
        x63 = co(4)*x5
        x64 = x28 + x33
        x65 = co(4)*x41
        x66 = co(5)*x41
        x67 = co(5)*x38
        x68 = co(4)*x38
        x69 = co(4)*x54
        x70 = co(5)*x54
        x87 = -co(1) + co(3)
        do j = riMaxIn, 0, -1
          x35 = cima*wl(0,j)
          x71 = cima*w2(0)*wl(0,j)
          x72 = cima*w2(1)*wl(0,j)
          x73 = co(3)*x72
          x74 = -co(1)*x71
          x75 = cima*w2(3)*wl(0,j)
          x76 = co(5)*x75
          x77 = cima*w2(2)*wl(0,j)
          x78 = co(5)*x77
          x79 = -x78
          x80 = co(3)*x77
          x81 = -x76
          x82 = co(5)*x72
          x83 = co(3)*x75
          x84 = -x82
          x85 = co(1)*x72
          x86 = co(3)*x71
          x88 = -x85
          x89 = co(5)*x71
          x90 = -x89
          x91 = co(1)*x77
          x92 = -x91
          x93 = co(1)*x75
          x94 = -x93
          wp(0,j) = x35*(-P1(0)*x28 - P1(0)*x33 + P2(0)*x24 + co(4)*x9 - co(5)*&
                    x9 - co(5)*(P1(1)*x12 - P1(2)*x18 + P1(3)*x15) + w2(0)*x25 &
                     + w2(0)*x27 - w2(0)*x34)
          wp(1,j) = x35*(-P1(1)*x28 - P1(1)*x33 + P2(1)*x24 + co(4)*x42 - co(5 &
                    )*x42 - co(5)*(P1(0)*x12 - P1(2)*x48 + P1(3)*x45) + w2(1)* &
                    x25 + w2(1)*x27 - w2(1)*x34)
          wp(2,j) = x35*(-P1(2)*x28 - P1(2)*x33 + P2(2)*x24 - co(4)*x55 + co(5 &
                    )*x55 + co(5)*(P1(0)*x18 - P1(1)*x48 + P1(3)*x51) + w2(2)* &
                    x25 + w2(2)*x27 - w2(2)*x34)
          wp(3,j) = x35*(-P1(3)*x28 - P1(3)*x33 + P2(3)*x24 + co(4)*x56 - co(5 &
                    )*x56 - co(5)*(P1(0)*x15 - P1(1)*x45 + P1(2)*x51) + w2(3)* &
                    x25 + w2(3)*x27 - w2(3)*x34)
          if(rankInc .lt. 1) cycle
          sp2(0,0) = x35*(-co(0)*x32 + co(1)*x22 + co(2)*x32 - co(3)*x32 - x22*&
                     x57 - x28 - x33)
          sp2(0,1) = x35*(-co(0)*x52 + co(1)*x49 + co(2)*x53 - co(3)*x53 - x50*&
                     x57 + x58 - x59)
          sp2(0,2) = x35*(-co(0)*x36 + co(1)*x43 + co(2)*x37 - co(3)*x37 - x44*&
                     x57 + x60 - x61)
          sp2(0,3) = x35*(-co(0)*x39 + co(1)*x46 + co(2)*x40 - co(3)*x40 - x47*&
                     x57 + x62 - x63)
          sp2(1,0) = x35*(-co(0)*x53 + co(1)*x50 + co(2)*x52 - co(3)*x52 - x49*&
                     x57 - x58 + x59)
          sp2(1,1) = x35*(-co(0)*x29 + co(1)*x19 + co(2)*x29 - co(3)*x29 - x19*&
                     x57 + x64)
          sp2(1,2) = x35*(-co(0)*x3 + co(1)*x13 + co(2)*x4 - co(3)*x4 - x14*x57&
                      + x65 - x66)
          sp2(1,3) = x35*(-co(0)*x6 + co(1)*x16 + co(2)*x7 - co(3)*x7 - x17*x57&
                      + x67 - x68)
          sp2(2,0) = x35*(-co(0)*x37 + co(1)*x44 + co(2)*x36 - co(3)*x36 - x43*&
                     x57 - x60 + x61)
          sp2(2,1) = x35*(-co(0)*x4 + co(1)*x14 + co(2)*x3 - co(3)*x3 - x13*x57&
                      - x65 + x66)
          sp2(2,2) = x35*(-co(0)*x30 + co(1)*x20 + co(2)*x30 - co(3)*x30 - x20*&
                     x57 + x64)
          sp2(2,3) = x35*(-co(0)*x0 + co(1)*x10 + co(2)*x1 - co(3)*x1 - x11*x57&
                      + x69 - x70)
          sp2(3,0) = x35*(-co(0)*x40 + co(1)*x47 + co(2)*x39 - co(3)*x39 - x46*&
                     x57 - x62 + x63)
          sp2(3,1) = x35*(-co(0)*x7 + co(1)*x17 + co(2)*x6 - co(3)*x6 - x16*x57&
                      - x67 + x68)
          sp2(3,2) = x35*(-co(0)*x1 + co(1)*x11 + co(2)*x0 - co(3)*x0 - x10*x57&
                      - x69 + x70)
          sp2(3,3) = x35*(-co(0)*x31 + co(1)*x21 + co(2)*x31 - co(3)*x31 - x21*&
                     x57 + x64)
          sp3(0,0,0) = x71*(co(1) - co(3))
          sp3(0,0,1) = 0
          sp3(0,0,2) = 0
          sp3(0,0,3) = 0
          sp3(0,1,0) = -x73
          sp3(0,1,1) = x74
          sp3(0,1,2) = x76
          sp3(0,1,3) = x79
          sp3(0,2,0) = -x80
          sp3(0,2,1) = x81
          sp3(0,2,2) = x74
          sp3(0,2,3) = x82
          sp3(0,3,0) = -x83
          sp3(0,3,1) = x78
          sp3(0,3,2) = x84
          sp3(0,3,3) = x74
          sp3(1,0,0) = x85
          sp3(1,0,1) = x86
          sp3(1,0,2) = x81
          sp3(1,0,3) = x78
          sp3(1,1,0) = 0
          sp3(1,1,1) = x72*x87
          sp3(1,1,2) = 0
          sp3(1,1,3) = 0
          sp3(1,2,0) = x76
          sp3(1,2,1) = x80
          sp3(1,2,2) = x88
          sp3(1,2,3) = x89
          sp3(1,3,0) = x79
          sp3(1,3,1) = x83
          sp3(1,3,2) = x90
          sp3(1,3,3) = x88
          sp3(2,0,0) = x91
          sp3(2,0,1) = x76
          sp3(2,0,2) = x86
          sp3(2,0,3) = x84
          sp3(2,1,0) = x81
          sp3(2,1,1) = x92
          sp3(2,1,2) = x73
          sp3(2,1,3) = x90
          sp3(2,2,0) = 0
          sp3(2,2,1) = 0
          sp3(2,2,2) = x77*x87
          sp3(2,2,3) = 0
          sp3(2,3,0) = x82
          sp3(2,3,1) = x89
          sp3(2,3,2) = x83
          sp3(2,3,3) = x92
          sp3(3,0,0) = x93
          sp3(3,0,1) = x79
          sp3(3,0,2) = x82
          sp3(3,0,3) = x86
          sp3(3,1,0) = x78
          sp3(3,1,1) = x94
          sp3(3,1,2) = x89
          sp3(3,1,3) = x73
          sp3(3,2,0) = x84
          sp3(3,2,1) = x90
          sp3(3,2,2) = x94
          sp3(3,2,3) = x80
          sp3(3,3,0) = 0
          sp3(3,3,1) = 0
          sp3(3,3,2) = 0
          sp3(3,3,3) = x75*x87
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(:,mu)
            if(rankInc .lt. 2) cycle
            do nu = 0, 3
              riOut = incRI(nu, incRI(mu, j))
              wp(:,riOut) = wp(:,riOut) + sp3(mu,:,nu)
            end do 
          end do 
        end do 
      case(SVV4)
!       c0*(-P(-1,1)*P(-1,2)*P(2,3)*P(3,1) - P(-1,1)*P(-1,3)*P(2,1)*P(3,2) + P(-1
!       ,2)*P(-1,3)*P(2,1)*P(3,1))
!       Metric(2,3)*P(-1,1)**2*P(-1,2)*P(-1,3)*c1
        x0 = -P2(0)**2 + P2(1)**2 + P2(2)**2 + P2(3)**2
        x1 = -P1(0)*w2(0) + P1(1)*w2(1) + P1(2)*w2(2) + P1(3)*w2(3)
        x2 = co(0)*x0*x1
        x3 = P1(0)**2
        x4 = P1(1)**2
        x5 = P1(2)**2
        x6 = P1(3)**2
        x7 = x3 - x4 - x5 - x6
        x0vec = P2(:)*co(0)*x1
        x8 = P1(0)*P2(0)
        x9 = P1(1)*P2(1)
        x10 = P1(2)*P2(2)
        x11 = P1(3)*P2(3)
        x12 = x10 + x11 - x8 + x9
        x13 = -P2(0)*w2(0) + P2(1)*w2(1) + P2(2)*w2(2) + P2(3)*w2(3)
        x14 = co(0)*x12*x13
        x1vec = co(1)*w2(:)*x7
        x2vec = co(1)*w2(:)
        do j = riMaxIn, 0, -1
          x15 = cima*wl(0,j)
          wp(:,j) = x15*(-P1(:)*x14 + P1(:)*x2 - x0*x1vec + x0vec*x7 + x0vec*(-&
                    x10 - x11 + x8 - x9) - x12*x1vec)
          if(rankInc .lt. 1) cycle
          do mu = 0, 3
            x16 = P2(mu)*co(0)*x13
            x3vec = P2(:)*co(0)*w2(mu)
            x17 = co(0)*w2(mu)*x0
            x4vec = 2*P1(mu)*co(1)*w2(:)
            x18 = 2*P1(mu)
            x5vec = P2(:)*co(0)*w2(nu)
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + x15*(P1(:)*x16 - P1(:)*x17 + P1(mu)*   &
                          x2vec + P2(mu)*x0vec - gg(:,mu)*x14 + gg(:,mu)*x2 -  &
                          x0*x4vec + x0vec*x18 + x12*x3vec - x12*x4vec + x3vec &
                          *(-x3 + x4 + x5 + x6))
            if(rankInc .lt. 2) cycle
            do nu = 0, 3
              x6vec = co(1)*gg(nu,mu)*w2(:)
              riOut = incRI(nu, incRI(mu, j))
              wp(:,riOut) = wp(:,riOut) + x15*(-P2(mu)*x5vec + P2(nu)*x4vec +  &
                            gg(:,nu)*x16 - gg(:,nu)*x17 + gg(nu,mu)*x0vec - x0*&
                            x6vec - x12*x6vec - x18*x5vec)
              if(rankInc .lt. 3) cycle
              do ro = 0, 3
                riOut = incRI(ro, incRI(nu, incRI(mu, j)))
                wp(:,riOut) = wp(:,riOut) + gg(nu,mu)*x15*(-P2(:)*co(0)*w2(ro  &
                              ) + P2(ro)*x2vec)
              end do 
            end do 
          end do 
        end do 
      case(SVV5)
!       P(2,1)*P(3,2)*c0
!       Metric(2,3)*P(-1,1)*P(-1,2)*c1
!       Epsilon(-1,-2,2,3)*P(-1,1)*P(-2,2)*c2
        x0 = P2(2)*w2(3)
        x1 = P2(3)*w2(2)
        x2 = x0 - x1
        x3 = P2(1)*w2(2)
        x4 = P2(2)*w2(1)
        x5 = x3 - x4
        x6 = P2(1)*w2(3)
        x7 = P2(3)*w2(1)
        x8 = x6 - x7
        x9 = co(0)*(-P1(0)*w2(0) + P1(1)*w2(1) + P1(2)*w2(2) + P1(3)*w2(3))
        x10 = co(1)*(-P1(0)*P2(0) + P1(1)*P2(1) + P1(2)*P2(2) + P1(3)*P2(3))
        x12 = P2(0)*w2(2)
        x13 = P2(2)*w2(0)
        x14 = x12 - x13
        x15 = P2(0)*w2(3)
        x16 = P2(3)*w2(0)
        x17 = x15 - x16
        x18 = P2(0)*w2(1)
        x19 = P2(1)*w2(0)
        x20 = x18 - x19
        x22 = co(2)*x2
        x23 = co(2)*x8
        x24 = co(2)*x5
        x25 = co(2)*x17
        x26 = co(2)*x14
        x27 = co(2)*x20
        do j = riMaxIn, 0, -1
          x11 = cima*wl(0,j)
          x21 = cima*wl(0,j)*(co(0) + co(1))
          wp(0,j) = x11*(P2(0)*x9 - co(2)*(P1(1)*x2 - P1(2)*x8 + P1(3)*x5) + w2&
                    (0)*x10)
          wp(1,j) = x11*(P2(1)*x9 - co(2)*(P1(0)*x2 - P1(2)*x17 + P1(3)*x14) + &
                    w2(1)*x10)
          wp(2,j) = x11*(P2(2)*x9 + co(2)*(P1(0)*x8 - P1(1)*x17 + P1(3)*x20) + &
                    w2(2)*x10)
          wp(3,j) = x11*(P2(3)*x9 - co(2)*(P1(0)*x5 - P1(1)*x14 + P1(2)*x20) + &
                    w2(3)*x10)
          if(rankInc .lt. 1) cycle
          sp2(0,0) = -P2(0)*w2(0)*x21
          sp2(0,1) = x11*(-co(0)*x18 - co(1)*x19 + x22)
          sp2(0,2) = -x11*(co(0)*x12 + co(1)*x13 + x23)
          sp2(0,3) = x11*(-co(0)*x15 - co(1)*x16 + x24)
          sp2(1,0) = -x11*(co(0)*x19 + co(1)*x18 + x22)
          sp2(1,1) = -P2(1)*w2(1)*x21
          sp2(1,2) = -x11*(co(0)*x3 + co(1)*x4 + x25)
          sp2(1,3) = x11*(-co(0)*x6 - co(1)*x7 + x26)
          sp2(2,0) = x11*(-co(0)*x13 - co(1)*x12 + x23)
          sp2(2,1) = x11*(-co(0)*x4 - co(1)*x3 + x25)
          sp2(2,2) = -P2(2)*w2(2)*x21
          sp2(2,3) = -x11*(co(0)*x0 + co(1)*x1 + x27)
          sp2(3,0) = -x11*(co(0)*x16 + co(1)*x15 + x24)
          sp2(3,1) = -x11*(co(0)*x7 + co(1)*x6 + x26)
          sp2(3,2) = x11*(-co(0)*x1 - co(1)*x0 + x27)
          sp2(3,3) = -P2(3)*w2(3)*x21
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(:,mu)
          end do 
        end do 
      end select 
    end subroutine loopSVV
end module lcSVV
