!******************************************************************************!
!                                                                              !
!    lcVSV.f90                                                                 !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   lcVSV.f90                                      |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, J.N. Lang                   |            !
!        | `---' | UFO date: No date                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-16 19:50             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module lcVSV
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16, x17, x18, x19, x20, x21, x22, x23, x24, x25,  &
                  x26, x27, x28, x29, x30, x31, x32, x33, x34, x35, x36, x37,  &
                  x38, x39, x40, x41, x42, x43, x44, x45, x46, x47, x48, x49,  &
                  x50, x51, x52, x53, x54, x55, x56, x57, x58, x59, x60, x61,  &
                  x62, x63, x64, x65, x66, x67, x68, x69, x70, x71, x72, x73,  &
                  x74, x75, x76, x77, x78, x79, x80, x81, x82, x83, x84, x85,  &
                  x86, x87, x88, x89, x90, x91, x92, x93, x94, x95, x96, x97,  &
                  x98, x99, x100, x101, x102, x103, x104, x105, x106, x107,    &
                  x108, x109, x110, x111, x112, x113, x114, x115, x116, x117,  &
                  x118, x119, x120, x121, x122, x123, x124, x125, x126, x127,  &
                  x128, x129, x130, x131, x132, x133, x134, x135, x136, x137,  &
                  x138, x139, x140, x141, x142, x143, x144, x145, x146, x147,  &
                  x148, x149, x150, x151, x152, x153, x154, x155, x156, x157,  &
                  x158, x159, x160, x161, x162, x163, x164, x165, x166, x167,  &
                  x168, x169, x170, x171, x172, x173, x174, x175, x176, x177,  &
                  x178, x179, x180, x181, x182, x183, x184, x185, x186, x187,  &
                  x188, x189, x190, x191, x192, x193, x194, x195, x196, x197,  &
                  x198, x199, x200, x201, x202, x203, x204, x205, x206, x207,  &
                  x208, x209, x210, x211, x212, x213, x214, x215, x216, x217,  &
                  x218, x219, x220, x221, x222, x223, x224, x225, x226, x227,  &
                  x228, x229, x230, x231, x232, x233, x234, x235, x236, x237,  &
                  x238, x239, x240, x241, x242, x243, x244, x245, x246, x247,  &
                  x248, x249, x250, x251, x252, x253, x254, x255, x256, x257,  &
                  x258, x259, x260, x261, x262, x263, x264, x265, x266, x267,  &
                  x268, x269, x270, x271, x272, x273, x274, x275, x276, x277,  &
                  x278, x279, x280, x281, x282, x283, x284, x285, x286, x287,  &
                  x288, x289, x290, x291, x292, x293, x294, x295, x296, x297,  &
                  x298, x299, x300, x301, x302, x303, x304, x305, x306, x307,  &
                  x308, x309, x310, x311, x312, x313, x314, x315, x316, x317,  &
                  x318, x319, x320, x321, x322, x323, x324, x325, x326, x327,  &
                  x328, x329, x330, x331, x332, x333, x334, x335, x336, x337,  &
                  x338, x339, x340, x341, x342, x343, x344, x345, x346, x347,  &
                  x348, x349, x350, x351, x352, x353, x354, x355, x356, x357,  &
                  x358, x359, x360, x361, x362, x363, x364, x365, x366, x367,  &
                  x368, x369, x370, x371, x372, x373, x374, x375, x376, x377,  &
                  x378, x379, x380, x381, x382, x383, x384, x385, x386, x387,  &
                  x388, x389, x390, x391, x392, x393, x394, x395, x396, x397,  &
                  x398, x399, x400, x401, x402, x403, x404, x405, x406, x407,  &
                  x408, x409, x410, x411, x412, x413, x414, x415, x416, x417,  &
                  x418, x419, x420, x421, x422, x423, x424, x425, x426, x427,  &
                  x428, x429, x430, x431, x432, x433, x434, x435, x436, x437,  &
                  x438, x439, x440, x441, x442, x443, x444, x445, x446, x447,  &
                  x448, x449, x450, x451, x452, x453, x454, x455, x456, x457,  &
                  x458, x459, x460, x461, x462, x463, x464, x465, x466, x467,  &
                  x468, x469, x470, x471, x472, x473, x474, x475, x476, x477,  &
                  x478, x479, x480, x481, x482, x483, x484, x485, x486, x487,  &
                  x488, x489, x490, x491, x492, x493, x494, x495, x496, x497,  &
                  x498, x499, x500, x501, x502, x503, x504, x505, x506, x507,  &
                  x508, x509, x510, x511, x512, x513, x514, x515, x516, x517,  &
                  x518, x519, x520, x521, x522, x523, x524, x525, x526, x527,  &
                  x528, x529, x530, x531, x532, x533, x534, x535, x536, x537,  &
                  x538, x539, x540, x541, x542, x543, x544, x545, x546, x547,  &
                  x548, x549, x550, x551, x552, x553, x554, x555, x556, x557,  &
                  x558, x559, x560, x561, x562, x563, x564, x565, x566, x567,  &
                  x568, x569, x570, x571, x572, x573, x574, x575, x576, x577,  &
                  x578, x579, x580, x581, x582, x583, x584, x585, x586, x587,  &
                  x588, x589, x590, x591, x592, x593, x594, x595, x596, x597,  &
                  x598, x599, x600, x601, x602, x603, x604, x605, x606, x607,  &
                  x608, x609, x610, x611, x612, x613, x614, x615, x616, x617,  &
                  x618, x619, x620, x621, x622, x623, x624, x625, x626, x627,  &
                  x628, x629, x630, x631, x632, x633, x634, x635, x636, x637,  &
                  x638, x639, x640, x641, x642, x643, x644, x645, x646, x647,  &
                  x648, x649, x650, x651, x652, x653, x654, x655, x656, x657,  &
                  x658, x659, x660, x661, x662, x663, x664, x665, x666, x667,  &
                  x668, x669, x670, x671, x672, x673, x674, x675, x676, x677,  &
                  x678, x679, x680, x681, x682, x683, x684, x685, x686, x687,  &
                  x688, x689, x690, x691, x692, x693, x694, x695, x696, x697,  &
                  x698, x699, x700, x701, x702, x703, x704, x705, x706, x707,  &
                  x708, x709, x710, x711, x712, x713, x714, x715, x716, x717,  &
                  x718, x719, x720, x721, x722, x723, x724, x725, x726, x727,  &
                  x728, x729, x730, x731, x732, x733, x734, x735, x736, x737,  &
                  x738, x739, x740, x741, x742, x743, x744, x745, x746, x747,  &
                  x748, x749, x750, x751, x752, x753, x754, x755, x756, x757,  &
                  x758, x759, x760, x761, x762, x763, x764, x765, x766, x767,  &
                  x768, x769, x770, x771, x772, x773, x774, x775, x776, x777,  &
                  x778, x779, x780, x781, x782, x783, x784, x785, x786, x787,  &
                  x788, x789, x790, x791, x792, x793, x794, x795, x796, x797,  &
                  x798, x799, x800, x801, x802, x803, x804, x805, x806, x807,  &
                  x808, x809, x810, x811, x812, x813, x814, x815, x816, x817,  &
                  x818, x819, x820, x821, x822, x823, x824, x825, x826, x827,  &
                  x828, x829, x830, x831, x832, x833, x834, x835, x836, x837,  &
                  x838, x839, x840, x841, x842, x843, x844, x845, x846, x847,  &
                  x848, x849, x850, x851, x852, x853, x854, x855, x856, x857,  &
                  x858, x859, x860, x861, x862, x863, x864, x865, x866, x867,  &
                  x868, x869, x870, x871, x872, x873, x874, x875, x876, x877,  &
                  x878, x879, x880, x881, x882, x883, x884, x885, x886, x887,  &
                  x888, x889, x890, x891, x892, x893, x894, x895, x896, x897,  &
                  x898, x899, x900, x901, x902, x903, x904, x905, x906, x907,  &
                  x908, x909, x910, x911, x912, x913, x914, x915, x916, x917,  &
                  x918, x919, x920, x921, x922, x923, x924, x925, x926, x927,  &
                  x928, x929, x930, x931, x932, x933, x934, x935, x936, x937,  &
                  x938, x939, x940, x941, x942, x943, x944, x945, x946, x947,  &
                  x948, x949, x950, x951, x952, x953, x954, x955, x956, x957,  &
                  x958, x959, x960, x961, x962, x963, x964, x965, x966, x967,  &
                  x968, x969, x970, x971, x972, x973, x974, x975, x976, x977,  &
                  x978, x979, x980, x981, x982, x983, x984, x985, x986, x987,  &
                  x988, x989, x990, x991, x992, x993, x994, x995, x996, x997,  &
                  x998, x999, x1000, x1001, x1002, x1003, x1004, x1005, x1006, &
                  x1007, x1008, x1009, x1010, x1011, x1012, x1013, x1014, x1015&
                  , x1016, x1017, x1018, x1019, x1020, x1021, x1022, x1023,    &
                  x1024, x1025, x1026, x1027, x1028, x1029, x1030, x1031, x1032&
                  , x1033, x1034, x1035, x1036, x1037, x1038, x1039, x1040,    &
                  x1041, x1042, x1043, x1044, x1045, x1046, x1047, x1048, x1049&
                  , x1050, x1051, x1052, x1053, x1054, x1055, x1056, x1057,    &
                  x1058, x1059, x1060, x1061, x1062, x1063, x1064, x1065, x1066&
                  , x1067, x1068, x1069, x1070, x1071, x1072, x1073, x1074,    &
                  x1075, x1076, x1077, x1078, x1079, x1080, x1081, x1082, x1083&
                  , x1084, x1085, x1086, x1087, x1088, x1089, x1090, x1091,    &
                  x1092, x1093, x1094, x1095, x1096, x1097, x1098, x1099, x1100&
                  , x1101, x1102, x1103, x1104, x1105, x1106, x1107, x1108,    &
                  x1109, x1110, x1111, x1112, x1113, x1114, x1115, x1116, x1117&
                  , x1118, x1119, x1120, x1121, x1122, x1123, x1124, x1125,    &
                  x1126, x1127, x1128, x1129, x1130, x1131, x1132, x1133, x1134&
                  , x1135, x1136, x1137, x1138, x1139, x1140, x1141, x1142,    &
                  x1143, x1144, x1145, x1146, x1147, x1148, x1149, x1150, x1151&
                  , x1152, x1153, x1154, x1155, x1156, x1157, x1158, x1159,    &
                  x1160, x1161, x1162, x1163, x1164, x1165, x1166, x1167, x1168&
                  , x1169, x1170, x1171, x1172, x1173, x1174, x1175, x1176,    &
                  x1177, x1178, x1179, x1180, x1181, x1182, x1183, x1184, x1185&
                  , x1186, x1187, x1188, x1189, x1190, x1191, x1192, x1193,    &
                  x1194, x1195, x1196, x1197, x1198, x1199, x1200, x1201, x1202&
                  , x1203, x1204, x1205, x1206, x1207, x1208, x1209, x1210,    &
                  x1211, x1212, x1213, x1214, x1215, x1216, x1217, x1218, x1219&
                  , x1220, x1221, x1222, x1223, x1224, x1225, x1226, x1227,    &
                  x1228, x1229, x1230, x1231, x1232, x1233, x1234, x1235, x1236&
                  , x1237, x1238, x1239, x1240, x1241, x1242, x1243, x1244,    &
                  x1245, x1246, x1247, x1248, x1249, x1250, x1251, x1252, x1253&
                  , x1254, x1255, x1256, x1257, x1258, x1259, x1260, x1261,    &
                  x1262, x1263, x1264, x1265, x1266, x1267, x1268, x1269, x1270&
                  , x1271, x1272, x1273, x1274, x1275, x1276, x1277, x1278,    &
                  x1279, x1280, x1281, x1282, x1283, x1284, x1285, x1286, x1287&
                  , x1288, x1289, x1290, x1291, x1292, x1293, x1294, x1295,    &
                  x1296, x1297, x1298, x1299, x1300, x1301, x1302, x1303, x1304&
                  , x1305, x1306, x1307, x1308, x1309, x1310, x1311, x1312,    &
                  x1313, x1314, x1315, x1316, x1317, x1318, x1319, x1320, x1321&
                  , x1322, x1323, x1324, x1325, x1326, x1327, x1328, x1329,    &
                  x1330, x1331, x1332, x1333, x1334, x1335, x1336, x1337, x1338&
                  , x1339, x1340, x1341, x1342, x1343, x1344, x1345, x1346,    &
                  x1347, x1348, x1349, x1350, x1351, x1352, x1353, x1354, x1355&
                  , x1356, x1357, x1358, x1359, x1360, x1361, x1362
  complex (dp), dimension(0:3) :: x0vec, x1vec, x2vec, x3vec, x4vec, x5vec,    &
                                  x6vec, x7vec, x8vec, x9vec, x10vec, x11vec,  &
                                  x12vec
  contains
    subroutine loopVSV(ty, co, wl, P1, PL1, w2, P2, PL2, m, wp, riMaxIn,       &
    riMaxOut, rankInc)
      use class_vertices
      integer, intent(in) :: riMaxIn, riMaxOut, rankInc
      complex (kind = dp), intent(in), dimension(0:3) :: P1, PL1
      complex (kind = dp), intent(in), dimension(0:3, 0:riMaxIn) :: wl
      complex (kind = dp), intent(in), dimension(0:3) :: P2, PL2
      complex (kind = dp), intent(in), dimension(0:3) :: w2
      complex (dp), intent(out), dimension(0:3,0:riMaxOut) :: wp
      complex (kind = dp), intent(in) :: m
      complex (kind = dp), dimension(0:3) :: pl, p
      integer, intent(in) :: ty
      complex (kind = dp), dimension(0:), intent(in) :: co
      complex (kind = dp), dimension(0:3) :: sp1
      complex (kind = dp), dimension(0:3,0:3) :: sp2
      complex (kind = dp), dimension(0:3,0:3,0:3) :: sp3
      complex (kind = dp), dimension(0:3,0:3,0:3,0:3) :: sp4
      character(len=3) :: ty_str
      integer :: riOut, j
      logical :: isFirstRI
      integer :: mu, nu, ro, ta, te, tu
      select case(ty)
      case(VSV0)
!       P(1,3)*P(3,2)*c0
!       P(1,2)*P(3,1)*c1
!       Metric(1,3)*P(-1,2)*P(-1,3)*c2
!       Metric(1,3)*P(-1,1)*P(-1,2)*c3
!       Epsilon(-1,-2,1,3)*P(-1,2)*P(-2,3)*c4
!       Epsilon(-1,-2,1,3)*P(-1,1)*P(-2,2)*c5
        x3 = P1(2)*co(5)
        x7 = P2(1)*co(4)
        x14 = P2(3)*co(4)
        x18 = P2(0)**2
        x20 = P1(1)*co(5)
        x21 = P1(3)*co(5)
        x25 = P2(2)*co(4)
        x26 = P2(1)**2
        x27 = P2(2)**2
        x28 = P2(3)**2
        x33 = P2(1)*co(1)
        x35 = P2(2)*co(1)
        x37 = P2(3)*co(1)
        x51 = cima*w2(0)
        x54 = P2(0)*co(4)
        x59 = P1(0)*co(5)
        x62 = P2(0)*co(2)
        x69 = P2(3)*co(3)
        x70 = P2(0)*co(3)
        x72 = P2(0)*co(1)
        x78 = P2(3)*co(2)
        do j = riMaxIn, 0, -1
          x0 = P2(1)*wl(3,j)
          x1 = P2(3)*wl(1,j)
          x2 = x0 - x1
          x4 = P1(2)*wl(3,j)
          x5 = P1(3)*wl(2,j)
          x6 = x4 - x5
          x8 = P2(2)*wl(3,j)
          x9 = P2(3)*wl(2,j)
          x10 = x8 - x9
          x11 = P1(1)*wl(2,j)
          x12 = P1(2)*wl(1,j)
          x13 = x11 - x12
          x15 = P2(1)*wl(2,j)
          x16 = P2(2)*wl(1,j)
          x17 = x15 - x16
          x19 = co(2)*wl(0,j)
          x22 = P1(1)*wl(3,j)
          x23 = P1(3)*wl(1,j)
          x24 = x22 - x23
          x29 = P2(0)*wl(0,j)
          x30 = co(0)*x29
          x31 = co(2)*x29
          x32 = P1(0)*wl(1,j)
          x34 = P1(0)*wl(2,j)
          x36 = P1(0)*wl(3,j)
          x38 = P1(1)*P2(1)*wl(0,j)
          x39 = P2(2)*wl(0,j)
          x40 = co(3)*x39
          x41 = P1(3)*P2(3)*wl(0,j)
          x42 = co(1)*x29
          x43 = co(3)*x29
          x44 = P2(0)*wl(1,j)
          x45 = co(0)*x44
          x46 = P2(0)*wl(2,j)
          x47 = co(0)*x46
          x48 = co(2)*x39
          x49 = P2(0)*wl(3,j)
          x50 = co(0)*x49
          x52 = P2(3)*wl(0,j)
          x53 = x49 - x52
          x55 = P1(2)*wl(0,j)
          x56 = x34 - x55
          x57 = -x39 + x46
          x58 = co(2)*wl(1,j)
          x60 = P1(3)*wl(0,j)
          x61 = x36 - x60
          x63 = P2(1)*wl(0,j)
          x64 = co(0)*x63
          x65 = P2(1)*wl(1,j)
          x66 = co(1)*x65
          x67 = co(3)*x65
          x68 = co(3)*x16
          x71 = P1(1)*wl(0,j)
          x73 = co(0)*x65
          x74 = P2(1)*x58
          x75 = co(0)*x15
          x76 = co(2)*x16
          x77 = co(0)*x0
          x79 = x44 - x63
          x80 = co(2)*wl(2,j)
          x81 = x32 - x71
          x82 = wl(2,j)*x27
          x83 = P1(0)*P2(0)*wl(2,j)
          x84 = co(0)*x39
          x85 = co(3)*x15
          x86 = P2(2)*wl(2,j)
          x87 = co(1)*x86
          x88 = co(3)*x86
          x89 = co(2)*x15
          x90 = co(0)*x16
          x91 = co(0)*x86
          x92 = P2(2)*x80
          x93 = co(0)*x8
          x94 = co(2)*wl(3,j)
          x95 = co(0)*x52
          x96 = P1(1)*P2(1)*wl(3,j)
          x97 = co(3)*x8
          x98 = P2(3)*wl(3,j)
          x99 = co(1)*x98
          x100 = co(3)*x98
          x101 = co(0)*x1
          x102 = co(2)*x8
          x103 = co(0)*x9
          x104 = co(0)*x98
          x105 = P2(3)*x94
          x106 = co(4)*x8
          x107 = co(5)*x8
          x108 = co(4)*x9
          x109 = co(5)*x9
          x110 = co(4)*x1
          x111 = co(5)*x1
          x112 = co(4)*x0
          x113 = co(5)*x0
          x114 = co(4)*x15
          x115 = co(5)*x15
          x116 = co(4)*x16
          x117 = co(5)*x16
          x118 = x42 - x66 - x87 - x99
          x119 = co(4)*x52
          x120 = co(5)*x52
          x121 = co(4)*x49
          x122 = co(5)*x49
          x123 = co(4)*x46
          x124 = co(5)*x46
          x125 = co(4)*x39
          x126 = co(5)*x39
          x127 = co(4)*x63
          x128 = co(5)*x63
          x129 = co(4)*x44
          x130 = co(5)*x44
          wp(0,j) = x51*(P1(0)*x30 + P1(0)*x31 - P1(0)*x42 - P1(0)*x43 - P1(1)*&
                    x45 + P1(2)*x40 - P1(2)*x47 - P1(2)*x48 - P1(3)*x50 - P2(1 &
                    )*x45 - P2(2)*x47 - P2(3)*x50 + co(0)*wl(0,j)*x18 - co(2)* &
                    x38 - co(2)*x41 + co(3)*x38 + co(3)*x41 - x10*x20 + x10*x7 &
                     + x13*x14 + x14*x17 - x17*x21 + x18*x19 - x19*x26 - x19*  &
                    x27 - x19*x28 - x2*x25 + x2*x3 - x24*x25 + x32*x33 + x34*  &
                    x35 + x36*x37 + x6*x7)
          wp(1,j) = x51*(P1(0)*x64 + P1(1)*x66 + P1(1)*x67 - P1(1)*x73 - P1(1)*&
                    x74 + P1(2)*x68 - P1(2)*x75 - P1(2)*x76 - P1(3)*x77 + P2(0 &
                    )*x64 - P2(2)*x75 - P2(3)*x77 - co(0)*wl(1,j)*x26 + x10*x54&
                     - x10*x59 + x11*x35 + x14*x56 + x14*x57 + x18*x58 - x21*  &
                    x57 + x22*x37 + x23*x69 - x23*x78 - x25*x53 - x25*x61 - x26&
                    *x58 - x27*x58 - x28*x58 + x3*x53 + x32*x62 - x32*x70 + x54&
                    *x6 - x71*x72)
          wp(2,j) = x51*(P1(0)*x84 + P1(1)*x85 - P1(1)*x89 - P1(1)*x90 + P1(2)*&
                    x87 + P1(2)*x88 - P1(2)*x91 - P1(2)*x92 - P1(3)*x93 + P2(0 &
                    )*x84 - P2(1)*x90 - P2(3)*x93 - co(0)*x82 - co(2)*x82 + co(&
                    2)*x83 - co(3)*x83 + x12*x33 - x14*x79 - x14*x81 + x18*x80 &
                     - x2*x54 + x2*x59 - x20*x53 + x21*x79 - x24*x54 - x26*x80 &
                     - x28*x80 + x37*x4 + x5*x69 - x5*x78 + x53*x7 - x55*x72 + &
                    x61*x7)
          wp(3,j) = x51*(P1(0)*x95 - P1(1)*x101 - P1(2)*x102 - P1(2)*x103 + P1(&
                    2)*x97 + P1(3)*x100 - P1(3)*x104 - P1(3)*x105 + P1(3)*x99  &
                     + P2(0)*x95 - P2(1)*x101 - P2(2)*x103 - co(0)*wl(3,j)*x28 &
                     - co(2)*x96 + co(3)*x96 + x13*x54 + x17*x54 - x17*x59 +   &
                    x18*x94 + x20*x57 + x23*x33 + x25*x79 + x25*x81 - x26*x94  &
                     - x27*x94 - x28*x94 - x3*x79 + x35*x5 + x36*x62 - x36*x70 &
                     - x56*x7 - x57*x7 - x60*x72)
          if(rankInc .lt. 1) cycle
          sp2(0,0) = x51*(x30 + x31 - x42 - x43 + x66 + x87 + x99)
          sp2(0,1) = x51*(co(2)*x63 - co(3)*x63 + x106 + x107 - x108 - x109 +  &
                     x45)
          sp2(0,2) = x51*(x110 + x111 - x112 - x113 - x40 + x47 + x48)
          sp2(0,3) = x51*(co(2)*x52 - co(3)*x52 + x114 + x115 - x116 - x117 +  &
                     x50)
          sp2(1,0) = x51*(co(2)*x44 - co(3)*x44 - x106 - x107 + x108 + x109 +  &
                     x64)
          sp2(1,1) = x51*(x118 - x67 + x73 + x74)
          sp2(1,2) = x51*(x119 + x120 - x121 - x122 - x68 + x75 + x76)
          sp2(1,3) = x51*(co(2)*x1 - co(3)*x1 + x123 + x124 - x125 - x126 + x77)
          sp2(2,0) = x51*(co(2)*x46 - co(3)*x46 - x110 - x111 + x112 + x113 +  &
                     x84)
          sp2(2,1) = x51*(-x119 - x120 + x121 + x122 - x85 + x89 + x90)
          sp2(2,2) = x51*(x118 - x88 + x91 + x92)
          sp2(2,3) = x51*(co(2)*x9 - co(3)*x9 + x127 + x128 - x129 - x130 + x93)
          sp2(3,0) = x51*(co(2)*x49 - co(3)*x49 - x114 - x115 + x116 + x117 +  &
                     x95)
          sp2(3,1) = x51*(co(2)*x0 - co(3)*x0 + x101 - x123 - x124 + x125 +    &
                     x126)
          sp2(3,2) = x51*(x102 + x103 - x127 - x128 + x129 + x130 - x97)
          sp2(3,3) = x51*(-x100 + x104 + x105 + x118)
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(:,mu)
          end do 
        end do 
      case(VSV1)
!       Metric(1,3)*c0
        do j = riMaxIn, 0, -1
          wp(:,j) = -cima*co(0)*w2(0)*wl(:,j)
        end do 
      case(VSV2)
!       P(1,2)*P(3,1)*c0
!       Metric(1,3)*P(-1,1)*P(-1,2)*c1
!       Epsilon(-1,-2,1,3)*P(-1,1)*P(-2,2)*c2
        x3 = P1(2)*co(2)
        x7 = P1(1)*co(2)
        x26 = cima*w2(0)
        x29 = P1(0)*co(2)
        x32 = P1(3)*co(2)
        do j = riMaxIn, 0, -1
          x0 = P2(1)*wl(3,j)
          x1 = P2(3)*wl(1,j)
          x2 = x0 - x1
          x4 = P2(2)*wl(3,j)
          x5 = P2(3)*wl(2,j)
          x6 = x4 - x5
          x8 = P2(1)*wl(2,j)
          x9 = P2(2)*wl(1,j)
          x10 = co(2)*(x8 - x9)
          x11 = P2(1)*wl(1,j)
          x12 = co(0)*x11
          x13 = P2(2)*wl(2,j)
          x14 = co(0)*x13
          x15 = P2(3)*wl(3,j)
          x16 = co(0)*x15
          x17 = P2(1)*wl(0,j)
          x18 = co(1)*x17
          x19 = P2(2)*wl(0,j)
          x20 = co(1)*x19
          x21 = P2(3)*wl(0,j)
          x22 = co(1)*x21
          x23 = P2(0)*wl(0,j)
          x24 = co(0)*x23
          x25 = co(1)*x23
          x27 = P2(0)*wl(3,j)
          x28 = -x21 + x27
          x30 = P2(0)*wl(2,j)
          x31 = -x19 + x30
          x33 = co(1)*x11
          x34 = co(1)*x9
          x35 = co(1)*x1
          x36 = P2(0)*wl(1,j)
          x37 = co(1)*x36
          x38 = -x17 + x36
          x39 = co(1)*x8
          x40 = co(1)*x13
          x41 = co(1)*x5
          x42 = co(1)*x30
          x43 = co(1)*x0
          x44 = co(1)*x4
          x45 = co(1)*x15
          x46 = co(1)*x27
          x47 = co(2)*x4
          x48 = co(2)*x5
          x49 = co(2)*x1
          x50 = co(2)*x0
          x51 = co(2)*x8
          x52 = co(2)*x9
          x53 = -x12 - x14 - x16 + x24
          x54 = co(2)*x21
          x55 = co(2)*x27
          x56 = co(2)*x30
          x57 = co(2)*x19
          x58 = co(2)*x17
          x59 = co(2)*x36
          wp(0,j) = x26*(P1(0)*x12 + P1(0)*x14 + P1(0)*x16 - P1(0)*x24 - P1(0)*&
                    x25 + P1(1)*x18 + P1(2)*x20 - P1(3)*x10 + P1(3)*x22 + x2*x3&
                     - x6*x7)
          wp(1,j) = x26*(-P1(0)*x37 + P1(1)*x12 + P1(1)*x14 + P1(1)*x16 - P1(1 &
                    )*x24 + P1(1)*x33 + P1(2)*x34 + P1(3)*x35 + x28*x3 - x29*x6&
                     - x31*x32)
          wp(2,j) = x26*(-P1(0)*x42 + P1(1)*x39 + P1(2)*x12 + P1(2)*x14 + P1(2 &
                    )*x16 - P1(2)*x24 + P1(2)*x40 + P1(3)*x41 + x2*x29 - x28*x7&
                     + x32*x38)
          wp(3,j) = x26*(-P1(0)*x10 - P1(0)*x46 + P1(1)*x43 + P1(2)*x44 + P1(3 &
                    )*x12 + P1(3)*x14 + P1(3)*x16 - P1(3)*x24 + P1(3)*x45 - x3*&
                    x38 + x31*x7)
          if(rankInc .lt. 1) cycle
          sp2(0,0) = x26*(x12 + x14 + x16 - x24 - x25)
          sp2(0,1) = x26*(-x18 + x47 - x48)
          sp2(0,2) = x26*(-x20 + x49 - x50)
          sp2(0,3) = x26*(-x22 + x51 - x52)
          sp2(1,0) = x26*(-x37 - x47 + x48)
          sp2(1,1) = x26*(-x33 + x53)
          sp2(1,2) = x26*(-x34 + x54 - x55)
          sp2(1,3) = x26*(-x35 + x56 - x57)
          sp2(2,0) = x26*(-x42 - x49 + x50)
          sp2(2,1) = x26*(-x39 - x54 + x55)
          sp2(2,2) = x26*(-x40 + x53)
          sp2(2,3) = x26*(-x41 + x58 - x59)
          sp2(3,0) = x26*(-x46 - x51 + x52)
          sp2(3,1) = x26*(-x43 - x56 + x57)
          sp2(3,2) = x26*(-x44 - x58 + x59)
          sp2(3,3) = x26*(-x45 + x53)
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(:,mu)
          end do 
        end do 
      case(VSV3)
!       c0*(-P(-1,1)*P(-1,2)*P(1,3)*P(3,2) + P(-1,1)*P(-1,3)*P(1,2)*P(3,2) - P(-1
!       ,2)*P(-1,3)*P(1,2)*P(3,1))
!       Metric(1,3)*P(-1,1)*P(-1,2)**2*P(-1,3)*c1
!       c2*(Epsilon(-1,-2,-3,3)*P(-1,1)*P(-2,2)*P(-3,3)*P(1,2) - Epsilon(-2,-3,1,
!       3)*P(-1,1)*P(-1,2)*P(-2,2)*P(-3,3))
!       c3*(-Epsilon(-1,-2,-3,1)*P(-1,1)*P(-2,2)*P(-3,3)*P(3,2) - Epsilon(-1,-2,1
!       ,3)*P(-1,1)*P(-2,2)*P(-3,2)*P(-3,3))
        x13 = P1(0)*P2(0)*co(2)
        x32 = P2(0)**2
        x42 = P1(2)*P2(3)
        x43 = P1(3)*P2(2)
        x46 = P1(3)*P2(1)
        x47 = P1(1)*P2(3)
        x49 = P1(1)*P2(2)
        x50 = P1(2)*P2(1)
        x56 = P1(0)*P2(0)*co(3)
        x57 = P2(1)**2
        x59 = P2(2)**2
        x61 = P2(3)**2
        x63 = P1(1)*P2(0)
        x86 = P1(1)*P2(1)*co(2)
        x90 = P1(1)*P2(1)
        x91 = P1(2)*P2(2)
        x92 = P1(3)*P2(3)
        x93 = P1(0)*P2(0)
        x96 = P1(2)*P2(0)
        x111 = P1(2)*P2(2)*co(2)
        x114 = P1(3)*P2(0)
        x125 = P1(3)*P2(3)*co(2)
        x142 = cima*w2(0)
        x147 = P1(0)*P2(3)
        x148 = P1(0)*P2(2)
        x150 = P1(0)*P2(1)*co(3)
        x160 = P1(0)*P2(1)
        x172 = P1(0)*P2(2)*co(3)
        x174 = P1(1)*P2(2)*co(3)
        x193 = P1(0)*P2(3)*co(3)
        x204 = P2(0)*co(2)
        x210 = P2(1)*co(2)
        x212 = P1(0)*co(3)
        x236 = P2(2)*co(2)
        x260 = P2(3)*co(2)
        x373 = P2(0)*cima*w2(0)
        x376 = P2(1)*cima*w2(0)
        x377 = P2(2)*cima*w2(0)
        x378 = P2(3)*cima*w2(0)
        do j = riMaxIn, 0, -1
          x0 = P1(1)*wl(3,j)
          x1 = P1(3)*wl(1,j)
          x2 = x0 - x1
          x3 = P2(2)*x2
          x4 = P1(2)*wl(3,j)
          x5 = P1(3)*wl(2,j)
          x6 = x4 - x5
          x7 = P2(1)*x6
          x8 = P1(1)*wl(2,j)
          x9 = P1(2)*wl(1,j)
          x10 = x8 - x9
          x11 = P2(3)*x10
          x12 = -x11 + x3 - x7
          x14 = P2(1)*wl(3,j)
          x15 = P2(3)*wl(1,j)
          x16 = x14 - x15
          x17 = P2(2)*x16
          x18 = P2(2)*wl(3,j)
          x19 = P2(3)*wl(2,j)
          x20 = x18 - x19
          x21 = P2(1)*x20
          x22 = P2(1)*wl(2,j)
          x23 = P2(2)*wl(1,j)
          x24 = x22 - x23
          x25 = P2(3)*x24
          x26 = x17 - x21 - x25
          x27 = P1(1)*wl(1,j)
          x28 = P1(2)*wl(2,j)
          x29 = P1(3)*wl(3,j)
          x30 = P1(0)*wl(0,j)
          x31 = x27 + x28 + x29 - x30
          x33 = co(0)*x32
          x34 = x31*x33
          x35 = P2(1)*wl(1,j)
          x36 = P2(2)*wl(2,j)
          x37 = P2(3)*wl(3,j)
          x38 = P2(0)*wl(0,j)
          x39 = x35 + x36 + x37 - x38
          x40 = co(0)*x39
          x41 = x32*x40
          x44 = x42 - x43
          x45 = P1(1)*co(2)*x39
          x48 = P1(2)*co(2)*x39
          x51 = x49 - x50
          x52 = P1(3)*co(2)*x39
          x53 = P1(1)**2*co(0)*x39
          x54 = P1(2)**2*co(0)*x39
          x55 = P1(3)**2*co(0)*x39
          x58 = x40*x57
          x60 = x40*x59
          x62 = x40*x61
          x64 = P2(0)*x6
          x65 = P1(0)*wl(2,j)
          x66 = P1(2)*wl(0,j)
          x67 = x65 - x66
          x68 = P2(3)*x67
          x69 = P1(0)*wl(3,j)
          x70 = P1(3)*wl(0,j)
          x71 = x69 - x70
          x72 = P2(2)*x71
          x73 = x64 + x68 - x72
          x74 = co(3)*x73
          x75 = P2(0)*x20
          x76 = P2(0)*wl(2,j)
          x77 = P2(2)*wl(0,j)
          x78 = x76 - x77
          x79 = P2(3)*x78
          x80 = P2(0)*wl(3,j)
          x81 = P2(3)*wl(0,j)
          x82 = x80 - x81
          x83 = P2(2)*x82
          x84 = x75 + x79 - x83
          x85 = co(3)*x84
          x87 = -x18 + x19
          x88 = -x32 + x57 + x59 + x61
          x89 = P1(1)*co(3)*x88
          x94 = x90 + x91 + x92 - x93
          x95 = P1(1)*co(3)*x94
          x97 = P2(1)*x71
          x98 = P2(0)*x2
          x99 = P1(0)*wl(1,j)
          x100 = P1(1)*wl(0,j)
          x101 = -x100 + x99
          x102 = P2(3)*x101
          x103 = co(3)*(-x102 + x97 - x98)
          x104 = P2(1)*x82
          x105 = P2(0)*x16
          x106 = P2(0)*wl(1,j)
          x107 = P2(1)*wl(0,j)
          x108 = x106 - x107
          x109 = P2(3)*x108
          x110 = co(3)*(x104 - x105 - x109)
          x112 = P1(2)*co(3)*x88
          x113 = co(3)*x16
          x115 = P2(0)*x10
          x116 = P2(2)*x101
          x117 = P2(1)*x67
          x118 = x115 + x116 - x117
          x119 = co(3)*x118
          x120 = P2(0)*x24
          x121 = P2(2)*x108
          x122 = P2(1)*x78
          x123 = x120 + x121 - x122
          x124 = co(3)*x123
          x126 = -x22 + x23
          x127 = P1(3)*co(3)*x88
          x128 = P1(3)*co(3)*x94
          x129 = co(1)*wl(0,j)*x88
          x130 = co(1)*wl(0,j)*x94
          x131 = co(1)*x70
          x132 = P2(3)*x88
          x133 = P2(3)*x94
          x134 = x40*x90
          x135 = x40*x91
          x136 = x40*x92
          x137 = co(1)*x38
          x138 = x137*x88
          x139 = P1(0)*x94
          x140 = P2(0)*co(0)*x31
          x141 = P2(3)*co(0)*x31
          x143 = -x64 - x68 + x72
          x144 = -x75 - x79 + x83
          x145 = P1(0)*co(3)*x88
          x146 = co(3)*x20
          x149 = x148 - x96
          x151 = P1(0)*co(2)*x39
          x152 = co(0)*x57
          x153 = x152*x31
          x154 = co(3)*x88
          x155 = P1(2)*x82
          x156 = co(3)*x94
          x157 = -x76 + x77
          x158 = P1(0)**2*co(0)*x39
          x159 = x40*x63
          x161 = co(1)*wl(1,j)*x88
          x162 = co(1)*wl(1,j)*x94
          x163 = co(1)*x1
          x164 = co(1)*x106
          x165 = x164*x88
          x166 = x40*x47
          x167 = P2(1)*co(0)*x31
          x168 = x102 - x97 + x98
          x169 = -x104 + x105 + x109
          x170 = -x14 + x15
          x171 = -x114 + x147
          x173 = -x46 + x47
          x175 = -x80 + x81
          x176 = co(0)*x59
          x177 = x176*x31
          x178 = P1(3)*x108
          x179 = x40*x96
          x180 = co(1)*x8
          x181 = P2(1)*x88
          x182 = P2(1)*x94
          x183 = P1(2)*P2(2)*co(1)*wl(2,j)
          x184 = P1(3)*P2(3)*co(1)*wl(2,j)
          x185 = co(1)*x76
          x186 = x185*x88
          x187 = P2(2)*co(0)*x31
          x188 = x40*x42
          x189 = co(2)*(-x115 - x116 + x117)
          x190 = -x120 - x121 + x122
          x191 = co(3)*x24
          x192 = x160 - x63
          x194 = co(3)*x78
          x195 = -x106 + x107
          x196 = co(0)*x61
          x197 = x196*x31
          x198 = x114*x40
          x199 = co(1)*x0
          x200 = P1(2)*P2(2)*co(1)*wl(3,j)
          x201 = P1(3)*P2(3)*co(1)*wl(3,j)
          x202 = co(1)*x80
          x203 = x202*x88
          x205 = co(0)*x38
          x206 = co(3)*x76
          x207 = co(3)*x106
          x208 = co(3)*x80
          x209 = x11 - x3 + x7
          x211 = -x17 + x21 + x25
          x213 = x212*x75
          x214 = x160*x40
          x215 = co(2)*x20
          x216 = x215*x90
          x217 = x113*x50
          x218 = x215*x91
          x219 = x114*x194
          x220 = x215*x92
          x221 = P2(1)*x140
          x222 = co(0)*x106
          x223 = co(3)*x19
          x224 = x223*x88
          x225 = x223*x94
          x226 = x215*x93
          x227 = x146*x90
          x228 = co(3)*x82
          x229 = x228*x96
          x230 = x191*x46
          x231 = co(3)*x44
          x232 = co(1)*x107
          x233 = co(3)*x18
          x234 = x233*x88
          x235 = x233*x94
          x237 = co(2)*x16
          x238 = x237*x93
          x239 = x148*x40
          x240 = x228*x63
          x241 = x113*x91
          x242 = P2(2)*x140
          x243 = co(0)*x76
          x244 = P2(0)*co(3)*wl(0,j)
          x245 = co(3)*x14
          x246 = x245*x88
          x247 = x245*x94
          x248 = x113*x93
          x249 = x237*x90
          x250 = x146*x49
          x251 = x237*x91
          x252 = co(3)*x108
          x253 = x114*x252
          x254 = x191*x43
          x255 = x237*x92
          x256 = co(1)*x77
          x257 = co(3)*x15
          x258 = x257*x88
          x259 = x257*x94
          x261 = x120*x212
          x262 = x147*x40
          x263 = co(2)*x24
          x264 = x263*x90
          x265 = x252*x96
          x266 = x263*x91
          x267 = x113*x42
          x268 = co(2)*x25
          x269 = P1(3)*x268
          x270 = P2(3)*x140
          x271 = co(0)*x80
          x272 = co(3)*x23
          x273 = x272*x88
          x274 = x272*x94
          x275 = co(2)*x120
          x276 = P1(0)*x275
          x277 = x194*x63
          x278 = x146*x47
          x279 = P1(3)*co(3)*x25
          x280 = co(3)*x22
          x281 = x280*x88
          x282 = x280*x94
          x283 = co(1)*x81
          x284 = co(2)*x84
          x285 = co(0)*x107
          x286 = -x41
          x287 = co(0)*x35
          x288 = -x40*x93
          x289 = co(1)*x35
          x290 = co(3)*x107
          x291 = co(2)*x82
          x292 = x291*x93
          x293 = x228*x90
          x294 = x40*x49
          x295 = x228*x91
          x296 = x208*x88
          x297 = x208*x94
          x298 = P2(1)*x187
          x299 = co(0)*x22
          x300 = x150*x16
          x301 = x146*x148
          x302 = x291*x90
          x303 = x291*x91
          x304 = x252*x46
          x305 = x194*x43
          x306 = x291*x92
          x307 = co(3)*x171
          x308 = co(1)*x23
          x309 = co(3)*x81
          x310 = x309*x88
          x311 = x309*x94
          x312 = x40*x50
          x313 = x150*x24
          x314 = co(2)*x78
          x315 = x314*x90
          x316 = x252*x50
          x317 = x314*x91
          x318 = x228*x42
          x319 = x314*x92
          x320 = P2(1)*x141
          x321 = co(0)*x14
          x322 = co(3)*x149
          x323 = co(3)*x77
          x324 = x323*x88
          x325 = x323*x94
          x326 = x314*x93
          x327 = x146*x147
          x328 = x194*x90
          x329 = x194*x92
          x330 = x206*x88
          x331 = x206*x94
          x332 = co(1)*x15
          x333 = x40*x46
          x334 = co(0)*x77
          x335 = P2(2)*co(3)*wl(2,j)
          x336 = co(0)*x23
          x337 = co(1)*x22
          x338 = co(0)*x36
          x339 = co(1)*x36
          x340 = x134 + x286 + x288 + x58 + x60 + x62
          x341 = co(2)*x108
          x342 = x341*x93
          x343 = x172*x24
          x344 = x113*x147
          x345 = x252*x91
          x346 = x252*x92
          x347 = x207*x88
          x348 = x207*x94
          x349 = P2(3)*x187
          x350 = co(0)*x18
          x351 = x341*x90
          x352 = x174*x78
          x353 = x228*x47
          x354 = x341*x91
          x355 = x341*x92
          x356 = x290*x88
          x357 = x290*x94
          x358 = co(1)*x19
          x359 = x40*x43
          x360 = co(2)*x118
          x361 = co(0)*x81
          x362 = P2(3)*co(3)*wl(3,j)
          x363 = co(0)*x15
          x364 = co(1)*x14
          x365 = co(0)*x19
          x366 = co(1)*x18
          x367 = co(0)*x37
          x368 = co(1)*x37
          x369 = -x287
          x370 = -x338
          x371 = -x367
          x372 = x137 + x40
          x374 = -x205
          x375 = x372 + x374
          x379 = co(1)*wl(0,j)
          x380 = P2(3)*x271
          x381 = P2(2)*x245
          x382 = P2(3)*x280
          x383 = -wl(0,j)*x33
          x384 = P2(2)*x243 + x383
          x385 = P2(2)*x215
          x386 = x260*x39
          x387 = -x386
          x388 = co(3)*x57
          x389 = wl(3,j)*x388
          x390 = -x389
          x391 = P2(1)*x256
          x392 = P2(1)*x257
          x393 = -P2(2)*x222
          x394 = co(3)*x32
          x395 = wl(3,j)*x394
          x396 = P2(3)*x244
          x397 = -x396
          x398 = x236*x39
          x399 = P2(3)*x215
          x400 = wl(2,j)*x394
          x401 = -x400
          x402 = P2(2)*x244
          x403 = P2(1)*x283
          x404 = -P2(3)*x222
          x405 = wl(2,j)*x388
          x406 = P2(1)*x272
          x407 = x405 - x406
          x408 = P2(1)*x237
          x409 = co(3)*x59
          x410 = wl(3,j)*x409
          x411 = -P2(1)*x243
          x412 = P2(3)*x335
          x413 = -x412
          x414 = -x395 + x396
          x415 = P2(1)*x222
          x416 = P2(3)*x272
          x417 = P2(3)*x237
          x418 = wl(1,j)*x394
          x419 = x210*x39
          x420 = -x419
          x421 = P2(3)*x256
          x422 = P2(1)*x244
          x423 = -x422
          x424 = -P2(3)*x243
          x425 = wl(1,j)*x409
          x426 = -x425
          x427 = P2(2)*x280
          x428 = P2(1)*x263
          x429 = -x398
          x430 = wl(2,j)*x61
          x431 = co(3)*x430
          x432 = -x431
          x433 = P2(2)*x362
          x434 = -P2(0)*x321
          x435 = x400 - x402
          x436 = P2(2)*x263
          x437 = -x418
          x438 = -P2(2)*x271
          x439 = wl(1,j)*x61
          x440 = co(3)*x439
          x441 = P2(3)*x245
          x442 = x440 - x441
          x443 = co(1)*x32
          x444 = wl(1,j)*x152
          x445 = P2(3)*x206
          x446 = -P2(2)*x208
          x447 = P2(2)*x299
          x448 = P2(3)*x321
          x449 = P2(2)*x164
          x450 = -P2(1)*x334
          x451 = -x392
          x452 = -x405
          x453 = P2(3)*x164
          x454 = -P2(1)*x361
          x455 = -x40
          x456 = x289 + x455
          x457 = x369 + x456
          x458 = P2(0)*x291
          x459 = -x410 + x412
          x460 = P2(3)*x323
          x461 = -P2(1)*x205 + x444
          x462 = P2(3)*x291
          x463 = x204*x39
          x464 = -x463
          x465 = wl(0,j)*x409
          x466 = -x465
          x467 = P2(2)*x206
          x468 = P2(3)*x308
          x469 = -P2(3)*x299
          x470 = wl(0,j)*x388
          x471 = -x470
          x472 = P2(1)*x207
          x473 = P2(0)*x314
          x474 = -x433
          x475 = P2(2)*x314
          x476 = -x472
          x477 = -P2(2)*x321
          x478 = co(3)*wl(0,j)*x61
          x479 = P2(3)*x208
          x480 = x478 - x479
          x481 = wl(2,j)*x176
          x482 = P2(0)*x245
          x483 = -P2(3)*x207
          x484 = P2(1)*x336
          x485 = P2(2)*x367
          x486 = P2(1)*x185
          x487 = P2(3)*x185
          x488 = -P2(3)*x334
          x489 = -x427
          x490 = P2(1)*x309
          x491 = -P2(2)*x205 + x481
          x492 = P2(3)*x337
          x493 = -x467
          x494 = -P2(3)*x336
          x495 = x339 + x370 + x455
          x496 = x287 + x374
          x497 = P2(0)*x341
          x498 = -x440 + x441
          x499 = P2(1)*x341
          x500 = -x478 + x479
          x501 = wl(3,j)*x196
          x502 = P2(2)*x207
          x503 = -P2(1)*x206
          x504 = P2(1)*x363
          x505 = P2(3)*x338
          x506 = P2(0)*x364
          x507 = P2(2)*x202
          x508 = co(1)*wl(3,j)
          x509 = P2(1)*x323
          x510 = -P2(3)*x205 + x501
          x511 = P2(2)*x364
          x512 = x368 + x371 + x455
          wp(0,j) = x142*(-P1(0)*x134 - P1(0)*x135 - P1(0)*x136 - P1(0)*x138 + &
                    P1(0)*x34 + P1(0)*x41 - P1(0)*x58 - P1(0)*x60 - P1(0)*x62  &
                     - P1(2)*x113*x94 + P2(0)*x53 + P2(0)*x54 + P2(0)*x55 -    &
                    x103*x96 - x110*x96 - x111*x12 - x111*x26 - x112*x16 - x114&
                    *x119 - x114*x124 - x114*x141 - x12*x125 + x12*x13 - x12*  &
                    x56 - x12*x86 - x125*x26 - x126*x127 - x126*x128 + x129*x90&
                     + x129*x91 + x13*x26 + x130*x90 + x130*x91 + x131*x132 +  &
                    x131*x133 - x137*x139 - x140*x90 - x140*x91 - x26*x56 - x26&
                    *x86 + x44*x45 + x48*(x46 - x47) + x51*x52 - x63*x74 - x63*&
                    x85 - x87*x89 - x87*x95)
          wp(1,j) = x142*(P1(0)*x159 - P1(0)*x165 - P1(1)*x135 - P1(1)*x153 +  &
                    P1(1)*x41 - P1(1)*x58 - P1(1)*x60 - P1(1)*x62 - P1(3)*x166 &
                     - P2(1)*x158 + P2(1)*x54 + P2(1)*x55 - x103*x50 - x110*x50&
                     - x111*x143 - x111*x144 - x119*x46 - x12*x150 - x124*x46  &
                     - x125*x143 - x125*x144 - x127*x157 - x128*x157 + x13*x143&
                     + x13*x144 + x132*x163 + x133*x163 + x139*x146 - x139*x164&
                     + x140*x160 - x143*x86 - x144*x86 + x145*x20 + x149*x52 - &
                    x150*x26 - x151*(-x42 + x43) - x154*x155 - x155*x156 + x161&
                    *x90 + x161*x91 + x162*x90 + x162*x91 - x167*x91 - x167*x92&
                     + x48*(x114 - x147) - x74*x90 - x85*x90)
          wp(2,j) = x142*(P1(0)*x179 - P1(0)*x186 - P1(2)*x134 - P1(2)*x177 +  &
                    P1(2)*x41 - P1(2)*x58 - P1(2)*x60 - P1(2)*x62 - P1(3)*x188 &
                     - P2(2)*x158 + P2(2)*x53 + P2(2)*x55 + co(3)*x139*x170 -  &
                    x103*x91 - x110*x91 - x111*x168 - x111*x169 - x119*x43 -   &
                    x12*x172 - x124*x43 - x125*x168 - x125*x169 + x13*x168 +   &
                    x13*x169 - x139*x185 + x140*x148 + x145*x170 - x151*x173 - &
                    x154*x178 - x156*x178 - x168*x86 - x169*x86 + x171*x45 -   &
                    x172*x26 - x174*x73 - x174*x84 - x175*x89 - x175*x95 + x180&
                    *x181 + x180*x182 + x183*x88 + x183*x94 + x184*x88 + x184* &
                    x94 - x187*x90 - x187*x92 + x52*(-x160 + x63))
          wp(3,j) = x142*(P1(0)*x198 - P1(0)*x203 - P1(1)*x194*x94 - P1(2)*x156&
                    *x195 - P1(3)*x134 - P1(3)*x135 - P1(3)*x197 + P1(3)*x41 - &
                    P1(3)*x58 - P1(3)*x60 - P1(3)*x62 - P2(3)*x158 + P2(3)*x53 &
                     + P2(3)*x54 - x103*x42 - x110*x42 - x111*x190 - x112*x195 &
                     - x119*x92 - x12*x193 - x124*x92 - x125*x190 + x13*x190 + &
                    x139*x191 - x139*x202 + x140*x147 - x141*x91 + x145*x24 -  &
                    x151*(-x49 + x50) - x167*x47 + x181*x199 + x182*x199 - x189&
                    *x90 - x189*x91 - x189*x92 + x189*x93 - x190*x86 + x192*x48&
                     - x193*x26 + x200*x88 + x200*x94 + x201*x88 + x201*x94 +  &
                    x45*(-x148 + x96) - x47*x74 - x47*x85 - x78*x89)
          if(rankInc .lt. 1) cycle
          sp2(0,0) = x142*(co(1)*x30 + x12*x204 - x134 - x135 - x136 - x137*x94&
                      - x138 + x173*x206 + x204*x26 + x205*x94 - x207*x44 -    &
                     x208*x51 + x34 + x41 - x58 - x60 - x62)
          sp2(0,1) = x142*(co(1)*x100 - x149*x208 - 2*x159 + x171*x206 - x209* &
                     x210 - x210*x211 + x213 + x214 + x216 + x217 + x218 + x219&
                      + x220 + x221 + x222*x94 + x224 + x225 - x226 - x227 -   &
                     x229 - x230 - x231*x38 - x232*x88 - x232*x94 - x234 - x235&
                     )
          sp2(0,2) = x142*(co(1)*x66 - x171*x207 + x173*x244 - 2*x179 + x192*  &
                     x208 - x209*x236 - x211*x236 + x238 + x239 + x240 + x241  &
                      + x242 + x243*x94 + x246 + x247 - x248 - x249 - x250 -   &
                     x251 - x253 - x254 - x255 - x256*x88 - x256*x94 - x258 -  &
                     x259)
          sp2(0,3) = x142*(x131 + x149*x207 - x192*x206 - 2*x198 - x209*x260 - &
                     x211*x260 - x244*x51 + x261 + x262 + x264 + x265 + x266 + &
                     x267 + x269 + x270 + x271*x94 + x273 + x274 - x276 - x277 &
                      - x278 - x279 - x281 - x282 - x283*x88 - x283*x94)
          sp2(1,0) = x142*(-P2(0)*x284 + co(1)*x99 + x159 - x164*x94 - x165 +  &
                     x173*x280 - x204*x73 - x213 - 2*x214 - x216 - x217 - x218 &
                      - x219 - x220 + x221 - x224 - x225 + x226 + x227 + x229  &
                      + x230 - x231*x35 + x234 + x235 - x245*x51 + x285*x94)
          sp2(1,1) = x142*(co(1)*x27 + x135 + x136 - x149*x245 + x153 + x171*  &
                     x280 - x210*x73 - x210*x84 + x286 + x287*x94 + x288 - x289&
                     *x88 - x289*x94 - x290*x44 + x58 + x60 + x62)
          sp2(1,2) = x142*(-P2(2)*x284 + co(1)*x9 + x173*x290 + x192*x245 -    &
                     x236*x73 + x292 + x293 + x294 + x295 + x296 + x297 + x298 &
                      + x299*x94 - x300 - x301 - x302 - x303 - x304 - x305 -   &
                     x306 - x307*x35 - x308*x88 - x308*x94 - x310 - x311 - 2*  &
                     x312)
          sp2(1,3) = x142*(-P2(3)*x284 + x163 + x166 - x192*x280 - x260*x73 -  &
                     x290*x51 + x313 + x315 + x316 + x317 + x318 + x319 + x320 &
                      + x321*x94 + x322*x35 + x324 + x325 - x326 - x327 - x328 &
                      - x329 - x330 - x331 - x332*x88 - x332*x94 - 2*x333)
          sp2(2,0) = x142*(co(1)*x65 + x168*x204 + x169*x204 + x173*x335 + x179&
                      - x185*x94 - x186 - x233*x51 - x238 - 2*x239 - x240 -    &
                     x241 + x242 - x246 - x247 + x248 + x249 + x250 + x251 +   &
                     x253 + x254 + x255 + x258 + x259 - x272*x44 + x334*x94)
          sp2(2,1) = x142*(-x149*x233 + x168*x210 + x169*x210 + x180 - x292 -  &
                     x293 - 2*x294 - x295 - x296 - x297 + x298 + x300 + x301 + &
                     x302 + x303 + x304 + x305 + x306 + x307*x36 + x310 + x311 &
                      + x312 - x323*x44 + x336*x94 - x337*x88 - x337*x94)
          sp2(2,2) = x142*(co(1)*x28 + x136 + x168*x236 + x169*x236 - x171*x272&
                      + x173*x323 + x177 + x192*x233 + x338*x94 - x339*x88 -   &
                     x339*x94 + x340)
          sp2(2,3) = x142*(co(1)*x5 + x149*x272 + x168*x260 + x169*x260 + x188 &
                      - x192*x335 - x323*x51 + x342 + x343 + x344 + x345 + x346&
                      + x347 + x348 + x349 + x350*x94 - x351 - x352 - x353 -   &
                     x354 - x355 - x356 - x357 - x358*x88 - x358*x94 - 2*x359)
          sp2(3,0) = x142*(-P2(0)*x360 + co(1)*x69 - x123*x204 + x173*x223 +   &
                     x198 - x202*x94 - x203 - x257*x44 - x261 - 2*x262 - x264  &
                      - x265 - x266 - x267 - x269 + x270 - x273 - x274 + x276  &
                      + x277 + x278 + x279 + x281 + x282 + x361*x94 - x362*x51)
          sp2(3,1) = x142*(-P2(1)*x360 - x123*x210 - 2*x166 + x171*x223 + x199 &
                      - x309*x44 - x313 - x315 - x316 - x317 - x318 - x319 +   &
                     x320 - x322*x37 - x324 - x325 + x326 + x327 + x328 + x329 &
                      + x330 + x331 + x333 + x363*x94 - x364*x88 - x364*x94)
          sp2(3,2) = x142*(-P2(2)*x360 + co(1)*x4 - x123*x236 - x171*x257 +    &
                     x173*x309 - 2*x188 + x192*x362 - x342 - x343 - x344 - x345&
                      - x346 - x347 - x348 + x349 + x351 + x352 + x353 + x354  &
                      + x355 + x356 + x357 + x359 + x365*x94 - x366*x88 - x366*&
                     x94)
          sp2(3,3) = x142*(-P2(3)*x360 + co(1)*x29 - x123*x260 + x135 + x149*  &
                     x257 - x192*x223 + x197 - x309*x51 + x340 + x367*x94 -    &
                     x368*x88 - x368*x94)
          sp3(0,0,0) = x373*(x369 + x370 + x371 + x372)
          sp3(0,0,1) = x375*x376
          sp3(0,0,2) = x375*x377
          sp3(0,0,3) = x375*x378
          sp3(0,1,0) = x373*(-x215 - x222 - x223 + x232 + x233)
          sp3(0,1,1) = x142*(-P2(1)*x215 + x379*x57 + x380 + x381 - x382 + x384)
          sp3(0,1,2) = x142*(-x385 + x387 + x390 + x391 + x392 + x393 + x395 + &
                       x397)
          sp3(0,1,3) = x142*(x398 - x399 + x401 + x402 + x403 + x404 + x407)
          sp3(0,2,0) = x373*(x237 - x243 - x245 + x256 + x257)
          sp3(0,2,1) = x142*(x386 + x391 + x408 + x410 + x411 + x413 + x414)
          sp3(0,2,2) = x142*(P2(2)*x237 + x379*x59 + x380 - x381 + x383 + x415 &
                        + x416)
          sp3(0,2,3) = x142*(x417 + x418 + x420 + x421 + x423 + x424 + x426 +  &
                       x427)
          sp3(0,3,0) = x373*(-x263 - x271 - x272 + x280 + x283)
          sp3(0,3,1) = x142*(x403 - x428 + x429 + x432 + x433 + x434 + x435)
          sp3(0,3,2) = x142*(x419 + x421 + x422 - x436 + x437 + x438 + x442)
          sp3(0,3,3) = x142*(-x268 + x379*x61 + x382 + x384 + x415 - x416)
          sp3(1,0,0) = x142*(P2(0)*x215 + wl(1,j)*x443 - x444 + x445 + x446 -  &
                       x447 - x448)
          sp3(1,0,1) = x376*(x164 + x215 + x223 - x233 - x285)
          sp3(1,0,2) = x142*(x385 + x386 + x389 + x414 + x449 + x450 + x451)
          sp3(1,0,3) = x142*(x399 + x406 + x429 + x435 + x452 + x453 + x454)
          sp3(1,1,0) = x373*x457
          sp3(1,1,1) = x376*(x338 + x367 + x374 + x456)
          sp3(1,1,2) = x377*x457
          sp3(1,1,3) = x378*x457
          sp3(1,2,0) = x142*(x387 + x390 + x392 + x411 + x449 + x458 + x459)
          sp3(1,2,1) = x376*(-x208 + x291 - x299 + x308 + x309)
          sp3(1,2,2) = x142*(P2(2)*x291 + co(1)*wl(1,j)*x59 + x446 + x448 +    &
                       x460 + x461)
          sp3(1,2,3) = x142*(x462 + x464 + x466 + x467 + x468 + x469 + x471 +  &
                       x472)
          sp3(1,3,0) = x142*(x398 + x407 + x431 + x434 + x453 - x473 + x474)
          sp3(1,3,1) = x376*(x206 - x314 - x321 - x323 + x332)
          sp3(1,3,2) = x142*(x463 + x468 + x470 - x475 + x476 + x477 + x480)
          sp3(1,3,3) = x142*(-P2(3)*x314 + co(1)*x439 + x445 + x447 - x460 +   &
                       x461)
          sp3(2,0,0) = x142*(-P2(0)*x237 + wl(2,j)*x443 - x481 + x482 + x483 - &
                       x484 - x485)
          sp3(2,0,1) = x142*(x387 + x395 + x397 - x408 + x450 + x459 + x486)
          sp3(2,0,2) = x377*(x185 - x237 + x245 - x257 - x334)
          sp3(2,0,3) = x142*(-x417 + x419 + x422 + x425 + x437 + x487 + x488 + &
                       x489)
          sp3(2,1,0) = x142*(x386 + x389 + x393 + x410 + x413 + x451 - x458 +  &
                       x486)
          sp3(2,1,1) = x142*(co(1)*wl(2,j)*x57 - co(2)*x104 + x482 + x485 -    &
                       x490 + x491)
          sp3(2,1,2) = x377*(x208 - x291 - x309 - x336 + x337)
          sp3(2,1,3) = x142*(-x462 + x463 + x465 + x470 + x476 + x492 + x493 + &
                       x494)
          sp3(2,2,0) = x373*x495
          sp3(2,2,1) = x376*x495
          sp3(2,2,2) = x377*(x339 + x367 + x455 + x496)
          sp3(2,2,3) = x378*x495
          sp3(2,3,0) = x142*(x420 + x426 + x427 + x438 + x487 + x497 + x498)
          sp3(2,3,1) = x142*(x464 + x466 + x467 + x477 + x492 + x499 + x500)
          sp3(2,3,2) = x377*(-x207 + x290 + x341 - x350 + x358)
          sp3(2,3,3) = x142*(P2(3)*x341 + co(1)*x430 + x483 + x484 + x490 +    &
                       x491)
          sp3(3,0,0) = x142*(wl(3,j)*x443 + x275 - x501 + x502 + x503 - x504 - &
                       x505)
          sp3(3,0,1) = x142*(x398 + x401 + x402 + x428 + x431 + x454 + x474 +  &
                       x506)
          sp3(3,0,2) = x142*(x418 + x420 + x423 + x436 + x488 + x498 + x507)
          sp3(3,0,3) = x378*(x202 + x263 + x272 - x280 - x361)
          sp3(3,1,0) = x142*(x404 + x406 + x429 + x432 + x433 + x452 + x473 +  &
                       x506)
          sp3(3,1,1) = x142*(P2(1)*x314 + x503 + x505 + x508*x57 + x509 + x510)
          sp3(3,1,2) = x142*(x464 + x471 + x472 + x475 + x494 + x500 + x511)
          sp3(3,1,3) = x378*(-x206 + x314 + x323 - x363 + x364)
          sp3(3,2,0) = x142*(x419 + x424 + x425 + x442 + x489 - x497 + x507)
          sp3(3,2,1) = x142*(x463 + x465 + x469 + x480 + x493 - x499 + x511)
          sp3(3,2,2) = x142*(-P2(2)*x341 + x502 + x504 + x508*x59 - x509 + x510)
          sp3(3,2,3) = x378*(x207 - x290 - x341 - x365 + x366)
          sp3(3,3,0) = x373*x512
          sp3(3,3,1) = x376*x512
          sp3(3,3,2) = x377*x512
          sp3(3,3,3) = x378*(x338 + x368 + x455 + x496)
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(:,mu)
            if(rankInc .lt. 2) cycle
            do nu = 0, 3
              riOut = incRI(nu, incRI(mu, j))
              wp(:,riOut) = wp(:,riOut) + sp3(:,nu,mu)
            end do 
          end do 
        end do 
      case(VSV4)
!       P(1,3)*P(3,2)*c0
!       Metric(1,3)*P(-1,2)*P(-1,3)*c1
!       Epsilon(-1,-2,1,3)*P(-1,2)*P(-2,3)*c2
        x2 = P2(1)*co(2)
        x7 = P2(3)*co(2)
        x11 = P2(0)**2
        x17 = P2(2)*co(2)
        x21 = P2(1)**2
        x22 = co(1)*x21
        x23 = P2(2)**2
        x24 = co(1)*x23
        x25 = P2(3)**2
        x26 = co(1)*x25
        x27 = P1(0)*P2(0)
        x31 = P2(1)*co(1)
        x38 = P2(3)*co(1)
        x39 = cima*w2(0)
        x40 = P2(0)*co(2)
        x50 = P2(0)*co(1)
        x63 = P1(2)*P2(2)
        x71 = cima*w2(0)*(co(0) + co(1))
        do j = riMaxIn, 0, -1
          x0 = P1(3)*wl(2,j)
          x1 = P1(2)*wl(3,j) - x0
          x3 = P2(2)*wl(3,j)
          x4 = P2(3)*wl(2,j)
          x5 = x3 - x4
          x6 = P1(1)*wl(2,j) - P1(2)*wl(1,j)
          x8 = P2(1)*wl(2,j)
          x9 = P2(2)*wl(1,j)
          x10 = x8 - x9
          x12 = co(0)*wl(0,j)
          x13 = co(1)*x11
          x14 = P1(1)*wl(3,j)
          x15 = P1(3)*wl(1,j)
          x16 = x14 - x15
          x18 = P2(1)*wl(3,j)
          x19 = P2(3)*wl(1,j)
          x20 = x18 - x19
          x28 = P2(0)*wl(1,j)
          x29 = co(0)*x28
          x30 = P1(1)*wl(0,j)
          x32 = P2(0)*wl(2,j)
          x33 = co(0)*x32
          x34 = P1(2)*wl(0,j)
          x35 = P2(0)*wl(3,j)
          x36 = co(0)*x35
          x37 = P1(3)*wl(0,j)
          x41 = P1(0)*wl(2,j)
          x42 = -x34 + x41
          x43 = P2(2)*wl(0,j)
          x44 = x32 - x43
          x45 = P1(0)*wl(3,j) - x37
          x46 = P2(3)*wl(0,j)
          x47 = x35 - x46
          x48 = co(0)*wl(1,j)
          x49 = P1(0)*wl(1,j)
          x51 = P2(1)*wl(0,j)
          x52 = co(0)*x51
          x53 = co(0)*x8
          x54 = co(1)*x9
          x55 = co(0)*x18
          x56 = -x30 + x49
          x57 = x28 - x51
          x58 = co(0)*wl(2,j)
          x59 = co(1)*wl(2,j)
          x60 = co(0)*x43
          x61 = co(1)*x8
          x62 = co(0)*x9
          x64 = co(0)*x3
          x65 = co(0)*wl(3,j)
          x66 = co(1)*x35
          x67 = co(0)*x46
          x68 = co(0)*x19
          x69 = co(1)*x3
          x70 = co(0)*x4
          x72 = co(2)*x3
          x73 = co(2)*x4
          x74 = co(2)*x19
          x75 = co(2)*x18
          x76 = co(2)*x8
          x77 = co(2)*x9
          x78 = co(2)*x46
          x79 = co(2)*x35
          x80 = co(2)*x32
          x81 = co(2)*x43
          x82 = co(2)*x51
          x83 = co(2)*x28
          wp(0,j) = x39*(-P1(1)*x29 - P1(2)*x33 - P1(3)*x36 - P2(1)*x29 - P2(2 &
                    )*co(1)*x34 - P2(2)*x33 - P2(3)*x36 + co(1)*wl(0,j)*x27 +  &
                    wl(0,j)*x13 - wl(0,j)*x22 - wl(0,j)*x24 - wl(0,j)*x26 + x1*&
                    x2 + x10*x7 + x11*x12 + x12*x27 - x16*x17 - x17*x20 + x2*x5&
                     - x30*x31 - x37*x38 + x6*x7)
          wp(1,j) = x39*(P1(0)*x52 - P1(1)*P2(1)*x48 - P1(1)*wl(1,j)*x31 - P1(2&
                    )*x53 - P1(2)*x54 - P1(3)*x55 + P2(0)*x52 - P2(2)*x53 - P2(&
                    3)*x55 + wl(1,j)*x13 - wl(1,j)*x22 - wl(1,j)*x24 - wl(1,j)*&
                    x26 + x1*x40 - x15*x38 - x17*x45 - x17*x47 - x21*x48 + x40*&
                    x5 + x42*x7 + x44*x7 + x49*x50)
          wp(2,j) = x39*(P1(0)*x60 - P1(1)*x61 - P1(1)*x62 - P1(3)*x64 + P2(0)*&
                    x60 - P2(1)*x62 - P2(3)*x64 + wl(2,j)*x13 - x0*x38 - x16*  &
                    x40 + x2*x45 + x2*x47 - x20*x40 - x21*x59 - x23*x58 - x23* &
                    x59 - x25*x59 + x41*x50 - x56*x7 - x57*x7 - x58*x63 - x59* &
                    x63)
          wp(3,j) = x39*(P1(0)*x66 + P1(0)*x67 - P1(1)*x68 - P1(2)*x69 - P1(2)*&
                    x70 - P1(3)*P2(3)*x65 - P1(3)*wl(3,j)*x38 + P2(0)*x67 - P2(&
                    1)*x68 - P2(2)*x70 + wl(3,j)*x13 - wl(3,j)*x22 - wl(3,j)*  &
                    x24 - wl(3,j)*x26 + x10*x40 - x14*x31 + x17*x56 + x17*x57  &
                     - x2*x42 - x2*x44 - x25*x65 + x40*x6)
          if(rankInc .lt. 1) cycle
          sp2(0,0) = P2(0)*wl(0,j)*x71
          sp2(0,1) = x39*(co(1)*x51 + x29 + x72 - x73)
          sp2(0,2) = x39*(co(1)*x43 + x33 + x74 - x75)
          sp2(0,3) = x39*(co(1)*x46 + x36 + x76 - x77)
          sp2(1,0) = x39*(co(1)*x28 + x52 - x72 + x73)
          sp2(1,1) = P2(1)*wl(1,j)*x71
          sp2(1,2) = x39*(x53 + x54 + x78 - x79)
          sp2(1,3) = x39*(co(1)*x19 + x55 + x80 - x81)
          sp2(2,0) = x39*(co(1)*x32 + x60 - x74 + x75)
          sp2(2,1) = x39*(x61 + x62 - x78 + x79)
          sp2(2,2) = P2(2)*wl(2,j)*x71
          sp2(2,3) = x39*(co(1)*x4 + x64 + x82 - x83)
          sp2(3,0) = x39*(x66 + x67 - x76 + x77)
          sp2(3,1) = x39*(co(1)*x18 + x68 - x80 + x81)
          sp2(3,2) = x39*(x69 + x70 - x82 + x83)
          sp2(3,3) = P2(3)*wl(3,j)*x71
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(:,mu)
          end do 
        end do 
      case(VSV5)
!       c0*(-P(-1,1)*P(-1,2)*P(1,3)*P(3,2) + P(-1,1)*P(-1,3)*P(1,2)*P(3,2) - P(-1
!       ,2)*P(-1,3)*P(1,2)*P(3,1))
!       Metric(1,3)*P(-1,1)*P(-1,2)**2*P(-1,3)*c1
        x0 = P2(0)**2
        x2 = P2(1)**2
        x3 = P2(2)**2
        x4 = P2(3)**2
        x5 = P1(0)*P2(0)
        x7 = P1(1)*P2(1)
        x8 = -x0 + x2 + x3 + x4
        x9 = P1(2)*P2(2)
        x10 = P1(3)*P2(3)
        x12 = cima*w2(0)
        do j = riMaxIn, 0, -1
          x1 = -P2(0)*wl(0,j) + P2(1)*wl(1,j) + P2(2)*wl(2,j) + P2(3)*wl(3,j)
          x0vec = P1(:)*co(0)*x1
          x1vec = P2(:)*co(0)*x1
          x6 = -P1(0)*wl(0,j) + P1(1)*wl(1,j) + P1(2)*wl(2,j) + P1(3)*wl(3,j)
          x2vec = P2(:)*co(0)*x6
          x3vec = co(1)*wl(:,j)*x8
          x11 = x10 - x5 + x7 + x9
          x4vec = co(1)*wl(:,j)*x11
          wp(:,j) = x12*(-P1(0)**2*x1vec + P1(1)**2*x1vec + P1(2)**2*x1vec + P1&
                    (3)**2*x1vec + x0*x0vec - x0vec*x10 - x0vec*x2 - x0vec*x3  &
                     - x0vec*x4 + x0vec*x5 - x0vec*x7 - x0vec*x9 - x10*x2vec + &
                    x10*x3vec + x10*x4vec + x2vec*x5 - x2vec*x7 - x2vec*x9 -   &
                    x3vec*x5 + x3vec*x7 + x3vec*x9 - x4vec*x5 + x4vec*x7 +     &
                    x4vec*x9)
          if(rankInc .lt. 1) cycle
          do mu = 0, 3
            x5vec = P2(:)*P2(mu)*co(0)
            x6vec = P2(mu)*co(1)*wl(:,j)
            x7vec = co(0)*gg(:,mu)*x1
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + x12*(P1(mu)*co(1)*wl(:,j) - 2*P1(mu)*  &
                          x1vec + P2(:)*co(0)*wl(mu,j)*x11 + P2(mu)*x0vec - x11&
                          *x6vec - x11*x7vec + x5vec*x6 - x6vec*x8 - x7vec*x8)
            if(rankInc .lt. 2) cycle
            do nu = 0, 3
              riOut = incRI(nu, incRI(mu, j))
              wp(:,riOut) = wp(:,riOut) + x12*(P2(mu)*co(0)*gg(:,nu)*x1 + P2(nu&
                            )*x6vec - gg(nu,mu)*x1vec - wl(nu,j)*x5vec)
            end do 
          end do 
        end do 
      end select 
    end subroutine loopVSV
end module lcVSV
