!******************************************************************************!
!                                                                              !
!    lcVVS.f90                                                                 !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   lcVVS.f90                                      |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: M. Chiesa, J.N. Lang                   |            !
!        | `---' | UFO date: No date                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-16 19:50             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module lcVVS
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16, x17, x18, x19, x20, x21, x22, x23, x24, x25,  &
                  x26, x27, x28, x29, x30, x31, x32, x33, x34, x35, x36, x37,  &
                  x38, x39, x40, x41, x42, x43, x44, x45, x46, x47, x48, x49,  &
                  x50, x51, x52, x53, x54, x55, x56, x57, x58, x59, x60, x61,  &
                  x62, x63, x64, x65, x66, x67, x68, x69, x70, x71, x72, x73,  &
                  x74, x75, x76, x77, x78, x79, x80, x81, x82, x83, x84, x85,  &
                  x86, x87, x88, x89, x90, x91, x92, x93, x94, x95, x96, x97,  &
                  x98, x99, x100, x101, x102, x103, x104, x105, x106, x107,    &
                  x108, x109, x110, x111, x112, x113, x114, x115, x116, x117,  &
                  x118, x119, x120, x121, x122, x123, x124, x125, x126, x127,  &
                  x128, x129, x130, x131, x132, x133, x134, x135, x136, x137,  &
                  x138, x139, x140, x141, x142, x143, x144, x145, x146, x147,  &
                  x148, x149, x150, x151, x152, x153, x154, x155, x156, x157,  &
                  x158, x159, x160, x161, x162, x163, x164, x165, x166, x167,  &
                  x168, x169, x170, x171, x172, x173, x174, x175, x176, x177,  &
                  x178, x179, x180, x181, x182, x183, x184, x185, x186, x187,  &
                  x188, x189, x190, x191, x192, x193, x194, x195, x196, x197,  &
                  x198, x199, x200, x201, x202, x203, x204, x205, x206, x207,  &
                  x208, x209, x210, x211, x212, x213, x214, x215, x216, x217,  &
                  x218, x219, x220, x221, x222, x223, x224, x225, x226, x227,  &
                  x228, x229, x230, x231, x232, x233, x234, x235, x236, x237,  &
                  x238, x239, x240, x241, x242, x243, x244, x245, x246, x247,  &
                  x248, x249, x250, x251, x252, x253, x254, x255, x256, x257,  &
                  x258, x259, x260, x261, x262, x263, x264, x265, x266, x267,  &
                  x268, x269, x270, x271, x272, x273, x274, x275, x276, x277,  &
                  x278, x279, x280, x281, x282, x283, x284, x285, x286, x287,  &
                  x288, x289, x290, x291, x292, x293, x294, x295, x296, x297,  &
                  x298, x299, x300, x301, x302, x303, x304, x305, x306, x307,  &
                  x308, x309, x310, x311, x312, x313, x314, x315, x316, x317,  &
                  x318, x319, x320, x321, x322, x323, x324, x325, x326, x327,  &
                  x328, x329, x330, x331, x332, x333, x334, x335, x336, x337,  &
                  x338, x339, x340, x341, x342, x343, x344, x345, x346, x347,  &
                  x348, x349, x350, x351, x352, x353, x354, x355, x356, x357,  &
                  x358, x359, x360, x361, x362, x363, x364, x365, x366, x367,  &
                  x368, x369, x370, x371, x372, x373, x374, x375, x376, x377,  &
                  x378, x379, x380, x381, x382, x383, x384, x385, x386, x387,  &
                  x388, x389, x390, x391, x392, x393, x394, x395, x396, x397,  &
                  x398, x399, x400, x401, x402, x403, x404, x405, x406, x407,  &
                  x408, x409, x410, x411, x412, x413, x414, x415, x416, x417,  &
                  x418, x419, x420, x421, x422, x423, x424, x425, x426, x427,  &
                  x428, x429, x430, x431, x432, x433, x434, x435, x436, x437,  &
                  x438, x439, x440, x441, x442, x443, x444, x445, x446, x447,  &
                  x448, x449, x450, x451, x452, x453, x454, x455, x456, x457,  &
                  x458, x459, x460, x461, x462, x463, x464, x465, x466, x467,  &
                  x468, x469, x470, x471, x472, x473, x474, x475, x476, x477,  &
                  x478, x479, x480, x481, x482, x483, x484, x485, x486, x487,  &
                  x488, x489, x490, x491, x492, x493, x494, x495, x496, x497,  &
                  x498, x499, x500, x501, x502, x503, x504, x505, x506, x507,  &
                  x508, x509, x510, x511, x512, x513, x514, x515, x516, x517,  &
                  x518, x519, x520, x521, x522, x523, x524, x525, x526, x527,  &
                  x528, x529, x530, x531, x532, x533, x534, x535, x536, x537,  &
                  x538, x539, x540, x541, x542, x543, x544, x545, x546, x547,  &
                  x548, x549, x550, x551, x552, x553, x554, x555, x556, x557,  &
                  x558, x559, x560, x561, x562, x563, x564, x565, x566, x567,  &
                  x568, x569, x570, x571, x572, x573, x574, x575, x576, x577,  &
                  x578, x579, x580, x581, x582, x583, x584, x585, x586, x587,  &
                  x588, x589, x590, x591, x592, x593, x594, x595, x596, x597,  &
                  x598, x599, x600, x601, x602, x603, x604, x605, x606, x607,  &
                  x608, x609, x610, x611, x612, x613, x614, x615, x616, x617,  &
                  x618, x619, x620, x621, x622, x623, x624, x625, x626, x627,  &
                  x628, x629, x630, x631, x632, x633, x634, x635, x636, x637,  &
                  x638, x639, x640, x641, x642, x643, x644, x645, x646, x647,  &
                  x648, x649, x650, x651, x652, x653, x654, x655, x656, x657,  &
                  x658, x659, x660, x661, x662, x663, x664, x665, x666, x667,  &
                  x668, x669, x670, x671, x672, x673, x674, x675, x676, x677,  &
                  x678, x679, x680, x681, x682, x683, x684, x685, x686, x687,  &
                  x688, x689, x690, x691, x692, x693, x694, x695, x696, x697,  &
                  x698, x699, x700, x701, x702, x703, x704, x705, x706, x707,  &
                  x708, x709, x710, x711, x712, x713, x714, x715, x716, x717,  &
                  x718, x719, x720, x721, x722, x723, x724, x725, x726, x727,  &
                  x728, x729, x730, x731, x732, x733, x734, x735, x736, x737,  &
                  x738, x739, x740, x741, x742, x743, x744, x745, x746, x747,  &
                  x748, x749, x750, x751, x752, x753, x754, x755, x756, x757,  &
                  x758, x759, x760, x761, x762, x763, x764, x765, x766, x767,  &
                  x768, x769, x770, x771, x772, x773, x774, x775, x776, x777,  &
                  x778, x779, x780, x781, x782, x783, x784, x785, x786, x787,  &
                  x788, x789, x790, x791, x792, x793, x794, x795, x796, x797,  &
                  x798, x799, x800, x801, x802, x803, x804, x805, x806, x807,  &
                  x808, x809, x810, x811, x812, x813, x814, x815, x816, x817,  &
                  x818, x819, x820, x821, x822, x823, x824, x825, x826, x827,  &
                  x828, x829, x830, x831, x832, x833, x834, x835, x836, x837,  &
                  x838, x839, x840, x841, x842, x843, x844, x845, x846, x847,  &
                  x848, x849, x850, x851, x852, x853, x854, x855, x856, x857,  &
                  x858, x859, x860, x861, x862, x863, x864, x865, x866, x867,  &
                  x868, x869, x870, x871, x872, x873, x874, x875, x876, x877,  &
                  x878, x879, x880, x881, x882, x883, x884, x885, x886, x887,  &
                  x888, x889, x890, x891, x892, x893, x894, x895, x896, x897,  &
                  x898, x899, x900, x901, x902, x903, x904, x905, x906, x907,  &
                  x908, x909, x910, x911, x912, x913, x914, x915, x916, x917,  &
                  x918, x919, x920, x921, x922, x923, x924, x925, x926, x927,  &
                  x928, x929, x930, x931, x932, x933, x934, x935, x936, x937,  &
                  x938, x939, x940, x941, x942, x943, x944, x945, x946, x947,  &
                  x948, x949, x950, x951, x952, x953, x954, x955, x956, x957,  &
                  x958, x959, x960, x961, x962, x963, x964, x965, x966, x967,  &
                  x968, x969, x970, x971, x972, x973, x974, x975, x976, x977,  &
                  x978, x979, x980, x981, x982, x983, x984, x985, x986, x987,  &
                  x988, x989, x990, x991, x992, x993, x994, x995, x996, x997,  &
                  x998, x999, x1000, x1001, x1002, x1003, x1004, x1005, x1006, &
                  x1007, x1008, x1009, x1010, x1011, x1012, x1013, x1014, x1015&
                  , x1016, x1017, x1018, x1019, x1020, x1021, x1022, x1023,    &
                  x1024, x1025, x1026, x1027, x1028, x1029, x1030, x1031, x1032&
                  , x1033, x1034, x1035, x1036, x1037, x1038, x1039, x1040,    &
                  x1041, x1042, x1043, x1044, x1045, x1046, x1047, x1048, x1049&
                  , x1050, x1051, x1052, x1053, x1054, x1055, x1056, x1057,    &
                  x1058, x1059, x1060, x1061, x1062, x1063, x1064, x1065, x1066&
                  , x1067, x1068, x1069, x1070, x1071, x1072, x1073, x1074,    &
                  x1075, x1076, x1077, x1078, x1079, x1080, x1081, x1082, x1083&
                  , x1084, x1085, x1086, x1087, x1088, x1089, x1090, x1091,    &
                  x1092, x1093, x1094, x1095, x1096, x1097, x1098, x1099, x1100&
                  , x1101, x1102, x1103, x1104, x1105, x1106, x1107, x1108,    &
                  x1109, x1110, x1111, x1112, x1113, x1114, x1115, x1116, x1117&
                  , x1118, x1119, x1120, x1121, x1122, x1123, x1124, x1125,    &
                  x1126, x1127, x1128, x1129, x1130, x1131, x1132, x1133, x1134&
                  , x1135, x1136, x1137, x1138, x1139, x1140, x1141, x1142,    &
                  x1143, x1144, x1145, x1146, x1147, x1148, x1149, x1150, x1151&
                  , x1152, x1153, x1154, x1155, x1156, x1157, x1158, x1159,    &
                  x1160, x1161, x1162, x1163, x1164, x1165, x1166, x1167, x1168&
                  , x1169, x1170, x1171, x1172, x1173, x1174, x1175, x1176,    &
                  x1177, x1178, x1179, x1180, x1181, x1182, x1183, x1184, x1185&
                  , x1186, x1187, x1188, x1189, x1190, x1191, x1192, x1193,    &
                  x1194, x1195, x1196, x1197, x1198, x1199, x1200, x1201, x1202&
                  , x1203, x1204, x1205, x1206, x1207, x1208, x1209, x1210,    &
                  x1211, x1212, x1213, x1214, x1215, x1216, x1217, x1218, x1219&
                  , x1220, x1221, x1222, x1223, x1224, x1225, x1226, x1227,    &
                  x1228, x1229, x1230, x1231, x1232, x1233, x1234, x1235, x1236&
                  , x1237, x1238, x1239, x1240, x1241, x1242, x1243, x1244,    &
                  x1245, x1246, x1247, x1248, x1249, x1250, x1251, x1252, x1253&
                  , x1254, x1255, x1256, x1257, x1258, x1259, x1260, x1261,    &
                  x1262, x1263, x1264, x1265, x1266, x1267, x1268, x1269, x1270&
                  , x1271, x1272, x1273, x1274, x1275, x1276, x1277, x1278,    &
                  x1279, x1280, x1281, x1282, x1283, x1284, x1285, x1286, x1287&
                  , x1288, x1289, x1290, x1291, x1292, x1293, x1294, x1295,    &
                  x1296, x1297, x1298, x1299, x1300, x1301, x1302, x1303, x1304&
                  , x1305, x1306, x1307, x1308, x1309, x1310, x1311, x1312,    &
                  x1313, x1314, x1315, x1316, x1317, x1318, x1319, x1320, x1321&
                  , x1322, x1323, x1324, x1325, x1326, x1327, x1328, x1329,    &
                  x1330, x1331, x1332, x1333, x1334, x1335, x1336, x1337, x1338&
                  , x1339, x1340, x1341, x1342, x1343, x1344, x1345, x1346,    &
                  x1347, x1348, x1349, x1350, x1351, x1352, x1353, x1354, x1355&
                  , x1356, x1357, x1358, x1359, x1360, x1361, x1362
  complex (dp), dimension(0:3) :: x0vec, x1vec, x2vec, x3vec, x4vec, x5vec,    &
                                  x6vec, x7vec, x8vec, x9vec, x10vec, x11vec,  &
                                  x12vec
  contains
    subroutine loopVVS(ty, co, wl, P1, PL1, w2, P2, PL2, m, wp, riMaxIn,       &
    riMaxOut, rankInc)
      use class_vertices
      integer, intent(in) :: riMaxIn, riMaxOut, rankInc
      complex (kind = dp), intent(in), dimension(0:3) :: P1, PL1
      complex (kind = dp), intent(in), dimension(0:3, 0:riMaxIn) :: wl
      complex (kind = dp), intent(in), dimension(0:3) :: P2, PL2
      complex (kind = dp), intent(in), dimension(0:3) :: w2
      complex (dp), intent(out), dimension(0:3,0:riMaxOut) :: wp
      complex (kind = dp), intent(in) :: m
      complex (kind = dp), dimension(0:3) :: pl, p
      integer, intent(in) :: ty
      complex (kind = dp), dimension(0:), intent(in) :: co
      complex (kind = dp), dimension(0:3) :: sp1
      complex (kind = dp), dimension(0:3,0:3) :: sp2
      complex (kind = dp), dimension(0:3,0:3,0:3) :: sp3
      complex (kind = dp), dimension(0:3,0:3,0:3,0:3) :: sp4
      character(len=3) :: ty_str
      integer :: riOut, j
      logical :: isFirstRI
      integer :: mu, nu, ro, ta, te, tu
      select case(ty)
      case(VVS0)
!       c0*(P(-1,1)*P(-1,2)*P(1,3)*P(2,3) - P(-1,1)*P(-1,3)*P(1,2)*P(2,3) - P(-1,
!       2)*P(-1,3)*P(1,3)*P(2,1))
!       Metric(1,2)*P(-1,1)*P(-1,2)*P(-1,3)**2*c1
!       c2*(Epsilon(-1,-2,-3,1)*P(-1,1)*P(-2,2)*P(-3,3)*P(2,3) - Epsilon(-1,-3,1,
!       2)*P(-1,1)*P(-2,2)*P(-2,3)*P(-3,3))
!       c3*(-Epsilon(-1,-2,-3,2)*P(-1,1)*P(-2,2)*P(-3,3)*P(1,3) + Epsilon(-2,-3,1
!       ,2)*P(-1,1)*P(-1,3)*P(-2,2)*P(-3,3))
        x0 = P2(0)**2
        x14 = P2(1)**2
        x16 = P2(2)**2
        x17 = P2(3)**2
        x18 = P1(0)*co(2)
        x24 = P1(0)*P2(0)
        x25 = P1(1)*P2(1)
        x26 = P1(2)*P2(2)
        x27 = P1(3)*P2(3)
        x40 = P1(1)*co(2)
        x59 = P1(2)*co(2)
        x74 = P1(3)*co(2)
        x88 = P1(0)**2
        x95 = P1(1)**2
        x98 = P1(2)**2
        x100 = P1(3)**2
        x102 = P1(1)*w2(1)
        x103 = P1(2)*w2(2)
        x104 = P1(3)*w2(3)
        x105 = P1(0)*w2(0)
        x113 = P2(1)*w2(1)
        x114 = P2(2)*w2(2)
        x115 = P2(3)*w2(3)
        x116 = P2(0)*w2(0)
        x127 = P1(0)*P2(0)*co(3)
        x152 = P1(2)*w2(3)
        x153 = P1(3)*w2(2)
        x156 = P1(3)*w2(1)
        x157 = P1(1)*w2(3)
        x158 = P1(1)*w2(2)
        x159 = P1(2)*w2(1)
        x166 = P2(2)*w2(3)
        x167 = P2(3)*w2(2)
        x170 = P2(3)*w2(1)
        x171 = P2(1)*w2(3)
        x173 = P2(1)*w2(2)
        x174 = P2(2)*w2(1)
        x178 = P1(1)*P2(1)*co(3)
        x201 = P1(3)*w2(0)
        x202 = P1(0)*w2(3)
        x203 = P1(0)*w2(2)
        x204 = P1(2)*w2(0)
        x211 = P2(3)*w2(0)
        x212 = P2(0)*w2(3)
        x214 = P2(0)*w2(2)
        x215 = P2(2)*w2(0)
        x219 = P1(2)*P2(2)*co(3)
        x240 = P1(1)*w2(0)
        x241 = P1(0)*w2(1)
        x249 = P2(1)*w2(0)
        x250 = P2(0)*w2(1)
        x253 = P1(3)*P2(3)*co(3)
        x298 = co(3)*x0
        x304 = co(2)*w2(0)
        x321 = P1(3)*P2(2)
        x322 = P1(2)*P2(3)
        x326 = P1(1)*P2(3)
        x327 = P1(3)*P2(1)
        x330 = P1(2)*P2(1)
        x331 = P1(1)*P2(2)
        x341 = P1(0)*P2(0)*co(2)
        x342 = P1(1)*P2(0)
        x346 = P1(2)*P2(0)
        x348 = P1(2)*P2(0)*co(2)
        x350 = P1(3)*P2(0)*co(2)
        x351 = P1(3)*P2(0)
        x370 = 2*P1(0)
        x371 = P1(0)*P2(2)
        x374 = 2*P1(0)*P2(0)*co(3)
        x377 = co(2)*w2(1)
        x384 = P1(0)*P2(3)
        x392 = P1(0)*P2(1)
        x396 = P1(3)*P2(1)*co(2)
        x404 = 2*co(3)
        x405 = 2*P1(1)*P2(2)*co(3)
        x406 = 2*P1(1)
        x410 = co(2)*w2(2)
        x424 = P2(2)*co(3)
        x426 = 2*P1(2)
        x427 = 2*P1(2)*P2(3)*co(3)
        x429 = 2*P1(2)*P2(0)*co(3)
        x432 = co(2)*w2(3)
        x441 = P1(2)*P2(3)*co(2)
        x444 = 2*P1(3)
        x445 = 2*P1(3)*P2(0)*co(3)
        x454 = P2(0)*co(2)
        x480 = 2*P2(2)*co(3)
        x485 = P2(0)*co(2)*w2(0)
        x505 = 2*P2(1)*co(3)
        x546 = 2*P1(3)*P2(3)*co(3)
        x548 = P2(1)*co(2)
        x550 = P2(1)*co(2)*w2(1)
        x554 = 2*P1(0)*P2(3)*co(3)
        x560 = 2*P2(0)*co(3)
        x601 = P2(2)*co(2)
        x607 = P2(2)*co(2)*w2(2)
        x628 = P2(3)*co(2)
        x633 = P2(3)*co(2)*w2(3)
        x647 = co(3)*w2(3)
        x656 = P2(1)*co(3)
        do j = riMaxIn, 0, -1
          x1 = w2(1)*wl(3,j)
          x2 = w2(3)*wl(1,j)
          x3 = x1 - x2
          x4 = P1(2)*x3
          x5 = w2(2)*wl(3,j)
          x6 = w2(3)*wl(2,j)
          x7 = x5 - x6
          x8 = P1(1)*x7
          x9 = w2(1)*wl(2,j)
          x10 = w2(2)*wl(1,j)
          x11 = -x10 + x9
          x12 = P1(3)*x11
          x13 = -x12 + x4 - x8
          x15 = x12 - x4 + x8
          x19 = P2(2)*x3
          x20 = P2(1)*x7
          x21 = P2(3)*x11
          x22 = x19 - x20 - x21
          x23 = -x19 + x20 + x21
          x28 = w2(0)*wl(3,j)
          x29 = w2(3)*wl(0,j)
          x30 = x28 - x29
          x31 = P1(2)*x30
          x32 = P1(0)*x7
          x33 = w2(0)*wl(2,j)
          x34 = w2(2)*wl(0,j)
          x35 = x33 - x34
          x36 = P1(3)*x35
          x37 = x31 - x32 - x36
          x38 = -x31 + x32 + x36
          x39 = x14*x38
          x41 = P2(2)*x30
          x42 = P2(0)*x7
          x43 = P2(3)*x35
          x44 = x41 - x42 - x43
          x45 = -x41 + x42 + x43
          x46 = x14*x45
          x47 = x25*x38
          x48 = P2(1)*x45
          x49 = P1(1)*x48
          x50 = P1(0)*x3
          x51 = w2(0)*wl(1,j)
          x52 = w2(1)*wl(0,j)
          x53 = x51 - x52
          x54 = P1(3)*x53
          x55 = P1(1)*x30
          x56 = x50 + x54 - x55
          x57 = -x50 - x54 + x55
          x58 = x16*x57
          x60 = P2(0)*x3
          x61 = P2(3)*x53
          x62 = P2(1)*x30
          x63 = x60 + x61 - x62
          x64 = -x60 - x61 + x62
          x65 = x16*x64
          x66 = x26*x57
          x67 = x26*x64
          x68 = P1(1)*x35
          x69 = P1(0)*x11
          x70 = P1(2)*x53
          x71 = x68 - x69 - x70
          x72 = -x68 + x69 + x70
          x73 = x17*x72
          x75 = P2(1)*x35
          x76 = P2(0)*x11
          x77 = P2(2)*x53
          x78 = x75 - x76 - x77
          x79 = -x75 + x76 + x77
          x80 = x17*x79
          x81 = x27*x72
          x82 = x27*x79
          x83 = P2(1)*x38
          x84 = P2(2)*x57
          x85 = P2(3)*x72
          x86 = P2(0)*x15
          x87 = x83 + x84 + x85 - x86
          x89 = co(3)*x88
          x90 = P2(2)*x64
          x91 = P2(3)*x79
          x92 = P2(0)*x23
          x93 = x48 + x90 + x91 - x92
          x94 = -x83 - x84 - x85 + x86
          x96 = co(3)*x95
          x97 = -x48 - x90 - x91 + x92
          x99 = co(3)*x98
          x101 = co(3)*x100
          x106 = x102 + x103 + x104 - x105
          x107 = P2(1)*wl(1,j)
          x108 = P2(2)*wl(2,j)
          x109 = P2(3)*wl(3,j)
          x110 = P2(0)*wl(0,j)
          x111 = x107 + x108 + x109 - x110
          x112 = co(0)*x106*x111
          x117 = x113 + x114 + x115 - x116
          x118 = co(0)*x111*x117
          x119 = P1(0)*wl(0,j)
          x120 = P1(1)*wl(1,j)
          x121 = P1(2)*wl(2,j)
          x122 = P1(3)*wl(3,j)
          x123 = x119 - x120 - x121 - x122
          x124 = co(0)*x106*x123
          x125 = -x107 - x108 - x109 + x110
          x126 = co(0)*x106*x125
          x128 = P1(3)*wl(2,j)
          x129 = P1(2)*wl(3,j)
          x130 = x128 - x129
          x131 = P1(1)*wl(3,j)
          x132 = P1(3)*wl(1,j)
          x133 = x131 - x132
          x134 = P2(2)*x133
          x135 = P1(2)*wl(1,j)
          x136 = P1(1)*wl(2,j)
          x137 = x135 - x136
          x138 = P2(1)*x130 + P2(3)*x137 + x134
          x139 = P1(0)*co(2)*x106
          x140 = P1(0)*co(2)*x117
          x141 = P2(3)*wl(2,j)
          x142 = P2(2)*wl(3,j)
          x143 = x141 - x142
          x144 = P2(1)*wl(3,j)
          x145 = P2(3)*wl(1,j)
          x146 = x144 - x145
          x147 = P2(2)*x146
          x148 = P2(2)*wl(1,j)
          x149 = P2(1)*wl(2,j)
          x150 = x148 - x149
          x151 = P2(1)*x143 + P2(3)*x150 + x147
          x154 = x152 - x153
          x155 = P2(1)*x154
          x160 = x158 - x159
          x161 = P2(3)*x160
          x162 = P2(2)*(x156 - x157) + x155 + x161
          x163 = -x119 + x120 + x121 + x122
          x164 = P1(0)*co(3)*x163
          x165 = P1(0)*co(3)*x111
          x168 = x166 - x167
          x169 = P2(1)*x168
          x172 = x170 - x171
          x175 = x173 - x174
          x176 = P2(3)*x175
          x177 = P2(2)*x172 + x169 + x176
          x179 = -x128 + x129
          x180 = P2(0)*x179
          x181 = P1(0)*wl(3,j)
          x182 = P1(3)*wl(0,j)
          x183 = x181 - x182
          x184 = P2(2)*x183
          x185 = P1(2)*wl(0,j)
          x186 = P1(0)*wl(2,j)
          x187 = x185 - x186
          x188 = -P2(3)*x187 + x180 - x184
          x189 = P1(1)*co(2)*x106
          x190 = P1(1)*co(2)*x117
          x191 = -x141 + x142
          x192 = P2(0)*x191
          x193 = P2(0)*wl(3,j)
          x194 = P2(3)*wl(0,j)
          x195 = x193 - x194
          x196 = P2(2)*x195
          x197 = P2(2)*wl(0,j)
          x198 = P2(0)*wl(2,j)
          x199 = x197 - x198
          x200 = -P2(3)*x199 + x192 - x196
          x205 = x203 - x204
          x206 = P2(3)*x205
          x207 = P2(0)*(-x152 + x153) - P2(2)*(x201 - x202) - x206
          x208 = P1(1)*co(3)*x163
          x209 = P1(1)*co(3)*x111
          x210 = -x166 + x167
          x213 = x211 - x212
          x216 = x214 - x215
          x217 = P2(3)*x216
          x218 = P2(0)*x210 - P2(2)*x213 - x217
          x220 = -x131 + x132
          x221 = -x181 + x182
          x222 = P1(0)*wl(1,j)
          x223 = P1(1)*wl(0,j)
          x224 = x222 - x223
          x225 = P2(3)*x224
          x226 = P2(0)*x220 - P2(1)*x221 - x225
          x227 = P1(2)*co(2)*x106
          x228 = P1(2)*co(2)*x117
          x229 = -x144 + x145
          x230 = -x193 + x194
          x231 = P2(0)*wl(1,j)
          x232 = P2(1)*wl(0,j)
          x233 = x231 - x232
          x234 = P2(3)*x233
          x235 = P2(0)*x229 - P2(1)*x230 - x234
          x236 = -x156 + x157
          x237 = P2(0)*x236
          x238 = -x201 + x202
          x239 = P2(1)*x238
          x242 = -P2(3)*(x240 - x241) + x237 - x239
          x243 = P1(2)*co(3)*x163
          x244 = P1(2)*co(3)*x111
          x245 = -x170 + x171
          x246 = P2(0)*x245
          x247 = -x211 + x212
          x248 = P2(1)*x247
          x251 = x249 - x250
          x252 = -P2(3)*x251 + x246 - x248
          x254 = -x135 + x136
          x255 = P2(0)*x254
          x256 = -x185 + x186
          x257 = P2(1)*x256
          x258 = -x222 + x223
          x259 = P1(3)*co(2)*(-P2(2)*x258 + x255 - x257)
          x260 = -x148 + x149
          x261 = P2(0)*x260
          x262 = -x197 + x198
          x263 = P2(1)*x262
          x264 = -x231 + x232
          x265 = -P2(2)*x264 + x261 - x263
          x266 = P1(3)*co(2)*x106
          x267 = P1(3)*co(2)*x117
          x268 = -x240 + x241
          x269 = P2(2)*x268
          x270 = P2(0)*(-x158 + x159) - P2(1)*(-x203 + x204) - x269
          x271 = P1(3)*co(3)*x163
          x272 = P1(3)*co(3)*x111
          x273 = co(3)*x163
          x274 = -x173 + x174
          x275 = -x214 + x215
          x276 = -x249 + x250
          x277 = P2(2)*x276
          x278 = P1(3)*(P2(0)*x274 - P2(1)*x275 - x277)
          x279 = co(3)*x111
          x280 = co(0)*x117*x123
          x281 = co(0)*x117*x125
          x282 = -x100 + x88 - x95 - x98
          x283 = w2(1)*wl(1,j)
          x284 = w2(2)*wl(2,j)
          x285 = w2(3)*wl(3,j)
          x286 = w2(0)*wl(0,j)
          x287 = x283 + x284 + x285 - x286
          x288 = co(1)*x282*x287
          x289 = x0 - x14 - x16 - x17
          x290 = co(1)*x287*x289
          x291 = x24 - x25 - x26 - x27
          x292 = 2*co(1)*x287
          x293 = x24*x292
          x294 = x25*x292
          x295 = x26*x292
          x296 = x27*x292
          x297 = co(1)*x287
          x299 = P2(0)*x297
          x300 = -x299
          x301 = P2(3)*x254
          x302 = P2(2)*x224
          x303 = P1(0)*(P2(1)*x179 - x134 + x301) + P1(1)*(-P2(3)*x256 - x180  &
                  + x184) + P1(2)*(P2(0)*x133 - P2(1)*x183 + x225) + P1(3)*(-  &
                 x255 + x257 - x302)
          x305 = P2(3)*x260
          x306 = P2(1)*x195
          x307 = P2(2)*x233
          x308 = P1(0)*(P2(1)*x191 - x147 + x305) + P1(1)*(-P2(3)*x262 - x192  &
                  + x196) + P1(2)*(P2(0)*x146 + x234 - x306) + P1(3)*(-x261 +  &
                 x263 - x307)
          x309 = P1(0)*(P2(2)*x236 - x155 - x161) + P1(1)*(P2(0)*x154 - P2(2)* &
                 x238 + x206) + P1(2)*(-P2(3)*x268 - x237 + x239) + P1(3)*(P2(0&
                 )*x160 - P2(1)*x205 + x269)
          x310 = co(3)*wl(0,j)
          x311 = P1(0)*(P2(2)*x245 - x169 - x176) + P1(1)*(P2(0)*x168 - P2(2)* &
                 x247 + x217) + P1(2)*(-P2(3)*x276 - x246 + x248) + P1(3)*(P2(0&
                 )*x175 - P2(1)*x216 + x277)
          x312 = co(3)*x92
          x313 = -x0 + x14 + x16 + x17
          x314 = co(2)*x313
          x315 = -x24 + x25 + x26 + x27
          x316 = co(2)*x315
          x317 = co(0)*x111
          x318 = w2(0)*x317
          x319 = co(0)*x106*x289
          x320 = co(2)*x106
          x323 = x321 - x322
          x324 = wl(1,j)*x323
          x325 = co(2)*x117
          x328 = x326 - x327
          x329 = wl(2,j)*x328
          x332 = x330 - x331
          x333 = wl(3,j)*x332
          x334 = -x321 + x322
          x335 = w2(1)*x334
          x336 = -x326 + x327
          x337 = co(3)*w2(2)*x163
          x338 = -x330 + x331
          x339 = co(3)*w2(3)*x163
          x340 = co(3)*w2(3)*x111
          x343 = co(2)*x37
          x344 = co(2)*x44
          x345 = P1(1)*x168
          x347 = co(2)*x56
          x349 = P1(2)*x146
          x352 = co(2)*x78
          x353 = P1(3)*x175
          x354 = co(3)*x83
          x355 = co(3)*x48
          x356 = P2(2)*co(3)*x57
          x357 = P2(2)*co(3)*x64
          x358 = co(3)*x85
          x359 = co(3)*x91
          x360 = co(0)*x163*x313
          x361 = co(0)*x163*x291
          x362 = co(0)*x163*x315
          x363 = co(0)*x117*x291
          x364 = co(2)*w2(1)*x313
          x365 = co(2)*w2(1)*x315
          x366 = co(2)*w2(2)*x313
          x367 = co(2)*w2(2)*x315
          x368 = co(2)*w2(3)*x313
          x369 = co(2)*w2(3)*x315
          x372 = 2*co(3)*x64
          x373 = 2*P2(0)*co(1)*x287
          x375 = P2(1)*x297
          x376 = -x375
          x378 = co(3)*wl(1,j)
          x379 = P1(0)*x191
          x380 = co(3)*x86
          x381 = w2(1)*x317
          x382 = co(2)*w2(0)*x313
          x383 = co(2)*w2(0)*x315
          x385 = -x351 + x384
          x386 = co(2)*x385
          x387 = x346 - x371
          x388 = wl(3,j)*x387
          x389 = x351 - x384
          x390 = w2(2)*x389
          x391 = -x346 + x371
          x393 = co(2)*x15
          x394 = co(2)*x23
          x395 = P1(2)*x195
          x397 = P1(3)*x216
          x398 = co(0)*x313
          x399 = w2(1)*x163
          x400 = co(2)*w2(2)*x230
          x401 = wl(0,j)*x334
          x402 = co(3)*w2(0)*x163
          x403 = co(3)*w2(0)*x111
          x407 = 2*P2(1)*co(1)*x287
          x408 = P2(2)*x297
          x409 = -x408
          x411 = co(3)*wl(2,j)
          x412 = P1(0)*x245
          x413 = w2(2)*x317
          x414 = wl(1,j)*x389
          x415 = -x342 + x392
          x416 = wl(3,j)*x415
          x417 = w2(1)*x385
          x418 = x342 - x392
          x419 = P1(0)*co(2)*x3
          x420 = P1(1)*x247
          x421 = P1(2)*P2(2)*x63
          x422 = co(2)*x71
          x423 = P1(3)*x233
          x425 = wl(0,j)*x336
          x428 = 2*P2(2)*co(1)*x287
          x430 = P2(3)*x297
          x431 = -x430
          x433 = co(3)*wl(3,j)
          x434 = P1(0)*x260
          x435 = w2(3)*x317
          x436 = wl(1,j)*x391
          x437 = wl(2,j)*x418
          x438 = w2(1)*x387
          x439 = co(3)*x415
          x440 = P1(1)*x262
          x442 = P1(2)*x276
          x443 = wl(0,j)*x338
          x446 = x424*x56
          x447 = x424*x63
          x448 = co(1)*x286
          x449 = -P1(2)*x245 + x345 + x353
          x450 = co(1)*x283
          x451 = co(1)*x284
          x452 = co(1)*x285
          x453 = P1(1)*x191 + P1(3)*x260 - x349
          x455 = co(3)*x19
          x456 = P2(0)*x455
          x457 = co(0)*x106
          x458 = x110*x457
          x459 = co(2)*x250
          x460 = co(2)*x334
          x461 = co(2)*x338
          x462 = co(3)*x328
          x463 = co(3)*x42
          x464 = -P2(1)*x463
          x465 = co(3)*x21
          x466 = -P2(0)*x465
          x467 = co(2)*x214
          x468 = x107*x457
          x469 = co(0)*x117
          x470 = x107*x469
          x471 = P2(2)*co(0)*wl(2,j)
          x472 = x106*x471
          x473 = x117*x471
          x474 = x109*x457
          x475 = x109*x469
          x476 = co(2)*x328
          x477 = co(3)*x334
          x478 = co(3)*x338
          x479 = 2*co(3)*x7
          x481 = 2*co(0)*x111
          x482 = P1(0)*x168 - P1(2)*x247 + x397
          x483 = P1(3)*x262 + x379 - x395
          x484 = co(3)*x14
          x486 = co(2)*x212
          x487 = co(3)*x166
          x488 = x163*x487
          x489 = x111*x487
          x490 = x141*x320
          x491 = x141*x325
          x492 = co(2)*x391
          x493 = x314*x5
          x494 = x316*x5
          x495 = co(3)*x385
          x496 = co(2)*x30
          x497 = x142*x320
          x498 = x142*x325
          x499 = co(3)*x167
          x500 = x163*x499
          x501 = x111*x499
          x502 = x314*x6
          x503 = x316*x6
          x504 = co(3)*x391
          x506 = -P2(1)*x373
          x507 = P1(0)*x146 - P1(1)*x195 + x423
          x508 = P1(3)*x276
          x509 = -x412 + x420 - x508
          x510 = co(3)*x16
          x511 = x144*x320
          x512 = x144*x325
          x513 = co(3)*x170
          x514 = x163*x513
          x515 = x111*x513
          x516 = x2*x314
          x517 = x2*x316
          x518 = co(2)*x146
          x519 = co(3)*x171
          x520 = x163*x519
          x521 = x111*x519
          x522 = x145*x320
          x523 = x145*x325
          x524 = co(2)*x415
          x525 = x1*x314
          x526 = x1*x316
          x527 = co(3)*x20
          x528 = -P2(2)*x373
          x529 = P1(0)*x175 - P1(1)*x216 + x442
          x530 = P1(2)*x233 + x434 - x440
          x531 = co(3)*x17
          x532 = co(3)*x173
          x533 = x163*x532
          x534 = x111*x532
          x535 = x148*x320
          x536 = x148*x325
          x537 = x314*x9
          x538 = x316*x9
          x539 = x149*x320
          x540 = x149*x325
          x541 = co(3)*x174
          x542 = x163*x541
          x543 = x111*x541
          x544 = x10*x314
          x545 = x10*x316
          x547 = -P2(3)*x373
          x549 = co(3)*x41
          x551 = co(2)*x171
          x552 = co(3)*x43
          x553 = co(2)*x173
          x555 = co(2)*x7
          x556 = x424*x62
          x557 = co(2)*x249
          x558 = co(3)*x75
          x559 = P2(3)*x558
          x561 = 2*co(3)*x30
          x562 = -x380
          x563 = -x312
          x564 = -x446
          x565 = -x447
          x566 = -x448
          x567 = -x458
          x568 = -x110*x469
          x569 = x354 + x355 + x358 + x359 + x450 + x451 + x452 + x468 + x472  &
                  + x474 + x475 + x562 + x563 + x564 + x565 + x566 + x567 +    &
                 x568
          x570 = co(3)*x30
          x571 = x193*x320
          x572 = x193*x325
          x573 = co(3)*x211
          x574 = x163*x573
          x575 = x111*x573
          x576 = x29*x314
          x577 = x29*x316
          x578 = co(3)*x212
          x579 = x163*x578
          x580 = x111*x578
          x581 = x194*x320
          x582 = x194*x325
          x583 = x28*x314
          x584 = x28*x316
          x585 = -P2(1)*x428
          x586 = co(3)*x214
          x587 = x163*x586
          x588 = x111*x586
          x589 = x197*x320
          x590 = x197*x325
          x591 = x314*x33
          x592 = x316*x33
          x593 = x198*x320
          x594 = x198*x325
          x595 = co(3)*x215
          x596 = x163*x595
          x597 = x111*x595
          x598 = x314*x34
          x599 = x316*x34
          x600 = -P2(3)*x407
          x602 = co(2)*x11
          x603 = co(3)*x61
          x604 = co(2)*x174
          x605 = co(2)*x166
          x606 = co(3)*x62
          x608 = co(3)*x60
          x609 = co(2)*x215
          x610 = P2(2)*x603
          x611 = co(2)*x53
          x612 = x231*x320
          x613 = x231*x325
          x614 = co(3)*x249
          x615 = x163*x614
          x616 = x111*x614
          x617 = x314*x52
          x618 = x316*x52
          x619 = co(2)*x35
          x620 = co(3)*x250
          x621 = x163*x620
          x622 = x111*x620
          x623 = x232*x320
          x624 = x232*x325
          x625 = x314*x51
          x626 = x316*x51
          x627 = -P2(3)*x428
          x629 = co(2)*x170
          x630 = co(3)*x77
          x631 = co(2)*x167
          x632 = co(2)*x211
          x634 = co(3)*x76
          x635 = x28*x601
          x636 = co(3)*w2(2)*x194
          x637 = wl(3,j)*x467
          x638 = -x637
          x639 = x29*x424
          x640 = x198*x432
          x641 = wl(2,j)*x632
          x642 = x640 - x641
          x643 = wl(3,j)*x604
          x644 = x167*x378
          x645 = x144*x410
          x646 = -x645
          x648 = x148*x647
          x649 = x149*x432
          x650 = wl(2,j)*x629
          x651 = x649 - x650
          x652 = -x487 + x499 + x605 - x631
          x653 = cima*wl(2,j)
          x654 = cima*wl(3,j)
          x655 = wl(3,j)*x459
          x657 = x29*x656
          x658 = x144*x304
          x659 = -x658
          x660 = x170*x310
          x661 = wl(1,j)*x632
          x662 = x231*x432
          x663 = x661 - x662
          x664 = -x513 + x519 - x551 + x629
          x665 = cima*wl(1,j)
          x666 = x149*x647
          x667 = wl(1,j)*x631
          x668 = x148*x432
          x669 = -x668
          x670 = x170*x411
          x671 = wl(1,j)*x467
          x672 = x174*x310
          x673 = x34*x656
          x674 = x148*x304
          x675 = -x674
          x676 = wl(2,j)*x557
          x677 = x454*x9
          x678 = x676 - x677
          x679 = -x532 + x541 + x553 - x604
          x680 = x174*x433
          x681 = P2(1)*co(3)*wl(3,j)
          x682 = w2(2)*x681
          x683 = -x640
          x684 = -x635
          x685 = -x649
          x686 = -x643
          x687 = x487 - x499 - x605 + x631
          x688 = cima*(-x318 - x455 + x465 + x527)
          x689 = -x381 + x463 - x549 + x552
          x690 = -x413 - x603 + x606 - x608
          x691 = cima*x690
          x692 = -x435 - x558 + x630 + x634
          x693 = cima*x692
          x694 = -x486 - x573 + x578 + x632
          x695 = cima*wl(0,j)
          x696 = x231*x647
          x697 = -x655
          x698 = x211*x378
          x699 = wl(0,j)*x629
          x700 = x29*x548
          x701 = x408 + x699 - x700
          x702 = x198*x647
          x703 = x194*x410
          x704 = x29*x601
          x705 = -x704
          x706 = x211*x411
          x707 = x467 - x586 + x595 - x609
          x708 = co(3)*w2(0)*x148
          x709 = wl(1,j)*x586
          x710 = -x676
          x711 = x34*x548
          x712 = wl(0,j)*x604
          x713 = x430 + x711 - x712
          x714 = x28*x424
          x715 = wl(3,j)*x586
          x716 = -x661
          x717 = x513 - x519 + x551 - x629
          x718 = -x667 + x668
          x719 = x486 + x573 - x578 - x632
          x720 = -x699
          x721 = x375 - x703 + x704
          x722 = cima*x689
          x723 = -x459 + x557 - x614 + x620
          x724 = P2(0)*co(3)*x9
          x725 = -x671
          x726 = x249*x411
          x727 = x250*x433
          x728 = w2(0)*x681
          x729 = x532 - x541 - x553 + x604
          x730 = cima*(-x467 + x586 - x595 + x609)
          x731 = -x711
          x732 = x459 - x557 + x614 - x620
          wp(0,j) = cima*(x0*x124 + x0*x126 + x100*x112 + x100*x118 - x101*x94 &
                     - x101*x97 - x106*x259 - x112*x24 + x112*x25 + x112*x26 + &
                    x112*x27 - x112*x88 + x112*x95 + x112*x98 - x117*x259 -    &
                    x118*x24 + x118*x25 + x118*x26 + x118*x27 - x118*x88 + x118&
                    *x95 + x118*x98 - x124*x14 - x124*x16 - x124*x17 - x126*x14&
                     - x126*x16 - x126*x17 - x127*x87 - x127*x93 - x138*x139 - &
                    x138*x140 - x139*x151 - x140*x151 - x162*x164 - x162*x165  &
                     - x164*x177 - x165*x177 - x178*x94 - x178*x97 + x18*(x0*  &
                    x13 + x14*x15 + x15*x16 + x15*x17) + x18*(x0*x22 + x14*x23 &
                     + x16*x23 + x17*x23) + x18*(x13*x24 + x15*x25 + x15*x26 + &
                    x15*x27) + x18*(x22*x24 + x23*x25 + x23*x26 + x23*x27) -   &
                    x188*x189 - x188*x190 - x189*x200 - x190*x200 - x207*x208  &
                     - x207*x209 - x208*x218 - x209*x218 - x219*x94 - x219*x97 &
                     - x226*x227 - x226*x228 - x227*x235 - x228*x235 - x24*x280&
                     - x24*x281 - x24*x288 - x24*x290 - x242*x243 - x242*x244  &
                     - x243*x252 - x244*x252 + x25*x280 + x25*x281 + x25*x288  &
                     + x25*x290 - x253*x94 - x253*x97 + x26*x280 + x26*x281 +  &
                    x26*x288 + x26*x290 - x265*x266 - x265*x267 + x27*x280 +   &
                    x27*x281 + x27*x288 + x27*x290 - x270*x271 - x270*x272 -   &
                    x273*x278 - x278*x279 - x291*x293 + x291*x294 + x291*x295  &
                     + x291*x296 - x40*(x0*x37 + x16*x38 + x17*x38 + x39) - x40&
                    *(x0*x44 + x16*x45 + x17*x45 + x46) - x40*(x24*x37 + x26*  &
                    x38 + x27*x38 + x47) - x40*(x24*x44 + x26*x45 + x27*x45 +  &
                    x49) - x59*(x0*x56 + x14*x57 + x17*x57 + x58) - x59*(x0*x63&
                     + x14*x64 + x17*x64 + x65) - x59*(x24*x56 + x25*x57 + x27*&
                    x57 + x66) - x59*(x24*x63 + x25*x64 + x27*x64 + x67) - x74 &
                    *(x0*x71 + x14*x72 + x16*x72 + x73) - x74*(x0*x78 + x14*x79&
                     + x16*x79 + x80) - x74*(x24*x71 + x25*x72 + x26*x72 + x81 &
                    ) - x74*(x24*x78 + x25*x79 + x26*x79 + x82) - x87*x89 - x89&
                    *x93 - x94*x96 - x94*x99 - x96*x97 - x97*x99)
          if(rankInc .lt. 1) cycle
          sp1(0) = cima*(P1(0)*x297 + P1(0)*x312 - P2(0)*x112 - P2(0)*x118 - P2&
                   (0)*x280 - P2(0)*x281 - P2(0)*x354 - P2(0)*x355 - P2(0)*x356&
                    - P2(0)*x357 - P2(0)*x358 - P2(0)*x359 - w2(0)*x360 - w2(0 &
                   )*x361 - w2(0)*x362 + w2(2)*x279*x336 + wl(0,j)*x319 - wl(0,&
                   j)*x363 - x101*x22 - x112*x370 - x118*x370 - x12*x314 - x12*&
                   x316 - x143*x189 - x143*x190 + x15*x298 - x15*x341 + x15*   &
                   x374 - x150*x266 - x150*x267 - x172*x243 - x172*x244 - x178*&
                   x22 - x179*x364 - x179*x365 - x18*x92 - x191*x364 - x191*   &
                   x365 - x219*x22 - x22*x253 - x22*x96 - x22*x99 - x220*x366  &
                    - x220*x367 - x229*x366 - x229*x367 + x23*x298 - x23*x89 - &
                   x254*x368 - x254*x369 - x260*x368 - x260*x369 + x273*x335 - &
                   x273*x345 - x273*x353 + x279*x335 - x279*x345 - x279*x353 - &
                   x282*x299 + x282*x318 - x289*x299 - x291*x373 + x300 - x303*&
                   x304 - x304*x308 - x309*x310 - x310*x311 - x313*x318 + x314*&
                   x4 - x314*x8 - x315*x318 + x316*x4 - x316*x8 + x320*x324 +  &
                   x320*x329 + x320*x333 - x320*x349 + x324*x325 + x325*x329 + &
                   x325*x333 - x325*x349 + x336*x337 + x338*x339 + x338*x340 - &
                   x342*x343 - x342*x344 - x346*x347 - x348*x63 - x350*x71 -   &
                   x351*x352 - x354*x370 - x355*x370 - x356*x370 - x358*x370 - &
                   x359*x370 - x371*x372)
          sp1(1) = cima*(P1(1)*x297 - P2(1)*x112 - P2(1)*x118 - P2(1)*x280 - P2&
                   (1)*x281 + P2(1)*x312 - P2(1)*x356 - P2(1)*x357 - P2(1)*x358&
                    - P2(1)*x359 + P2(1)*x380 - co(0)*x291*x399 - co(0)*x315*  &
                   x399 - co(2)*x330*x63 - co(3)*x39 - co(3)*x46 + wl(1,j)*x319&
                    - wl(1,j)*x363 + wl(2,j)*x106*x386 + wl(2,j)*x325*x385 -   &
                   x101*x44 - x112*x406 - x118*x406 - x127*x45 + x130*x382 +   &
                   x130*x383 + x143*x382 + x143*x383 + x164*x210 + x165*x210 - &
                   x178*x44 - x199*x266 - x199*x267 - x213*x243 - x213*x244 -  &
                   x219*x44 - x221*x366 - x221*x367 - x25*x343 - x25*x344 -    &
                   x253*x44 - x256*x368 - x256*x369 - x262*x368 - x262*x369 +  &
                   x273*x390 - x273*x397 + x279*x390 - x279*x397 - x282*x375 + &
                   x282*x381 - x289*x375 - x291*x407 - x303*x377 - x308*x377 - &
                   x309*x378 + x31*x314 + x31*x316 - x311*x378 + x312*x406 -   &
                   x313*x381 - x313*x400 - x314*x32 - x314*x36 - x315*x381 -   &
                   x315*x400 - x316*x32 - x316*x36 + x320*x379 + x320*x388 -   &
                   x320*x395 - x320*x401 - x323*x402 - x323*x403 + x325*x379 + &
                   x325*x388 - x325*x395 - x325*x401 - x330*x347 - x331*x372 + &
                   x339*x391 + x340*x391 - x358*x406 - x359*x406 + x376 + x380*&
                   x406 - x392*x393 - x392*x394 - x396*x71 - x396*x78 - x398*  &
                   x399 - x404*x47 - x404*x49 - x405*x57 - x44*x96 - x44*x99 - &
                   x45*x89)
          sp1(2) = cima*(P1(2)*x297 - P2(2)*x112 - P2(2)*x118 - P2(2)*x280 - P2&
                   (2)*x281 + P2(2)*x312 - P2(2)*x355 - P2(2)*x358 - P2(2)*x359&
                    + P2(2)*x380 - co(2)*x421 - co(3)*x421 - co(3)*x58 - co(3)*&
                   x65 - w2(2)*x360 - w2(2)*x361 - w2(2)*x362 + wl(2,j)*x319 - &
                   wl(2,j)*x363 - x101*x63 - x112*x426 - x118*x426 - x127*x64  &
                    + x133*x382 + x133*x383 + x139*x229 + x140*x229 + x146*x382&
                    + x146*x383 + x15*x429 - x178*x63 - x183*x364 - x183*x365  &
                    - x189*x230 - x190*x230 - x195*x364 - x195*x365 - x251*x271&
                    - x251*x272 - x253*x63 - x258*x368 - x258*x369 - x26*x347  &
                    - x264*x368 - x264*x369 + x273*x412 + x273*x417 - x273*x420&
                    + x279*x412 + x279*x417 - x279*x420 - x282*x408 + x282*x413&
                    - x289*x408 - x289*x419 - x291*x419 - x291*x428 - x303*x410&
                    - x308*x410 - x309*x411 - x311*x411 + x312*x426 - x313*x413&
                    + x314*x54 - x314*x55 - x315*x413 + x316*x54 - x316*x55 +  &
                   x320*x414 + x320*x416 - x320*x423 - x320*x425 - x321*x352 - &
                   x321*x422 + x325*x414 + x325*x416 - x325*x423 - x325*x425 - &
                   x328*x402 - x328*x403 - x331*x343 - x331*x344 + x339*x418 + &
                   x340*x418 - x354*x426 - x355*x426 - x371*x393 - x371*x394 - &
                   x404*x66 - x404*x67 + x409 - x424*x83 - x427*x72 - x427*x79 &
                    - x63*x96 - x63*x99 - x64*x89)
          sp1(3) = cima*(-P1(3)*P2(1)*x38*x404 + P1(3)*x297 - P2(3)*x112 - P2(3&
                   )*x118 - P2(3)*x280 - P2(3)*x281 + P2(3)*x312 - P2(3)*x354  &
                    - P2(3)*x355 - P2(3)*x356 - P2(3)*x357 + P2(3)*x380 - co(3 &
                   )*x73 - co(3)*x80 + w2(2)*x111*x439 - w2(3)*x360 - w2(3)*   &
                   x361 - w2(3)*x362 + wl(3,j)*x319 - wl(3,j)*x363 - x101*x78  &
                    - x112*x444 - x118*x444 - x127*x79 + x137*x382 + x137*x383 &
                    + x15*x445 + x150*x382 + x150*x383 + x164*x274 + x165*x274 &
                    - x178*x78 - x187*x364 - x187*x365 - x199*x364 - x199*x365 &
                    - x208*x275 - x209*x275 - x219*x78 - x224*x366 - x224*x367 &
                    - x227*x264 - x228*x264 - x233*x366 - x233*x367 - x253*x78 &
                    - x27*x352 - x27*x422 + x273*x438 - x273*x442 + x279*x438  &
                    - x279*x442 - x282*x430 + x282*x435 - x289*x430 - x303*x432&
                    - x308*x432 - x309*x433 - x311*x433 + x312*x444 - x313*x435&
                    + x314*x68 - x314*x69 - x314*x70 - x315*x435 + x316*x68 -  &
                   x316*x69 - x316*x70 + x320*x434 + x320*x436 + x320*x437 -   &
                   x320*x440 - x320*x443 + x325*x434 + x325*x436 + x325*x437 - &
                   x325*x440 - x325*x443 - x326*x343 - x326*x344 - x332*x402 - &
                   x332*x403 + x337*x415 - x355*x444 - x356*x444 - x357*x444 - &
                   x384*x393 - x384*x394 - x404*x81 - x404*x82 - x430*(2*P1(0)*&
                   P2(0) - 2*P1(1)*P2(1) - 2*P1(2)*P2(2) - 2*P1(3)*P2(3)) +    &
                   x431 - x441*x56 - x441*x63 - x78*x96 - x78*x99 - x79*x89)
          sp2(0,0) = cima*(-x0*x292 + x105*x481 + x11*x350 + x116*x317 - x133* &
                     x467 - x146*x467 + x179*x459 + x191*x459 + x255*x432 +    &
                     x261*x432 + x28*x461 + x286*x398 - x29*x478 - x293 - x3*  &
                     x348 - x304*x453 + x310*x449 + x312 - x33*x476 + x34*x462 &
                      - x354 - x355 - x358 - x359 - x370*x465 + x380 - x392*   &
                     x479 + x446 + x447 + x448 - x450 - x451 - x452 + x454*x8  &
                      + x456 + x458 + x460*x51 + x464 + x466 - x468 - x470 -   &
                     x472 - x473 - x474 - x475 - x477*x52 + x480*x50)
          sp2(0,1) = cima*(P2(1)*x455 - P2(1)*x465 + x179*x485 - x183*x467 +   &
                     x191*x485 - x195*x467 - x232*x469 + x240*x481 + x249*x317 &
                      + x256*x486 + x262*x486 + x28*x492 + x286*x460 - x286*   &
                     x477 - x29*x504 - x292*x392 + x3*x405 - x304*x483 + x310* &
                     x482 - x33*x386 + x34*x495 + x341*x7 - x346*x496 + x35*   &
                     x350 + x398*x51 - x406*x465 - x484*x7 + x488 + x489 + x490&
                      + x491 + x493 + x494 - x497 - x498 - x500 - x501 - x502  &
                      - x503 - x505*x8 + x506)
          sp2(0,2) = cima*(-P2(0)*x419 - P2(2)*x465 - x11*x427 - x116*x518 -   &
                     x133*x485 + x183*x459 + x195*x459 - x197*x469 - x20*x424  &
                      + x204*x481 + x215*x317 - x224*x486 - x233*x486 - x28*   &
                     x524 + x286*x462 - x286*x476 + x29*x439 - x292*x371 + x3* &
                     x510 + x304*x507 + x310*x509 + x33*x398 - x350*x53 + x386*&
                     x51 + x4*x480 - x426*x527 + x454*x55 - x495*x52 + x511 +  &
                     x512 + x514 + x515 + x516 + x517 - x520 - x521 - x522 -   &
                     x523 - x525 - x526 + x528)
          sp2(0,3) = cima*(P1(3)*P2(2)*x3*x404 + P2(3)*x455 - P2(3)*x527 + x11*&
                     x341 - x11*x531 - x11*x546 - x194*x469 + x201*x481 + x211*&
                     x317 + x224*x467 + x233*x467 + x254*x485 - x256*x459 +    &
                     x260*x485 - x262*x459 + x28*x398 + x286*x461 - x286*x478  &
                      - x292*x384 - x304*x530 + x310*x529 - x327*x479 + x33*   &
                     x524 - x34*x439 + x348*x53 - x454*x68 - x492*x51 + x504*  &
                     x52 + x533 + x534 + x535 + x536 + x537 + x538 - x539 -    &
                     x540 - x542 - x543 - x544 - x545 + x547)
          sp2(1,0) = cima*(P2(0)*x549 - P2(0)*x552 + x1*x461 + x10*x462 + x11* &
                     x396 - x133*x553 - x146*x553 + x179*x550 + x191*x550 - x2*&
                     x478 - x231*x469 + x241*x481 + x250*x317 + x254*x551 +    &
                     x260*x551 + x283*x460 - x283*x477 - x292*x342 - x298*x7 - &
                     x35*x554 + x370*x549 - x374*x7 - x377*x453 + x378*x449 +  &
                     x398*x52 - x4*x548 - x476*x9 - x488 - x489 - x490 - x491  &
                      - x493 - x494 + x497 + x498 + x500 + x501 + x502 + x503  &
                      + x506 + x548*x8)
          sp2(1,1) = cima*(-P1(1)*P2(3)*x35*x404 + x1*x492 + x10*x495 + x102*  &
                     x481 + x113*x317 - x14*x292 + x179*x557 - x183*x553 + x191&
                     *x557 - x2*x504 + x257*x432 + x263*x432 + x283*x398 - x294&
                      - x306*x410 - x31*x548 + x331*x561 - x377*x483 + x378*   &
                     x482 - x386*x9 + x392*x555 + x460*x52 + x464 + x473 - x477&
                     *x51 + x556 - x559 - x560*x8 + x569 + x74*x75)
          sp2(1,2) = cima*(-x1*x524 - x133*x557 - x146*x557 - x148*x469 + x159*&
                     x481 + x16*x570 + x174*x317 + x183*x550 + x195*x550 + x2* &
                     x439 - x224*x551 - x233*x551 + x25*x496 + x283*x386 - x283&
                     *x495 - x292*x331 + x31*x480 - x346*x479 - x35*x427 + x377&
                     *x507 + x378*x509 - x396*x53 + x398*x9 - x42*x424 - x424* &
                     x43 + x462*x51 - x476*x52 - x50*x548 + x571 + x572 + x574 &
                      + x575 + x576 + x577 - x579 - x580 - x581 - x582 - x583  &
                      - x584 + x585)
          sp2(1,3) = cima*(-P2(3)*x463 + P2(3)*x549 + x1*x398 - x10*x439 - x145&
                     *x469 + x156*x481 + x170*x317 + x224*x553 + x233*x553 +   &
                     x254*x557 - x256*x550 + x260*x557 - x262*x550 - x283*x492 &
                      + x283*x504 - x292*x326 - x35*x531 - x35*x546 - x377*x530&
                      + x378*x529 - x40*x75 + x444*x549 - x445*x7 + x461*x52 - &
                     x478*x51 + x524*x9 + x548*x69 + x548*x70 + x587 + x588 +  &
                     x589 + x590 + x591 + x592 - x593 - x594 - x596 - x597 -   &
                     x598 - x599 + x600)
          sp2(2,0) = cima*(P2(0)*x603 - P2(0)*x606 + x10*x460 - x114*x518 -    &
                     x133*x607 + x179*x604 + x191*x604 - x198*x469 + x203*x481 &
                      + x214*x317 + x254*x605 + x260*x605 + x284*x462 - x284*  &
                     x476 - x292*x346 + x298*x3 + x321*x602 + x34*x398 - x370* &
                     x606 - x4*x601 - x410*x453 + x411*x449 + x461*x5 - x477*x9&
                      - x478*x6 + x50*x560 - x511 - x512 - x514 - x515 - x516  &
                      - x517 + x520 + x521 + x522 + x523 + x525 + x526 + x528  &
                      + x53*x554 + x601*x8)
          sp2(2,1) = cima*(P2(1)*x603 + P2(1)*x608 + x10*x398 - x14*x570 - x149&
                     *x469 + x158*x481 + x173*x317 + x179*x609 - x184*x410 +   &
                     x191*x609 - x195*x607 - x25*x561 + x256*x605 + x262*x605  &
                      - x284*x386 + x284*x495 - x292*x330 - x31*x601 - x33*x477&
                      + x34*x460 + x36*x601 + x371*x555 + x406*x603 + x406*x608&
                      - x410*x483 + x411*x482 + x492*x5 - x504*x6 - x571 - x572&
                      - x574 - x575 - x576 - x577 + x579 + x580 + x581 + x582  &
                      + x583 + x584 + x585)
          sp2(2,2) = cima*(-P2(2)*x419 + x10*x386 + x103*x481 + x114*x317 -    &
                     x133*x609 - x146*x609 - x16*x292 + x184*x377 + x195*x604  &
                      - x224*x605 + x284*x398 - x295 + x3*x429 - x307*x432 -   &
                     x31*x505 + x33*x462 + x331*x496 - x34*x476 + x410*x507 -  &
                     x411*(x412 - x420 + x508) + x427*x53 + x439*x6 + x456 +   &
                     x470 - x495*x9 - x5*x524 - x54*x601 - x556 + x569 + x610)
          sp2(2,3) = cima*(-P2(3)*x606 + P2(3)*x608 - x10*x492 - x141*x469 +   &
                     x153*x481 + x167*x317 + x254*x609 - x256*x604 + x26*x611  &
                      + x260*x609 - x262*x604 - x284*x439 + x284*x524 - x292*  &
                     x322 + x3*x445 + x302*x410 + x307*x410 - x327*x561 - x33* &
                     x478 - x331*x619 + x34*x461 + x398*x5 - x410*x530 + x411* &
                     x529 + x504*x9 + x53*x531 + x53*x546 + x601*x69 + x612 +  &
                     x613 + x615 + x616 + x617 + x618 - x621 - x622 - x623 -   &
                     x624 - x625 - x626 + x627)
          sp2(3,0) = cima*(-P1(0)*P2(2)*x404*x53 + P2(0)*x558 - P2(0)*x630 - x1&
                     *x477 - x11*x298 - x11*x374 - x133*x631 - x146*x631 + x179&
                     *x629 + x191*x629 - x193*x469 + x2*x460 + x202*x481 + x212&
                     *x317 + x27*x602 + x285*x461 - x285*x478 + x29*x398 - x292&
                     *x351 - x3*x441 + x301*x432 + x305*x432 + x370*x558 - x432&
                     *x453 + x433*x449 + x462*x5 - x476*x6 - x533 - x534 - x535&
                      - x536 - x537 - x538 + x539 + x540 + x542 + x543 + x544  &
                      + x545 + x547 + x628*x8)
          sp2(3,1) = cima*(-P1(1)*P2(0)*x11*x404 - P2(1)*x630 - P2(1)*x634 -   &
                     x144*x469 + x157*x481 + x171*x317 + x179*x632 - x183*x631 &
                      + x191*x632 - x195*x631 + x2*x398 + x256*x633 + x262*x633&
                      + x27*x619 - x28*x477 + x285*x492 - x285*x504 + x29*x460 &
                      - x292*x327 - x322*x496 + x35*x484 + x384*x555 - x386*x6 &
                      - x405*x53 + x406*x558 - x432*x483 + x433*x482 + x495*x5 &
                      - x587 - x588 - x589 - x590 - x591 - x592 + x593 + x594  &
                      + x596 + x597 + x598 + x599 + x600)
          sp2(3,2) = cima*(P2(2)*x558 - P2(3)*x419 - x1*x495 - x11*x429 - x133*&
                     x632 - x142*x469 - x146*x632 + x152*x481 + x166*x317 +    &
                     x183*x629 + x195*x629 + x2*x386 - x219*(2*w2(0)*wl(1,j) - &
                     2*w2(1)*wl(0,j)) - x224*x633 - x234*x432 - x27*x611 + x28*&
                     x462 + x285*x439 - x285*x524 - x29*x476 - x292*x321 + x398&
                     *x6 - x424*x76 + x426*x558 + x432*x507 + x433*x509 - x510*&
                     x53 + x55*x628 - x612 - x613 - x615 - x616 - x617 - x618  &
                      + x621 + x622 + x623 + x624 + x625 + x626 + x627)
          sp2(3,3) = cima*(x1*x504 + x104*x481 - x11*x445 + x115*x317 - x17*   &
                     x292 + x18*x21 - x2*x492 + x224*x631 + x234*x410 + x254*  &
                     x632 - x256*x629 - x262*x629 - x28*x478 + x285*x398 + x29*&
                     x461 - x296 + x304*x305 + x354 + x355 + x358 + x359 - x432&
                     *x530 + x433*x529 - x439*x5 + x441*x53 + x444*x558 + x450 &
                      + x451 + x452 + x466 + x468 + x470 + x472 + x473 + x474  &
                      - x480*x54 + x524*x6 + x559 + x562 + x563 + x564 + x565  &
                      + x566 + x567 + x568 - x610 - x628*x68)
          sp3(0,0,0) = cima*(x300 + x318 + x455 - x465 - x527)
          sp3(0,0,1) = cima*(x381 - x463 + x549 - x552)
          sp3(0,0,2) = cima*(x413 + x603 - x606 + x608)
          sp3(0,0,3) = cima*(x435 + x558 - x630 - x634)
          sp3(0,1,0) = cima*(x376 + x635 + x636 + x638 - x639 + x642)
          sp3(0,1,1) = cima*(x643 + x644 + x646 - x648 + x651)
          sp3(0,1,2) = x652*x653
          sp3(0,1,3) = x652*x654
          sp3(0,2,0) = cima*(x409 + x655 + x657 + x659 - x660 + x663)
          sp3(0,2,1) = x664*x665
          sp3(0,2,2) = cima*(x643 + x646 + x666 + x667 + x669 - x670)
          sp3(0,2,3) = x654*x664
          sp3(0,3,0) = cima*(x431 + x671 + x672 - x673 + x675 + x678)
          sp3(0,3,1) = x665*x679
          sp3(0,3,2) = x653*x679
          sp3(0,3,3) = cima*(x651 + x667 + x669 + x680 - x682)
          sp3(1,0,0) = cima*(-x636 + x637 + x639 + x641 + x683 + x684)
          sp3(1,0,1) = cima*(x299 - x644 + x645 + x648 + x650 + x685 + x686)
          sp3(1,0,2) = x653*x687
          sp3(1,0,3) = x654*x687
          sp3(1,1,0) = x688
          sp3(1,1,1) = cima*(x375 + x689)
          sp3(1,1,2) = x691
          sp3(1,1,3) = x693
          sp3(1,2,0) = x694*x695
          sp3(1,2,1) = cima*(x658 + x696 + x697 - x698 + x701)
          sp3(1,2,2) = cima*(x635 + x638 + x702 + x703 + x705 - x706)
          sp3(1,2,3) = x654*x694
          sp3(1,3,0) = x695*x707
          sp3(1,3,1) = cima*(x677 + x708 - x709 + x710 + x713)
          sp3(1,3,2) = x653*x707
          sp3(1,3,3) = cima*(x642 + x703 + x705 + x714 - x715)
          sp3(2,0,0) = cima*(-x657 + x658 + x660 + x662 + x697 + x716)
          sp3(2,0,1) = x665*x717
          sp3(2,0,2) = cima*(x299 + x645 - x666 + x670 + x686 + x718)
          sp3(2,0,3) = x654*x717
          sp3(2,1,0) = x695*x719
          sp3(2,1,1) = cima*(x655 + x659 - x696 + x698 + x700 + x720)
          sp3(2,1,2) = cima*(x637 + x684 - x702 + x706 + x721)
          sp3(2,1,3) = x654*x719
          sp3(2,2,0) = x688
          sp3(2,2,1) = x722
          sp3(2,2,2) = cima*(x408 + x690)
          sp3(2,2,3) = x693
          sp3(2,3,0) = x695*x723
          sp3(2,3,1) = x665*x723
          sp3(2,3,2) = cima*(x674 + x713 + x724 + x725 - x726)
          sp3(2,3,3) = cima*(x663 + x700 + x720 + x727 - x728)
          sp3(3,0,0) = cima*(-x672 + x673 + x674 + x677 + x710 + x725)
          sp3(3,0,1) = x665*x729
          sp3(3,0,2) = x653*x729
          sp3(3,0,3) = cima*(x299 + x650 - x680 + x682 + x685 + x718)
          sp3(3,1,0) = wl(0,j)*x730
          sp3(3,1,1) = cima*(x678 - x708 + x709 + x712 + x731)
          sp3(3,1,2) = wl(2,j)*x730
          sp3(3,1,3) = cima*(x641 + x683 - x714 + x715 + x721)
          sp3(3,2,0) = x695*x732
          sp3(3,2,1) = x665*x732
          sp3(3,2,2) = cima*(x671 + x675 + x712 - x724 + x726 + x731)
          sp3(3,2,3) = cima*(x662 + x701 + x716 - x727 + x728)
          sp3(3,3,0) = x688
          sp3(3,3,1) = x722
          sp3(3,3,2) = x691
          sp3(3,3,3) = cima*(x430 + x692)
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(0,riOut) = wp(0,riOut) + sp1(mu)
            if(rankInc .lt. 2) cycle
            do nu = 0, 3
              riOut = incRI(nu, incRI(mu, j))
              wp(0,riOut) = wp(0,riOut) + sp2(nu,mu)
              if(rankInc .lt. 3) cycle
              do ro = 0, 3
                riOut = incRI(ro, incRI(nu, incRI(mu, j)))
                wp(0,riOut) = wp(0,riOut) + sp3(nu,mu,ro)
              end do 
            end do 
          end do 
        end do 
        wp(1:3,:) = cnul
      case(VVS1)
!       P(1,2)*P(2,3)*c0
!       P(1,3)*P(2,1)*c1
!       Metric(1,2)*P(-1,2)*P(-1,3)*c2
!       Metric(1,2)*P(-1,1)*P(-1,3)*c3
!       Epsilon(-1,-2,1,2)*P(-1,2)*P(-2,3)*c4
!       Epsilon(-1,-2,1,2)*P(-1,1)*P(-2,3)*c5
        x20 = P1(0)*co(5)
        x35 = P1(1)*co(5)
        x47 = P1(2)*co(5)
        x56 = P1(3)*co(5)
        x61 = P2(0)*co(4)
        x62 = P2(1)*co(4)
        x63 = P2(2)*co(4)
        x64 = P2(3)*co(4)
        x68 = -P1(0)*w2(0) + P1(1)*w2(1) + P1(2)*w2(2) + P1(3)*w2(3)
        x72 = -P2(0)*w2(0) + P2(1)*w2(1) + P2(2)*w2(2) + P2(3)*w2(3)
        x92 = co(5)*w2(1)
        x95 = co(5)*w2(3)
        x98 = co(5)*w2(2)
        x101 = co(5)*w2(0)
        do j = riMaxIn, 0, -1
          x0 = w2(1)*wl(1,j)
          x1 = w2(2)*wl(2,j)
          x2 = w2(3)*wl(3,j)
          x3 = w2(0)*wl(0,j)
          x4 = x0 + x1 + x2 - x3
          x5 = co(2)*x4
          x6 = co(3)*x4
          x7 = w2(2)*wl(3,j)
          x8 = w2(3)*wl(2,j)
          x9 = x7 - x8
          x10 = P1(1)*x9
          x11 = w2(1)*wl(2,j)
          x12 = w2(2)*wl(1,j)
          x13 = x11 - x12
          x14 = P1(3)*x13
          x15 = w2(1)*wl(3,j)
          x16 = w2(3)*wl(1,j)
          x17 = x15 - x16
          x18 = P1(2)*x17
          x19 = x10 + x14 - x18
          x21 = P2(1)*x9
          x22 = P2(3)*x13
          x23 = P2(2)*x17
          x24 = x21 + x22 - x23
          x25 = w2(0)*wl(3,j)
          x26 = w2(3)*wl(0,j)
          x27 = x25 - x26
          x28 = P1(2)*x27
          x29 = P1(0)*x9
          x30 = w2(0)*wl(2,j)
          x31 = w2(2)*wl(0,j)
          x32 = x30 - x31
          x33 = P1(3)*x32
          x34 = x28 - x29 - x33
          x36 = P2(2)*x27
          x37 = P2(0)*x9
          x38 = P2(3)*x32
          x39 = x36 - x37 - x38
          x40 = P1(0)*x17
          x41 = w2(0)*wl(1,j)
          x42 = w2(1)*wl(0,j)
          x43 = x41 - x42
          x44 = P1(3)*x43
          x45 = P1(1)*x27
          x46 = x40 + x44 - x45
          x48 = P2(0)*x17
          x49 = P2(3)*x43
          x50 = P2(1)*x27
          x51 = x48 + x49 - x50
          x52 = P1(1)*x32
          x53 = P1(0)*x13
          x54 = P1(2)*x43
          x55 = x52 - x53 - x54
          x57 = P2(1)*x32
          x58 = P2(0)*x13
          x59 = P2(2)*x43
          x60 = x57 - x58 - x59
          x65 = P2(0)*x5
          x66 = P2(0)*x6
          x67 = P1(0)*wl(0,j)
          x69 = co(1)*x68
          x70 = P2(0)*wl(0,j)
          x71 = co(0)*x68
          x73 = co(0)*x72
          x74 = P2(1)*x5
          x75 = P2(1)*x6
          x76 = P1(1)*wl(1,j)
          x77 = P2(2)*x5
          x78 = P2(2)*x6
          x79 = P1(2)*wl(2,j)
          x80 = P2(3)*x5
          x81 = P2(3)*x6
          x82 = P1(3)*wl(3,j)
          x83 = P2(1)*wl(1,j)
          x84 = P2(2)*co(0)*wl(2,j)
          x85 = P2(2)*wl(2,j)
          x86 = P2(3)*wl(3,j)
          x87 = -x70 + x83 + x85 + x86
          x88 = co(0)*x87
          x89 = co(1)*(-x67 + x76 + x79 + x82)
          x90 = co(1)*x87
          x91 = P1(2)*wl(3,j) - P1(3)*wl(2,j)
          x93 = P2(2)*wl(3,j) - P2(3)*wl(2,j)
          x94 = P1(1)*wl(2,j) - P1(2)*wl(1,j)
          x96 = P2(1)*wl(2,j) - P2(2)*wl(1,j)
          x97 = P1(1)*wl(3,j) - P1(3)*wl(1,j)
          x99 = P2(1)*wl(3,j) - P2(3)*wl(1,j)
          x100 = 2*co(3)*x4
          x102 = P1(0)*wl(2,j) - P1(2)*wl(0,j)
          x103 = P2(0)*wl(2,j) - P2(2)*wl(0,j)
          x104 = P1(0)*wl(3,j) - P1(3)*wl(0,j)
          x105 = P2(0)*wl(3,j) - P2(3)*wl(0,j)
          x106 = P1(0)*wl(1,j) - P1(1)*wl(0,j)
          x107 = P2(0)*wl(1,j) - P2(1)*wl(0,j)
          x108 = co(3)*x0
          x109 = co(3)*x1
          x110 = co(3)*x2
          x111 = co(3)*x3
          x112 = co(5)*x7
          x113 = co(5)*x8
          x114 = co(5)*x16
          x115 = co(5)*x15
          x116 = co(5)*x11
          x117 = co(5)*x12
          x118 = -x108 - x109 - x110 + x111
          x119 = co(5)*x26
          x120 = co(5)*x25
          x121 = co(5)*x30
          x122 = co(5)*x31
          x123 = co(5)*x42
          x124 = co(5)*x41
          wp(0,j) = cima*(P1(0)**2*x6 + P1(0)*x65 + P1(0)*x66 - P1(1)**2*x6 -  &
                    P1(1)*x74 - P1(1)*x75 - P1(2)**2*x6 - P1(2)*x77 - P1(2)*x78&
                     - P1(3)**2*x6 - P1(3)*x80 - P1(3)*x81 + P2(0)**2*x5 - P2(1&
                    )**2*x5 - P2(2)**2*x5 - P2(3)**2*x5 - x19*x20 - x19*x61 -  &
                    x20*x24 - x24*x61 - x34*x35 - x34*x62 - x35*x39 - x39*x62  &
                     - x46*x47 - x46*x63 - x47*x51 - x51*x63 - x55*x56 - x55*  &
                    x64 - x56*x60 - x60*x64 + x67*x69 - x68*x84 + x69*x70 - x69&
                    *x76 - x69*x79 - x69*x82 - x69*x83 - x69*x85 - x69*x86 +   &
                    x70*x71 + x70*x73 - x71*x83 - x71*x86 - x72*x84 - x73*x83  &
                     - x73*x86)
          if(rankInc .lt. 1) cycle
          sp1(0) = cima*(P1(0)*x100 + co(4)*x21 + co(4)*x22 - co(4)*x23 + co(5 &
                   )*x10 + co(5)*x14 - co(5)*x18 + w2(0)*x88 + w2(0)*x89 + w2(0&
                   )*x90 + wl(0,j)*x69 + x65 + x66 + x91*x92 + x92*x93 + x94*  &
                   x95 + x95*x96 - x97*x98 - x98*x99)
          sp1(1) = cima*(P1(1)*x100 - co(4)*x36 + co(4)*x37 + co(4)*x38 - co(5 &
                   )*x28 + co(5)*x29 + co(5)*x33 + w2(1)*x88 + w2(1)*x89 + w2(1&
                   )*x90 + wl(1,j)*x69 + x101*x91 + x101*x93 + x102*x95 + x103*&
                   x95 - x104*x98 - x105*x98 + x74 + x75)
          sp1(2) = cima*(P1(2)*x100 - co(4)*x48 - co(4)*x49 + co(4)*x50 - co(5 &
                   )*x40 - co(5)*x44 + co(5)*x45 + w2(2)*x88 + w2(2)*x89 + w2(2&
                   )*x90 + wl(2,j)*x69 - x101*x97 - x101*x99 + x104*x92 + x105*&
                   x92 - x106*x95 - x107*x95 + x77 + x78)
          sp1(3) = cima*(P1(3)*x100 - co(4)*x57 + co(4)*x58 + co(4)*x59 - co(5 &
                   )*x52 + co(5)*x53 + co(5)*x54 + w2(3)*x88 + w2(3)*x89 + w2(3&
                   )*x90 + wl(3,j)*x69 + x101*x94 + x101*x96 - x102*x92 - x103*&
                   x92 + x106*x98 + x107*x98 + x80 + x81)
          sp2(0,0) = cima*(-co(1)*x3 + x108 + x109 + x110 - x111)
          sp2(0,1) = cima*(-co(1)*x42 + x112 - x113)
          sp2(0,2) = cima*(-co(1)*x31 + x114 - x115)
          sp2(0,3) = cima*(-co(1)*x26 + x116 - x117)
          sp2(1,0) = cima*(-co(1)*x41 - x112 + x113)
          sp2(1,1) = cima*(-co(1)*x0 + x118)
          sp2(1,2) = cima*(-co(1)*x12 + x119 - x120)
          sp2(1,3) = cima*(-co(1)*x16 + x121 - x122)
          sp2(2,0) = cima*(-co(1)*x30 - x114 + x115)
          sp2(2,1) = cima*(-co(1)*x11 - x119 + x120)
          sp2(2,2) = cima*(-co(1)*x1 + x118)
          sp2(2,3) = cima*(-co(1)*x8 + x123 - x124)
          sp2(3,0) = cima*(-co(1)*x25 - x116 + x117)
          sp2(3,1) = cima*(-co(1)*x15 - x121 + x122)
          sp2(3,2) = cima*(-co(1)*x7 - x123 + x124)
          sp2(3,3) = cima*(-co(1)*x2 + x118)
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(0,riOut) = wp(0,riOut) + sp1(mu)
            if(rankInc .lt. 2) cycle
            do nu = 0, 3
              riOut = incRI(nu, incRI(mu, j))
              wp(0,riOut) = wp(0,riOut) + sp2(mu,nu)
            end do 
          end do 
        end do 
        wp(1:3,:) = cnul
      case(VVS2)
!       Metric(1,2)*c0
        wp(0,:) = cima*co(0)*(w2(0)*wl(0,:) - w2(1)*wl(1,:) - w2(2)*wl(2,:) -  &
                  w2(3)*wl(3,:))
        wp(1:3,:) = cnul
      case(VVS3)
!       P(1,3)*P(2,1)*c0
!       Metric(1,2)*P(-1,1)*P(-1,3)*c1
!       Epsilon(-1,-2,1,2)*P(-1,1)*P(-2,3)*c2
        x18 = P1(0)*co(2)
        x28 = P1(1)*co(2)
        x35 = P1(2)*co(2)
        x39 = P1(3)*co(2)
        x42 = co(0)*(-P1(0)*w2(0) + P1(1)*w2(1) + P1(2)*w2(2) + P1(3)*w2(3))
        x56 = co(2)*w2(1)
        x59 = co(2)*w2(3)
        x62 = co(2)*w2(2)
        x65 = co(2)*w2(0)
        do j = riMaxIn, 0, -1
          x0 = w2(1)*wl(1,j)
          x1 = w2(2)*wl(2,j)
          x2 = w2(3)*wl(3,j)
          x3 = w2(0)*wl(0,j)
          x4 = x0 + x1 + x2 - x3
          x5 = co(1)*x4
          x6 = w2(2)*wl(3,j)
          x7 = w2(3)*wl(2,j)
          x8 = x6 - x7
          x9 = P1(1)*x8
          x10 = w2(1)*wl(2,j)
          x11 = w2(2)*wl(1,j)
          x12 = x10 - x11
          x13 = P1(3)*x12
          x14 = w2(1)*wl(3,j)
          x15 = w2(3)*wl(1,j)
          x16 = x14 - x15
          x17 = P1(2)*x16
          x19 = w2(0)*wl(3,j)
          x20 = w2(3)*wl(0,j)
          x21 = x19 - x20
          x22 = P1(2)*x21
          x23 = P1(0)*x8
          x24 = w2(0)*wl(2,j)
          x25 = w2(2)*wl(0,j)
          x26 = x24 - x25
          x27 = P1(3)*x26
          x29 = P1(0)*x16
          x30 = w2(0)*wl(1,j)
          x31 = w2(1)*wl(0,j)
          x32 = x30 - x31
          x33 = P1(3)*x32
          x34 = P1(1)*x21
          x36 = P1(1)*x26
          x37 = P1(0)*x12
          x38 = P1(2)*x32
          x40 = P2(0)*x5
          x41 = P1(0)*wl(0,j)
          x43 = P2(0)*wl(0,j)
          x44 = P2(1)*x5
          x45 = P1(1)*wl(1,j)
          x46 = P2(2)*x5
          x47 = P1(2)*wl(2,j)
          x48 = P2(3)*x5
          x49 = P1(3)*wl(3,j)
          x50 = P2(1)*wl(1,j)
          x51 = P2(2)*wl(2,j)
          x52 = P2(3)*wl(3,j)
          x53 = co(0)*(-x41 + x45 + x47 + x49)
          x54 = co(0)*(-x43 + x50 + x51 + x52)
          x55 = P1(2)*wl(3,j) - P1(3)*wl(2,j)
          x57 = P2(2)*wl(3,j) - P2(3)*wl(2,j)
          x58 = P1(1)*wl(2,j) - P1(2)*wl(1,j)
          x60 = P2(1)*wl(2,j) - P2(2)*wl(1,j)
          x61 = P1(1)*wl(3,j) - P1(3)*wl(1,j)
          x63 = P2(1)*wl(3,j) - P2(3)*wl(1,j)
          x64 = 2*co(1)*x4
          x66 = P1(0)*wl(2,j) - P1(2)*wl(0,j)
          x67 = P2(0)*wl(2,j) - P2(2)*wl(0,j)
          x68 = P1(0)*wl(3,j) - P1(3)*wl(0,j)
          x69 = P2(0)*wl(3,j) - P2(3)*wl(0,j)
          x70 = P1(0)*wl(1,j) - P1(1)*wl(0,j)
          x71 = P2(0)*wl(1,j) - P2(1)*wl(0,j)
          x72 = co(1)*x0
          x73 = co(1)*x1
          x74 = co(1)*x2
          x75 = co(1)*x3
          x76 = co(2)*x6
          x77 = co(2)*x7
          x78 = co(2)*x15
          x79 = co(2)*x14
          x80 = co(2)*x10
          x81 = co(2)*x11
          x82 = -x72 - x73 - x74 + x75
          x83 = co(2)*x20
          x84 = co(2)*x19
          x85 = co(2)*x24
          x86 = co(2)*x25
          x87 = co(2)*x31
          x88 = co(2)*x30
          wp(0,j) = cima*(P1(0)**2*x5 + P1(0)*x40 - P1(1)**2*x5 - P1(1)*x44 -  &
                    P1(2)**2*x5 - P1(2)*x46 - P1(3)**2*x5 - P1(3)*x48 - x18*(  &
                    x13 - x17 + x9) - x18*(P2(1)*x8 - P2(2)*x16 + P2(3)*x12) - &
                    x28*(x22 - x23 - x27) - x28*(-P2(0)*x8 + P2(2)*x21 - P2(3)*&
                    x26) - x35*(x29 + x33 - x34) - x35*(P2(0)*x16 - P2(1)*x21  &
                     + P2(3)*x32) - x39*(x36 - x37 - x38) - x39*(-P2(0)*x12 +  &
                    P2(1)*x26 - P2(2)*x32) + x41*x42 + x42*x43 - x42*x45 - x42*&
                    x47 - x42*x49 - x42*x50 - x42*x51 - x42*x52)
          if(rankInc .lt. 1) cycle
          sp1(0) = cima*(P1(0)*x64 + co(2)*x13 - co(2)*x17 + co(2)*x9 + w2(0)* &
                   x53 + w2(0)*x54 + wl(0,j)*x42 + x40 + x55*x56 + x56*x57 +   &
                   x58*x59 + x59*x60 - x61*x62 - x62*x63)
          sp1(1) = cima*(P1(1)*x64 - co(2)*x22 + co(2)*x23 + co(2)*x27 + w2(1)*&
                   x53 + w2(1)*x54 + wl(1,j)*x42 + x44 + x55*x65 + x57*x65 +   &
                   x59*x66 + x59*x67 - x62*x68 - x62*x69)
          sp1(2) = cima*(P1(2)*x64 - co(2)*x29 - co(2)*x33 + co(2)*x34 + w2(2)*&
                   x53 + w2(2)*x54 + wl(2,j)*x42 + x46 + x56*x68 + x56*x69 -   &
                   x59*x70 - x59*x71 - x61*x65 - x63*x65)
          sp1(3) = cima*(P1(3)*x64 - co(2)*x36 + co(2)*x37 + co(2)*x38 + w2(3)*&
                   x53 + w2(3)*x54 + wl(3,j)*x42 + x48 - x56*x66 - x56*x67 +   &
                   x58*x65 + x60*x65 + x62*x70 + x62*x71)
          sp2(0,0) = cima*(-co(0)*x3 + x72 + x73 + x74 - x75)
          sp2(0,1) = cima*(-co(0)*x31 + x76 - x77)
          sp2(0,2) = cima*(-co(0)*x25 + x78 - x79)
          sp2(0,3) = cima*(-co(0)*x20 + x80 - x81)
          sp2(1,0) = cima*(-co(0)*x30 - x76 + x77)
          sp2(1,1) = cima*(-co(0)*x0 + x82)
          sp2(1,2) = cima*(-co(0)*x11 + x83 - x84)
          sp2(1,3) = cima*(-co(0)*x15 + x85 - x86)
          sp2(2,0) = cima*(-co(0)*x24 - x78 + x79)
          sp2(2,1) = cima*(-co(0)*x10 - x83 + x84)
          sp2(2,2) = cima*(-co(0)*x1 + x82)
          sp2(2,3) = cima*(-co(0)*x7 + x87 - x88)
          sp2(3,0) = cima*(-co(0)*x19 - x80 + x81)
          sp2(3,1) = cima*(-co(0)*x14 - x85 + x86)
          sp2(3,2) = cima*(-co(0)*x6 - x87 + x88)
          sp2(3,3) = cima*(-co(0)*x2 + x82)
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(0,riOut) = wp(0,riOut) + sp1(mu)
            if(rankInc .lt. 2) cycle
            do nu = 0, 3
              riOut = incRI(nu, incRI(mu, j))
              wp(0,riOut) = wp(0,riOut) + sp2(mu,nu)
            end do 
          end do 
        end do 
        wp(1:3,:) = cnul
      case(VVS4)
!       P(1,2)*P(2,3)*c0
!       Metric(1,2)*P(-1,2)*P(-1,3)*c1
!       Epsilon(-1,-2,1,2)*P(-1,2)*P(-2,3)*c2
        x4 = P2(0)*co(2)
        x10 = P2(1)*co(2)
        x15 = P2(2)*co(2)
        x19 = P2(3)*co(2)
        x25 = -P1(0)*w2(0) + P1(1)*w2(1) + P1(2)*w2(2) + P1(3)*w2(3)
        x27 = -P2(0)*w2(0) + P2(1)*w2(1) + P2(2)*w2(2) + P2(3)*w2(3)
        do j = riMaxIn, 0, -1
          x0 = co(1)*(-w2(0)*wl(0,j) + w2(1)*wl(1,j) + w2(2)*wl(2,j) + w2(3)*wl&
               (3,j))
          x1 = w2(2)*wl(3,j) - w2(3)*wl(2,j)
          x2 = w2(1)*wl(2,j) - w2(2)*wl(1,j)
          x3 = w2(1)*wl(3,j) - w2(3)*wl(1,j)
          x5 = P2(1)*x1
          x6 = P2(3)*x2
          x7 = P2(2)*x3
          x8 = w2(0)*wl(3,j) - w2(3)*wl(0,j)
          x9 = w2(0)*wl(2,j) - w2(2)*wl(0,j)
          x11 = P2(2)*x8
          x12 = P2(0)*x1
          x13 = P2(3)*x9
          x14 = w2(0)*wl(1,j) - w2(1)*wl(0,j)
          x16 = P2(0)*x3
          x17 = P2(3)*x14
          x18 = P2(1)*x8
          x20 = P2(1)*x9
          x21 = P2(0)*x2
          x22 = P2(2)*x14
          x23 = P2(0)*x0
          x24 = P2(0)*wl(0,j)
          x26 = co(0)*x25
          x28 = co(0)*x27
          x29 = P2(1)*x0
          x30 = P2(2)*x0
          x31 = P2(3)*x0
          x32 = P2(1)*wl(1,j)
          x33 = P2(2)*co(0)*wl(2,j)
          x34 = P2(3)*co(0)*wl(3,j)
          x35 = co(0)*(P2(2)*wl(2,j) + P2(3)*wl(3,j) - x24 + x32)
          wp(0,j) = cima*(P1(0)*x23 - P1(1)*x29 - P1(2)*x30 - P1(3)*x31 + P2(0 &
                    )**2*x0 - P2(1)**2*x0 - P2(2)**2*x0 - P2(3)**2*x0 - x10*(  &
                    x11 - x12 - x13) - x10*(-P1(0)*x1 + P1(2)*x8 - P1(3)*x9) - &
                    x15*(x16 + x17 - x18) - x15*(P1(0)*x3 - P1(1)*x8 + P1(3)*  &
                    x14) - x19*(x20 - x21 - x22) - x19*(-P1(0)*x2 + P1(1)*x9 - &
                    P1(2)*x14) + x24*x26 + x24*x28 - x25*x33 - x25*x34 - x26*  &
                    x32 - x27*x33 - x27*x34 - x28*x32 - x4*(x5 + x6 - x7) - x4 &
                    *(P1(1)*x1 - P1(2)*x3 + P1(3)*x2))
          if(rankInc .lt. 1) cycle
          sp1(0) = cima*(co(2)*x5 + co(2)*x6 - co(2)*x7 + w2(0)*x35 + x23)
          sp1(1) = cima*(-co(2)*x11 + co(2)*x12 + co(2)*x13 + w2(1)*x35 + x29)
          sp1(2) = cima*(-co(2)*x16 - co(2)*x17 + co(2)*x18 + w2(2)*x35 + x30)
          sp1(3) = cima*(-co(2)*x20 + co(2)*x21 + co(2)*x22 + w2(3)*x35 + x31)
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(0,riOut) = wp(0,riOut) + sp1(mu)
          end do 
        end do 
        wp(1:3,:) = cnul
      case(VVS5)
!       c0*(P(-1,1)*P(-1,2)*P(1,3)*P(2,3) - P(-1,1)*P(-1,3)*P(1,2)*P(2,3) - P(-1,
!       2)*P(-1,3)*P(1,3)*P(2,1))
!       Metric(1,2)*P(-1,1)*P(-1,2)*P(-1,3)**2*c1
        x0 = P1(1)**2
        x1 = -P1(0)*w2(0) + P1(1)*w2(1) + P1(2)*w2(2) + P1(3)*w2(3)
        x8 = -P2(0)*w2(0) + P2(1)*w2(1) + P2(2)*w2(2) + P2(3)*w2(3)
        x10 = P1(2)**2
        x11 = P1(3)**2
        x12 = P2(1)**2
        x19 = P2(2)**2
        x20 = P2(3)**2
        x21 = P1(0)**2
        x22 = P2(0)**2
        x23 = P1(0)*P2(0)
        x29 = P1(1)*P2(1)
        x30 = P1(2)*P2(2)
        x31 = P1(3)*P2(3)
        do j = riMaxIn, 0, -1
          x2 = P2(1)*wl(1,j)
          x3 = P2(2)*wl(2,j)
          x4 = P2(3)*wl(3,j)
          x5 = P2(0)*wl(0,j)
          x6 = x2 + x3 + x4 - x5
          x7 = co(0)*x1*x6
          x9 = co(0)*x6*x8
          x13 = P1(1)*wl(1,j)
          x14 = P1(2)*wl(2,j)
          x15 = P1(3)*wl(3,j)
          x16 = P1(0)*wl(0,j)
          x17 = x13 + x14 + x15 - x16
          x18 = co(0)*x1*x17
          x24 = co(0)*x17*x8
          x25 = -w2(0)*wl(0,j) + w2(1)*wl(1,j) + w2(2)*wl(2,j) + w2(3)*wl(3,j)
          x26 = co(1)*x25*(x0 + x10 + x11 - x21)
          x27 = x12 + x19 + x20 - x22
          x28 = co(1)*x25*x27
          x32 = -x23 + x29 + x30 + x31
          x33 = 2*co(1)*x25*x32
          x34 = co(1)*x25
          x36 = -x0 - x10 - x11 + x21
          x37 = co(0)*x6
          x38 = -x12 - x19 - x20 + x22
          x41 = co(0)*x17
          x43 = x23 - x29 - x30 - x31
          wp(0,j) = cima*(x0*x7 + x0*x9 + x10*x7 + x10*x9 + x11*x7 + x11*x9 +  &
                    x12*x18 + x12*x7 + x18*x19 + x18*x20 - x18*x22 + x19*x7 +  &
                    x20*x7 - x21*x7 - x21*x9 - x22*x7 + x23*x24 + x23*x26 + x23&
                    *x28 + x23*x33 - x23*x7 - x24*x29 - x24*x30 - x24*x31 - x26&
                    *x29 - x26*x30 - x26*x31 - x28*x29 - x28*x30 - x28*x31 -   &
                    x29*x33 + x29*x7 - x30*x33 + x30*x7 - x31*x33 + x31*x7)
          if(rankInc .lt. 1) cycle
          do mu = 0, 3
            x35 = P2(mu)*x34
            x39 = co(0)*wl(mu,j)
            x40 = P2(mu)*co(0)*x8
            x42 = w2(mu)*x27
            x44 = w2(mu)*x32
            x45 = 2*P1(mu)
            x46 = 2*P2(mu)*co(1)*x25
            x47 = co(0)*w2(nu)*x6
            riOut = incRI(mu, j)
            wp(0,riOut) = wp(0,riOut) + cima*(P1(mu)*x34 - P2(mu)*x7 - P2(mu)* &
                          x9 + w2(mu)*x36*x37 - w2(mu)*x41*x43 + x1*x38*x39 -  &
                          x35*x36 - x35*x38 - x35 - x37*x42 - x37*x44 - x39*x43&
                          *x8 - x40*(-x13 - x14 - x15 + x16) - x40*(-x2 - x3 - &
                          x4 + x5) - x41*x42 - x41*x44 - x43*x46 - x45*x7 - x45&
                          *x9)
            if(rankInc .lt. 2) cycle
            do nu = 0, 3
              riOut = incRI(nu, incRI(mu, j))
              wp(0,riOut) = wp(0,riOut) + cima*(-P1(nu)*x46 + P2(mu)*x47 - P2( &
                            nu)*x46 - gg(nu,mu)*x34 - gg(nu,mu)*x7 - gg(nu,mu)*&
                            x9 + w2(nu)*x27*x39 - wl(nu,j)*x40 + x45*x47)
              if(rankInc .lt. 3) cycle
              do ro = 0, 3
                riOut = incRI(ro, incRI(nu, incRI(mu, j)))
                wp(0,riOut) = wp(0,riOut) + cima*(gg(nu,mu)*w2(ro)*x37 - gg(ro,&
                              nu)*x35)
              end do 
            end do 
          end do 
        end do 
        wp(1:3,:) = cnul
      end select 
    end subroutine loopVVS
end module lcVVS
